(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    472536,       9638]
NotebookOptionsPosition[    406505,       8153]
NotebookOutlinePosition[    457804,       9251]
CellTagsIndexPosition[    457724,       9246]
WindowFrame->Normal
ContainsDynamic->False*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[TextData[{
 StyleBox["S13: Introduction to Visualization with ", "Color7"],
 StyleBox["Mathematica", "Color7",
  FontSlant->"Italic"],
 StyleBox[" 6", "Color7"]
}], "Title",
 CellChangeTimes->{{3.392034326497896*^9, 3.392034355749032*^9}, {
   3.392034737888074*^9, 3.392034739641905*^9}, 3.393082833734375*^9}],

Cell[CellGroupData[{

Cell["Presenter", "Subtitle"],

Cell[TextData[{
 "Ulises Cervantes-Pimentel\n",
 StyleBox["ulises@wolfram.com",
  FontWeight->"Plain",
  FontColor->GrayLevel[0.4]]
}], "Subsubtitle",
 CellChangeTimes->{{3.391826464316555*^9, 3.3918264802995377`*^9}, {
  3.3919261843813677`*^9, 3.3919261846918144`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["Online",
 FontColor->RGBColor[1, 0.329412, 0]]], "Subtitle"],

Cell[TextData[{
 
 ValueBox["DayName"],
 ", ",
 
 ValueBox["Day"],
 " ",
 
 ValueBox["MonthName"],
 " ",
 
 ValueBox["Year"]
}], "Subsubtitle"],

Cell[CellGroupData[{

Cell[BoxData[" "], "Input",
 CellFrame->{{0, 0}, {2, 0}},
 ShowCellBracket->False,
 CellMargins->{{12, 12}, {12, 120}},
 CellFrameColor->GrayLevel[0.2],
 Background->GrayLevel[1]],

Cell[BoxData[
 GraphicsBox[
  RasterBox[{{{1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1.,
    1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}}, {{1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}}, {{1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.957, 0.831,
    0.851}, {0.984, 0.953, 0.965}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}}, {{1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 0.996, 0.996}, {0.843, 0.459, 0.514}, {0.929, 0.741, 0.769}, {1.,
    1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}}, {{1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.788, 0.29, 
   0.353}, {0.847, 0.463, 0.51}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}}, {{1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.996,
    0.996}, {1., 1., 1.}, {0.769, 0.231, 0.302}, {0.745, 0.173, 0.243}, {
   0.992, 0.961, 0.965}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 0.988, 0.988}, {0.996, 
   0.976, 0.976}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1.,
    1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}}, {{1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 0.988}, {0.996, 
   0.988, 0.984}, {0.741, 0.157, 0.243}, {0.667, 0., 0.0745}, {0.914, 0.671, 
   0.702}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.984, 0.925, 0.918}, {0.918, 0.631, 0.596}, {0.973, 
   0.886, 0.875}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1.,
    1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}}, {{1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.98, 0.984}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 0.98}, {1., 
   0.859, 0.643}, {0.757, 0.188, 0.235}, {0.651, 0., 0.051}, {0.776, 0.227, 
   0.278}, {0.98, 0.929, 0.937}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {0.984, 0.914, 0.914}, {0.847, 0.373, 0.329}, {0.886, 0.498, 
   0.455}, {1., 0.988, 0.988}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, 
   {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}}, {{1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.973, 0.89, 0.902}, {0.882, 0.584, 
   0.624}, {0.965, 0.875, 0.886}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 0.996, 0.996}, {1., 0.718, 0.337}, {0.929, 0.529, 0.325}, {0.69, 0., 
   0.141}, {0.69, 0., 0.0667}, {0.831, 0.384, 0.4}, {0.98, 0.933, 0.937}, {1.,
    1., 1.}, {1., 0.988, 0.996}, {0.937, 0.749, 0.725}, {0.816, 0.267, 
   0.224}, {0.776, 0.153, 0.11}, {0.965, 0.831, 0.808}, {1., 1., 1.}, {1., 1.,
    1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}}, {{1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.992, 0.961, 0.969}, {0.824, 0.4, 0.455}, {0.725, 
   0.122, 0.208}, {0.882, 0.58, 0.62}, {0.988, 0.949, 0.957}, {1., 1., 1.}, {
   1., 1., 0.988}, {1., 0.62, 0.231}, {1., 0.624, 0.184}, {0.831, 0.376, 
   0.357}, {0.69, 0., 0.0863}, {0.714, 0., 0.0784}, {0.808, 0.302, 0.298}, {
   0.878, 0.525, 0.498}, {0.843, 0.376, 0.345}, {0.776, 0.153, 0.125}, {0.757,
    0.0471, 0.051}, {0.843, 0.353, 0.286}, {1., 0.988, 0.988}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.937, 0.937, 0.937}, {0.937, 0.937, 
   0.937}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.902, 0.902,
    0.902}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.937, 0.937,
    0.937}, {0.867, 0.867, 0.867}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.937, 0.937,
    0.937}, {0.937, 0.937, 0.937}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {0.965, 0.965, 0.965}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.902, 0.855}, {
   0.98, 0.671, 0.525}, {0.98, 0.671, 0.525}, {0.98, 0.671, 0.525}, {0.984, 
   0.761, 0.655}, {0.996, 0.902, 0.855}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.902, 0.855}, {
   0.996, 0.902, 0.855}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.992, 0.859, 0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {0.992, 0.859, 
   0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {0.988, 0.812, 0.722}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949,
    0.925}, {0.984, 0.761, 0.655}, {0.98, 0.671, 0.525}, {0.98, 0.671, 
   0.525}, {0.984, 0.761, 0.655}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.996, 0.902, 0.855}, {0.988, 0.812, 0.722}, {0.996, 0.902, 0.855}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {0.984, 0.761, 0.655}, {0.996, 0.949, 0.925}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.988, 
   0.812, 0.722}, {0.996, 0.902, 0.855}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.992, 0.859, 0.784}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.992, 0.859, 0.784}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.996, 0.902, 0.855}, {0.996, 0.902, 0.855}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.992, 0.859,
    0.784}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {0.996, 0.902, 0.855}, {0.996, 0.902, 0.855}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949, 
   0.925}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.992, 0.859, 0.784}, {0.98, 0.671, 0.525}, {0.98, 
   0.671, 0.525}, {0.98, 0.671, 0.525}, {0.992, 0.859, 0.784}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {0.996, 0.902, 0.855}, {0.988, 0.812, 0.722}, {
   0.996, 0.902, 0.855}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {
   0.992, 0.859, 0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.902, 0.855}, {
   0.988, 0.812, 0.722}, {0.996, 0.902, 0.855}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.992, 0.859, 0.784}, {0.988, 0.812, 0.722}, {0.996, 0.949, 0.925}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}}, {{1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.949, 0.824, 0.835}, {
   0.694, 0., 0.137}, {0.655, 0., 0.0706}, {0.749, 0.176, 0.255}, {0.812, 
   0.373, 0.451}, {0.898, 0.58, 0.553}, {1., 0.604, 0.192}, {1., 0.549, 
   0.102}, {0.988, 0.659, 0.329}, {0.776, 0.235, 0.267}, {0.714, 0., 
   0.0784}, {0.737, 0.0549, 0.0784}, {0.741, 0.0745, 0.0784}, {0.749, 0.0902, 
   0.0784}, {0.773, 0.122, 0.0941}, {0.78, 0.114, 0.0745}, {0.882, 0.467, 
   0.392}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.71, 0.71, 0.71}, {0.71, 0.71, 0.71}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {0.902, 0.902, 0.902}, {0.533, 0.533, 0.533}, {0.965, 0.965, 
   0.965}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.937, 0.937, 0.937}, {0.71, 0.71, 0.71}, {0.565, 0.565, 0.565}, {
   0.651, 0.651, 0.651}, {0.773, 0.773, 0.773}, {0.651, 0.651, 0.651}, {0.682,
    0.682, 0.682}, {0.902, 0.902, 0.902}, {1., 1., 1.}, {1., 1., 1.}, {0.808, 
   0.808, 0.808}, {0.62, 0.62, 0.62}, {0.533, 0.533, 0.533}, {0.533, 0.533, 
   0.533}, {0.533, 0.533, 0.533}, {0.588, 0.588, 0.588}, {0.741, 0.741, 
   0.741}, {0.808, 0.808, 0.808}, {0.588, 0.588, 0.588}, {0.533, 0.533, 
   0.533}, {0.533, 0.533, 0.533}, {0.533, 0.533, 0.533}, {0.62, 0.62, 0.62}, {
   0.651, 0.651, 0.651}, {1., 1., 1.}, {0.902, 0.902, 0.902}, {0.651, 0.651, 
   0.651}, {0.565, 0.565, 0.565}, {0.533, 0.533, 0.533}, {0.533, 0.533, 
   0.533}, {0.565, 0.565, 0.565}, {0.651, 0.651, 0.651}, {0.902, 0.902, 
   0.902}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.965, 0.965, 0.965}, {
   0.651, 0.651, 0.651}, {0.533, 0.533, 0.533}, {0.533, 0.533, 0.533}, {0.651,
    0.651, 0.651}, {0.937, 0.937, 0.937}, {0.965, 0.965, 0.965}, {0.588, 
   0.588, 0.588}, {0.565, 0.565, 0.565}, {0.71, 0.71, 0.71}, {0.847, 0.847, 
   0.847}, {0.651, 0.651, 0.651}, {0.533, 0.533, 0.533}, {0.533, 0.533, 
   0.533}, {0.533, 0.533, 0.533}, {0.588, 0.588, 0.588}, {0.741, 0.741, 
   0.741}, {1., 1., 1.}, {0.808, 0.808, 0.808}, {0.651, 0.651, 0.651}, {0.533,
    0.533, 0.533}, {0.533, 0.533, 0.533}, {0.533, 0.533, 0.533}, {0.62, 0.62, 
   0.62}, {0.808, 0.808, 0.808}, {1., 1., 1.}, {0.741, 0.741, 0.741}, {0.62, 
   0.62, 0.62}, {0.533, 0.533, 0.533}, {0.533, 0.533, 0.533}, {0.533, 0.533, 
   0.533}, {0.651, 0.651, 0.651}, {0.902, 0.902, 0.902}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {
   0.961, 0.498, 0.298}, {0.941, 0.333, 0.118}, {0.965, 0.541, 0.349}, {0.98, 
   0.671, 0.525}, {0.98, 0.671, 0.525}, {0.965, 0.541, 0.349}, {0.941, 0.333, 
   0.118}, {0.961, 0.498, 0.298}, {0.988, 0.812, 0.722}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.988, 
   0.812, 0.722}, {0.945, 0.373, 0.157}, {0.965, 0.541, 0.349}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.965, 0.541,
    0.349}, {0.941, 0.333, 0.118}, {0.969, 0.631, 0.467}, {0.996, 0.949, 
   0.925}, {1., 1., 1.}, {1., 1., 1.}, {0.98, 0.671, 0.525}, {0.941, 0.333, 
   0.118}, {0.961, 0.498, 0.298}, {0.992, 0.859, 0.784}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {0.98, 0.671, 0.525}, {0.941, 0.333, 0.118}, {0.961,
    0.498, 0.298}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {1., 1.,
    1.}, {0.961, 0.498, 0.298}, {0.957, 0.455, 0.247}, {0.984, 0.761, 
   0.655}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.992, 
   0.859, 0.784}, {0.941, 0.333, 0.118}, {0.953, 0.416, 0.2}, {0.988, 0.812, 
   0.722}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.992, 0.859, 0.784}, {
   0.945, 0.373, 0.157}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {0.945,
    0.373, 0.157}, {0.969, 0.631, 0.467}, {0.996, 0.949, 0.925}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949,
    0.925}, {0.969, 0.584, 0.408}, {0.941, 0.333, 0.118}, {0.945, 0.373, 
   0.157}, {0.969, 0.631, 0.467}, {0.98, 0.671, 0.525}, {0.969, 0.584, 
   0.408}, {0.945, 0.373, 0.157}, {0.969, 0.631, 0.467}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.969, 0.584, 0.408}, {
   0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {0.957,
    0.455, 0.247}, {0.988, 0.812, 0.722}, {1., 1., 1.}, {1., 1., 1.}, {1., 1.,
    1.}, {1., 1., 1.}, {1., 1., 1.}, {0.961, 0.498, 0.298}, {0.941, 0.333, 
   0.118}, {0.984, 0.718, 0.592}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {0.98, 0.671, 0.525}, {0.941, 0.333, 0.118}, {0.98, 0.671, 
   0.525}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.992, 
   0.859, 0.784}, {0.941, 0.333, 0.118}, {0.953, 0.416, 0.2}, {0.988, 0.812, 
   0.722}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.945, 
   0.373, 0.157}, {0.945, 0.373, 0.157}, {0.984, 0.718, 0.592}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {0.945, 0.373, 
   0.157}, {0.965, 0.541, 0.349}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.965, 0.541, 0.349}, {0.941, 0.333, 0.118}, {
   0.969, 0.631, 0.467}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {0.98, 0.671, 0.525}, {0.941, 0.333, 0.118}, {0.945, 0.373, 
   0.157}, {0.98, 0.671, 0.525}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.965, 0.541, 0.349}, {0.941, 0.333, 0.118}, {0.969, 0.631, 0.467}, {0.996,
    0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {0.941, 
   0.333, 0.118}, {0.957, 0.455, 0.247}, {0.996, 0.902, 0.855}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.984, 0.761, 0.655}, {0.953, 0.416, 0.2}, {0.941, 
   0.333, 0.118}, {0.961, 0.498, 0.298}, {0.98, 0.671, 0.525}, {0.98, 0.671, 
   0.525}, {0.953, 0.416, 0.2}, {0.957, 0.455, 0.247}, {0.992, 0.859, 
   0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.969, 0.584, 0.408}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {
   0.941, 0.333, 0.118}, {0.957, 0.455, 0.247}, {0.988, 0.812, 0.722}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {
   0.941, 0.333, 0.118}, {0.957, 0.455, 0.247}, {0.996, 0.902, 0.855}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.98, 0.671, 0.525}, {0.941, 0.333, 0.118}, {0.961, 
   0.498, 0.298}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.969, 0.584, 0.408}, {0.941, 0.333, 0.118}, {0.941, 
   0.333, 0.118}, {0.941, 0.333, 0.118}, {0.957, 0.455, 0.247}, {0.988, 0.812,
    0.722}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {
   0.961, 0.498, 0.298}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {0.941,
    0.333, 0.118}, {0.969, 0.584, 0.408}, {0.996, 0.949, 0.925}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}}, {{1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.796, 0.325, 0.388}, {0.655, 0., 
   0.0706}, {0.655, 0., 0.0706}, {0.651, 0., 0.0863}, {0.882, 0.427, 0.314}, {
   1., 0.612, 0.157}, {1., 0.525, 0.114}, {1., 0.588, 0.137}, {0.953, 0.62, 
   0.373}, {0.773, 0.212, 0.235}, {0.737, 0.0588, 0.0863}, {0.753, 0.098, 
   0.0902}, {0.769, 0.122, 0.0941}, {0.776, 0.137, 0.098}, {0.78, 0.114, 
   0.0745}, {0.878, 0.443, 0.365}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.992, 0.945, 0.922}, {0.988, 0.863, 0.804}, {
   0.996, 0.945, 0.922}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.565, 0.565, 0.565}, {
   0.565, 0.565, 0.565}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.741, 0.741,
    0.741}, {0.533, 0.533, 0.533}, {0.808, 0.808, 0.808}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.902, 0.902, 0.902}, {0.565, 0.565, 
   0.565}, {0.533, 0.533, 0.533}, {0.835, 0.835, 0.835}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {0.808, 0.808, 0.808}, {0.533, 0.533, 0.533}, {
   0.808, 0.808, 0.808}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.741, 
   0.741, 0.741}, {0.533, 0.533, 0.533}, {0.62, 0.62, 0.62}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.62, 0.62, 0.62}, {0.533, 0.533,
    0.533}, {0.741, 0.741, 0.741}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.835, 0.835, 0.835}, {0.533, 0.533, 0.533}, {
   0.533, 0.533, 0.533}, {0.965, 0.965, 0.965}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.71, 0.71, 0.71}, {0.533, 0.533,
    0.533}, {0.565, 0.565, 0.565}, {0.808, 0.808, 0.808}, {0.835, 0.835, 
   0.835}, {0.682, 0.682, 0.682}, {0.651, 0.651, 0.651}, {0.533, 0.533, 
   0.533}, {0.533, 0.533, 0.533}, {0.808, 0.808, 0.808}, {0.773, 0.773, 
   0.773}, {1., 1., 1.}, {0.835, 0.835, 0.835}, {0.533, 0.533, 0.533}, {0.533,
    0.533, 0.533}, {0.965, 0.965, 0.965}, {1., 1., 1.}, {1., 1., 1.}, {1., 1.,
    1.}, {1., 1., 1.}, {0.741, 0.741, 0.741}, {0.533, 0.533, 0.533}, {0.62, 
   0.62, 0.62}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {0.62, 0.62, 0.62}, {0.533, 0.533, 0.533}, {0.741, 0.741, 
   0.741}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.984, 0.718, 0.592}, {0.941, 0.333, 0.118}, {0.953, 
   0.416, 0.2}, {0.992, 0.859, 0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.996, 0.902, 0.855}, {0.961, 0.498, 0.298}, {0.941, 
   0.333, 0.118}, {0.969, 0.584, 0.408}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.941, 0.333, 0.118}, {
   0.941, 0.333, 0.118}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.961, 0.498, 0.298}, {0.941, 0.333, 0.118}, {
   0.945, 0.373, 0.157}, {0.957, 0.455, 0.247}, {0.996, 0.949, 0.925}, {1., 
   1., 1.}, {0.98, 0.671, 0.525}, {0.941, 0.333, 0.118}, {0.945, 0.373, 
   0.157}, {0.945, 0.373, 0.157}, {0.984, 0.761, 0.655}, {1., 1., 1.}, {1., 
   1., 1.}, {0.984, 0.718, 0.592}, {0.941, 0.333, 0.118}, {0.945, 0.373, 
   0.157}, {0.945, 0.373, 0.157}, {0.992, 0.859, 0.784}, {1., 1., 1.}, {1., 
   1., 1.}, {0.98, 0.671, 0.525}, {0.941, 0.333, 0.118}, {0.969, 0.631, 
   0.467}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.988, 
   0.812, 0.722}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {0.945, 0.373,
    0.157}, {0.984, 0.718, 0.592}, {1., 1., 1.}, {1., 1., 1.}, {0.961, 0.498, 
   0.298}, {0.941, 0.333, 0.118}, {0.945, 0.373, 0.157}, {0.969, 0.631, 
   0.467}, {0.98, 0.671, 0.525}, {0.961, 0.498, 0.298}, {0.945, 0.373, 
   0.157}, {0.992, 0.859, 0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {0.961, 0.498, 0.298}, {0.941, 0.333, 0.118}, {0.961, 0.498, 
   0.298}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.992, 0.859, 0.784}, {0.945, 0.373, 0.157}, {0.969, 0.584, 0.408}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {0.941, 0.333, 
   0.118}, {0.941, 0.333, 0.118}, {0.961, 0.498, 0.298}, {0.98, 0.671, 
   0.525}, {0.969, 0.631, 0.467}, {0.945, 0.373, 0.157}, {0.969, 0.584, 
   0.408}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.98, 
   0.671, 0.525}, {0.941, 0.333, 0.118}, {0.969, 0.584, 0.408}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.761, 0.655}, {
   0.941, 0.333, 0.118}, {0.961, 0.498, 0.298}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.992, 0.859, 0.784}, {0.941, 0.333, 0.118}, {
   0.941, 0.333, 0.118}, {0.953, 0.416, 0.2}, {0.984, 0.718, 0.592}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.953, 0.416, 0.2}, {0.941, 0.333, 
   0.118}, {0.945, 0.373, 0.157}, {0.969, 0.584, 0.408}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {
   0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.961, 0.498, 0.298}, {0.941, 0.333, 0.118}, {0.945, 0.373, 0.157}, {
   0.957, 0.455, 0.247}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {
   0.957, 0.455, 0.247}, {0.941, 0.333, 0.118}, {0.957, 0.455, 0.247}, {0.965,
    0.541, 0.349}, {0.965, 0.541, 0.349}, {0.996, 0.949, 0.925}, {1., 1., 
   1.}, {0.965, 0.541, 0.349}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {
   0.957, 0.455, 0.247}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {
   0.961, 0.498, 0.298}, {0.941, 0.333, 0.118}, {0.988, 0.812, 0.722}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.988, 0.812, 0.722}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {
   0.984, 0.761, 0.655}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.969, 0.584, 0.408}, {0.945, 0.373, 0.157}, {0.992, 0.859, 0.784}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {0.941, 
   0.333, 0.118}, {0.941, 0.333, 0.118}, {0.961, 0.498, 0.298}, {0.98, 0.671, 
   0.525}, {0.969, 0.631, 0.467}, {0.945, 0.373, 0.157}, {0.969, 0.584, 
   0.408}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.961, 
   0.498, 0.298}, {0.941, 0.333, 0.118}, {0.988, 0.812, 0.722}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.984, 0.718, 0.592}, {0.941, 0.333, 0.118}, {0.945, 
   0.373, 0.157}, {0.945, 0.373, 0.157}, {0.992, 0.859, 0.784}, {1., 1., 
   1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {0.941, 0.333, 0.118}, {0.941, 
   0.333, 0.118}, {0.961, 0.498, 0.298}, {0.98, 0.671, 0.525}, {0.969, 0.631, 
   0.467}, {0.945, 0.373, 0.157}, {0.969, 0.584, 0.408}, {1., 1., 1.}, {1., 
   1., 1.}, {0.965, 0.541, 0.349}, {0.941, 0.333, 0.118}, {0.945, 0.373, 
   0.157}, {0.984, 0.718, 0.592}, {0.988, 0.812, 0.722}, {0.984, 0.718, 
   0.592}, {0.957, 0.455, 0.247}, {0.996, 0.902, 0.855}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}}, {{1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.851, 0.475, 0.518}, {0.655, 0., 0.0667}, {0.651, 0., 0.0706}, {
   0.741, 0.173, 0.263}, {0.98, 0.639, 0.302}, {1., 0.557, 0.118}, {1., 0.537,
    0.129}, {1., 0.529, 0.114}, {1., 0.592, 0.145}, {0.969, 0.624, 0.361}, {
   0.843, 0.353, 0.298}, {0.8, 0.239, 0.204}, {0.816, 0.255, 0.204}, {0.843, 
   0.318, 0.231}, {0.886, 0.404, 0.271}, {0.953, 0.596, 0.447}, {0.965, 0.78, 
   0.722}, {0.969, 0.796, 0.753}, {0.969, 0.788, 0.729}, {0.961, 0.706, 
   0.612}, {0.941, 0.565, 0.431}, {0.929, 0.455, 0.282}, {0.969, 0.675, 
   0.561}, {0.996, 0.949, 0.933}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.835, 0.835, 0.835}, {0.533, 
   0.533, 0.533}, {0.533, 0.533, 0.533}, {0.835, 0.835, 0.835}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.565, 0.565, 0.565}, {0.533, 0.533, 0.533}, {0.682, 
   0.682, 0.682}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.965, 0.965, 
   0.965}, {0.565, 0.565, 0.565}, {0.533, 0.533, 0.533}, {0.773, 0.773, 
   0.773}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.62, 0.62, 0.62}, {0.533, 0.533, 0.533}, {0.902, 0.902, 0.902}, {1.,
    1., 1.}, {1., 1., 1.}, {0.773, 0.773, 0.773}, {0.533, 0.533, 0.533}, {
   0.651, 0.651, 0.651}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.651, 0.651, 0.651}, {0.533, 0.533, 0.533}, {0.773, 0.773, 0.773}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.867, 0.867, 0.867}, {0.533, 0.533, 0.533}, {0.533, 0.533, 0.533}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.565, 0.565, 0.565}, {0.533, 0.533, 0.533}, {0.808, 0.808, 0.808}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.741, 0.741, 0.741}, {0.533, 
   0.533, 0.533}, {0.651, 0.651, 0.651}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.867, 0.867, 0.867}, {0.533, 0.533, 0.533}, {0.533, 0.533, 0.533}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.773, 0.773, 0.773}, {0.533, 0.533, 0.533}, {0.651, 0.651, 0.651}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.651, 
   0.651, 0.651}, {0.533, 0.533, 0.533}, {0.773, 0.773, 0.773}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.988, 0.812,
    0.722}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {0.992, 0.859, 
   0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.965, 0.541, 0.349}, {0.941, 0.333, 
   0.118}, {0.957, 0.455, 0.247}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.961, 0.498, 0.298}, {0.941, 0.333, 
   0.118}, {0.988, 0.812, 0.722}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {0.98, 0.671, 0.525}, {0.941, 0.333, 0.118}, {0.98, 0.671, 
   0.525}, {0.984, 0.718, 0.592}, {0.969, 0.584, 0.408}, {1., 1., 1.}, {0.988,
    0.812, 0.722}, {0.941, 0.333, 0.118}, {0.961, 0.498, 0.298}, {0.996, 
   0.902, 0.855}, {0.957, 0.455, 0.247}, {0.984, 0.761, 0.655}, {1., 1., 
   1.}, {0.992, 0.859, 0.784}, {0.941, 0.333, 0.118}, {0.961, 0.498, 0.298}, {
   0.992, 0.859, 0.784}, {0.961, 0.498, 0.298}, {0.996, 0.949, 0.925}, {1., 
   1., 1.}, {0.988, 0.812, 0.722}, {0.941, 0.333, 0.118}, {0.961, 0.498, 
   0.298}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {0.996, 0.949, 0.925}, {
   0.961, 0.498, 0.298}, {0.992, 0.859, 0.784}, {0.996, 0.949, 0.925}, {0.941,
    0.333, 0.118}, {0.941, 0.333, 0.118}, {0.984, 0.718, 0.592}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {0.953, 0.416, 
   0.2}, {0.984, 0.718, 0.592}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1.,
    1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.961, 
   0.498, 0.298}, {0.953, 0.416, 0.2}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.969, 0.631, 
   0.467}, {0.941, 0.333, 0.118}, {0.984, 0.718, 0.592}, {1., 1., 1.}, {1., 
   1., 1.}, {0.969, 0.631, 0.467}, {0.941, 0.333, 0.118}, {0.953, 0.416, 
   0.2}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {
   0.969, 0.631, 0.467}, {0.957, 0.455, 0.247}, {0.996, 0.949, 0.925}, {1., 
   1., 1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {0.941, 0.333, 0.118}, {
   0.957, 0.455, 0.247}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.996, 0.949, 0.925}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {1., 1., 1.}, {0.969, 0.584, 
   0.408}, {0.996, 0.902, 0.855}, {1., 1., 1.}, {1., 1., 1.}, {0.965, 0.541, 
   0.349}, {0.941, 0.333, 0.118}, {0.988, 0.812, 0.722}, {0.98, 0.671, 
   0.525}, {0.98, 0.671, 0.525}, {1., 1., 1.}, {1., 1., 1.}, {0.961, 0.498, 
   0.298}, {0.941, 0.333, 0.118}, {0.988, 0.812, 0.722}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.98, 0.671, 0.525}, {0.941, 0.333, 
   0.118}, {0.98, 0.671, 0.525}, {0.984, 0.718, 0.592}, {0.969, 0.584, 
   0.408}, {1., 1., 1.}, {1., 1., 1.}, {0.941, 0.333, 0.118}, {0.941, 0.333, 
   0.118}, {0.984, 0.761, 0.655}, {1., 1., 1.}, {0.984, 0.718, 0.592}, {0.957,
    0.455, 0.247}, {0.996, 0.949, 0.925}, {0.98, 0.671, 0.525}, {0.941, 0.333,
    0.118}, {0.98, 0.671, 0.525}, {0.98, 0.671, 0.525}, {0.957, 0.455, 
   0.247}, {1., 1., 1.}, {1., 1., 1.}, {0.969, 0.631, 0.467}, {0.941, 0.333, 
   0.118}, {0.98, 0.671, 0.525}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {0.941, 0.333, 
   0.118}, {0.98, 0.671, 0.525}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {0.941, 0.333, 0.118}, {
   0.953, 0.416, 0.2}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.969, 
   0.631, 0.467}, {0.941, 0.333, 0.118}, {0.953, 0.416, 0.2}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {0.969, 0.631, 0.467}, {
   0.957, 0.455, 0.247}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {
   0.969, 0.631, 0.467}, {0.941, 0.333, 0.118}, {0.98, 0.671, 0.525}, {1., 1.,
    1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.992, 0.859, 0.784}, {0.941, 0.333, 0.118}, {0.961, 
   0.498, 0.298}, {0.992, 0.859, 0.784}, {0.961, 0.498, 0.298}, {0.996, 0.949,
    0.925}, {1., 1., 1.}, {0.969, 0.631, 0.467}, {0.941, 0.333, 0.118}, {
   0.953, 0.416, 0.2}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 
   0.949, 0.925}, {0.969, 0.631, 0.467}, {0.957, 0.455, 0.247}, {0.996, 0.949,
    0.925}, {0.984, 0.718, 0.592}, {0.945, 0.373, 0.157}, {0.992, 0.859, 
   0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.969, 0.631, 0.467}, {
   0.961, 0.498, 0.298}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}}, {{1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.808, 0.357, 0.455}, {
   0.655, 0., 0.102}, {0.749, 0.188, 0.278}, {0.937, 0.573, 0.357}, {1., 
   0.592, 0.145}, {1., 0.529, 0.118}, {1., 0.541, 0.129}, {1., 0.545, 
   0.129}, {1., 0.522, 0.118}, {1., 0.545, 0.129}, {1., 0.588, 0.231}, {0.965,
    0.553, 0.294}, {0.957, 0.533, 0.29}, {0.965, 0.494, 0.239}, {0.969, 0.486,
    0.216}, {0.949, 0.557, 0.38}, {0.855, 0.259, 0.141}, {0.863, 0.239, 
   0.11}, {0.878, 0.267, 0.118}, {0.878, 0.216, 0.0706}, {0.898, 0.255, 
   0.0863}, {0.965, 0.667, 0.541}, {1., 0.984, 0.98}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.71, 0.71, 0.71}, {0.533, 0.533, 0.533}, {0.533, 0.533, 0.533}, {
   0.71, 0.71, 0.71}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.835, 0.835, 0.835}, {0.533, 0.533, 
   0.533}, {0.533, 0.533, 0.533}, {0.565, 0.565, 0.565}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {0.773, 0.773, 0.773}, {0.533, 0.533, 0.533}, {
   0.533, 0.533, 0.533}, {0.965, 0.965, 0.965}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.773, 0.773, 0.773}, {0.533, 
   0.533, 0.533}, {0.682, 0.682, 0.682}, {1., 1., 1.}, {1., 1., 1.}, {0.773, 
   0.773, 0.773}, {0.533, 0.533, 0.533}, {0.651, 0.651, 0.651}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.651, 0.651, 0.651}, {
   0.533, 0.533, 0.533}, {0.773, 0.773, 0.773}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.867, 0.867, 0.867}, {0.533, 
   0.533, 0.533}, {0.533, 0.533, 0.533}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.588, 0.588, 0.588}, {
   0.533, 0.533, 0.533}, {0.867, 0.867, 0.867}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {0.773, 0.773, 0.773}, {0.533, 0.533, 0.533}, {0.651, 0.651, 
   0.651}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.867, 0.867, 0.867}, {
   0.533, 0.533, 0.533}, {0.533, 0.533, 0.533}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.773, 0.773, 0.773}, {0.533, 
   0.533, 0.533}, {0.651, 0.651, 0.651}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.651, 0.651, 0.651}, {0.533, 0.533, 
   0.533}, {0.773, 0.773, 0.773}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.953, 0.416, 0.2}, {0.941, 0.333, 0.118}, {
   0.969, 0.584, 0.408}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949,
    0.925}, {0.953, 0.416, 0.2}, {0.941, 0.333, 0.118}, {0.969, 0.584, 
   0.408}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.98, 
   0.671, 0.525}, {0.941, 0.333, 0.118}, {0.98, 0.671, 0.525}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {0.941, 
   0.333, 0.118}, {0.965, 0.541, 0.349}, {1., 1., 1.}, {0.996, 0.949, 
   0.925}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {0.941, 0.333, 0.118}, {0.945,
    0.373, 0.157}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {0.996, 0.949, 
   0.925}, {1., 1., 1.}, {1., 1., 1.}, {0.941, 0.333, 0.118}, {0.941, 0.333, 
   0.118}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.961, 0.498, 
   0.298}, {0.941, 0.333, 0.118}, {0.992, 0.859, 0.784}, {0.996, 0.949, 
   0.925}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {0.941, 0.333, 0.118}, {0.941,
    0.333, 0.118}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {1., 1.,
    1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {0.988, 0.812, 0.722}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.961, 0.498, 0.298}, {0.98, 0.671, 
   0.525}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {0.941, 0.333, 0.118}, {0.957, 
   0.455, 0.247}, {1., 1., 1.}, {1., 1., 1.}, {0.961, 0.498, 0.298}, {0.941, 
   0.333, 0.118}, {0.969, 0.631, 0.467}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.761, 0.655}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.941, 0.333, 0.118}, {0.941, 0.333, 
   0.118}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {0.957, 0.455, 0.247}, {0.941, 0.333, 0.118}, {0.992, 0.859, 
   0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.961, 
   0.498, 0.298}, {0.941, 0.333, 0.118}, {0.988, 0.812, 0.722}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.98, 0.671, 0.525}, {
   0.941, 0.333, 0.118}, {0.98, 0.671, 0.525}, {1., 1., 1.}, {0.996, 0.949, 
   0.925}, {1., 1., 1.}, {1., 1., 1.}, {0.98, 0.671, 0.525}, {0.941, 0.333, 
   0.118}, {0.98, 0.671, 0.525}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {0.988, 0.812, 0.722}, {0.941, 0.333, 0.118}, {0.965, 0.541, 
   0.349}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {
   0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {0.988, 0.812, 0.722}, {1., 
   1., 1.}, {1., 1., 1.}, {0.984, 0.718, 0.592}, {0.957, 0.455, 0.247}, {
   0.984, 0.761, 0.655}, {0.941, 0.333, 0.118}, {0.969, 0.584, 0.408}, {1., 
   1., 1.}, {0.996, 0.902, 0.855}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.761, 
   0.655}, {0.941, 0.333, 0.118}, {0.965, 0.541, 0.349}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.988, 0.812,
    0.722}, {0.945, 0.373, 0.157}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.961, 0.498, 
   0.298}, {0.941, 0.333, 0.118}, {0.984, 0.761, 0.655}, {1., 1., 1.}, {1., 
   1., 1.}, {0.961, 0.498, 0.298}, {0.941, 0.333, 0.118}, {0.969, 0.631, 
   0.467}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.984, 0.761, 0.655}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.984, 0.761, 0.655}, {0.941, 0.333, 0.118}, {0.965, 0.541, 0.349}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.941, 0.333, 0.118}, {0.941, 0.333, 
   0.118}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {
   0.961, 0.498, 0.298}, {0.941, 0.333, 0.118}, {0.969, 0.631, 0.467}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 
   0.761, 0.655}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1.,
    1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.969, 0.584, 0.408}, {0.941, 0.333,
    0.118}, {0.992, 0.859, 0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}}, {{1., 0.996, 
   0.996}, {0.996, 0.98, 0.98}, {1., 0.988, 0.988}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 0.992, 0.906}, {1., 0.906, 0.745}, {1., 0.91, 0.776}, {0.996, 
   0.855, 0.741}, {0.886, 0.502, 0.416}, {0.906, 0.478, 0.302}, {0.992, 0.655,
    0.302}, {1., 0.588, 0.145}, {1., 0.529, 0.118}, {1., 0.541, 0.129}, {1., 
   0.541, 0.129}, {1., 0.525, 0.129}, {1., 0.494, 0.129}, {0.988, 0.455, 
   0.118}, {0.976, 0.424, 0.106}, {0.973, 0.416, 0.114}, {0.957, 0.392, 
   0.114}, {0.933, 0.318, 0.0863}, {0.945, 0.486, 0.275}, {0.875, 0.376, 
   0.255}, {0.843, 0.188, 0.0784}, {0.871, 0.235, 0.098}, {0.878, 0.235, 
   0.0824}, {0.898, 0.271, 0.098}, {0.969, 0.722, 0.612}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.565, 0.565, 0.565}, {0.533, 0.533, 
   0.533}, {0.741, 0.741, 0.741}, {0.565, 0.565, 0.565}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.71, 
   0.71, 0.71}, {0.533, 0.533, 0.533}, {0.62, 0.62, 0.62}, {0.682, 0.682, 
   0.682}, {0.835, 0.835, 0.835}, {1., 1., 1.}, {1., 1., 1.}, {0.62, 0.62, 
   0.62}, {0.533, 0.533, 0.533}, {0.651, 0.651, 0.651}, {1., 1., 1.}, {1., 1.,
    1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.867, 
   0.867, 0.867}, {0.533, 0.533, 0.533}, {0.533, 0.533, 0.533}, {1., 1., 
   1.}, {1., 1., 1.}, {0.773, 0.773, 0.773}, {0.533, 0.533, 0.533}, {0.651, 
   0.651, 0.651}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.651, 0.651, 0.651}, {0.533, 0.533, 0.533}, {0.773, 0.773, 0.773}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.867, 
   0.867, 0.867}, {0.533, 0.533, 0.533}, {0.533, 0.533, 0.533}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.773, 0.773, 0.773}, {0.533, 0.533, 0.533}, {0.773, 0.773, 0.773}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.773, 0.773, 0.773}, {0.533, 
   0.533, 0.533}, {0.651, 0.651, 0.651}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.867, 0.867, 0.867}, {0.533, 0.533, 0.533}, {0.533, 0.533, 0.533}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.773, 0.773, 0.773}, {0.533, 0.533, 0.533}, {0.651, 0.651, 0.651}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.651, 
   0.651, 0.651}, {0.533, 0.533, 0.533}, {0.773, 0.773, 0.773}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.992, 0.859, 0.784}, {
   0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {0.984, 0.761, 0.655}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.718, 0.592}, {
   0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {0.984, 0.761, 0.655}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {0.941, 0.333, 
   0.118}, {0.961, 0.498, 0.298}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {0.996, 0.949, 0.925}, {0.941, 0.333, 0.118}, {0.953, 0.416, 
   0.2}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.953, 
   0.416, 0.2}, {0.941, 0.333, 0.118}, {0.996, 0.902, 0.855}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.961, 0.498, 0.298}, {0.941, 
   0.333, 0.118}, {0.992, 0.859, 0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.961, 0.498, 0.298}, {0.941, 0.333, 0.118}, {0.988, 
   0.812, 0.722}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.969, 0.631, 0.467}, {0.941, 0.333, 0.118}, {0.984, 0.718, 0.592}, {1., 
   1., 1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {0.941, 0.333, 0.118}, {
   0.941, 0.333, 0.118}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.961, 0.498, 0.298}, {0.996, 0.902, 0.855}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.988, 0.812, 0.722}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {
   1., 1., 1.}, {1., 1., 1.}, {0.961, 0.498, 0.298}, {0.941, 0.333, 0.118}, {
   0.98, 0.671, 0.525}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.961, 0.498, 0.298}, {0.941, 0.333, 0.118}, {0.984, 
   0.761, 0.655}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.969, 0.631, 0.467}, {0.941, 0.333, 0.118}, {0.984, 0.718, 0.592}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.98, 0.671, 0.525}, {
   0.941, 0.333, 0.118}, {0.98, 0.671, 0.525}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {0.941, 0.333, 0.118}, {
   0.965, 0.541, 0.349}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.988, 0.812, 0.722}, {0.941, 0.333, 0.118}, {0.961, 0.498, 0.298}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949, 
   0.925}, {0.941, 0.333, 0.118}, {0.953, 0.416, 0.2}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.957, 0.455, 0.247}, {0.941, 0.333, 
   0.118}, {0.988, 0.812, 0.722}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.984, 0.718, 0.592}, {0.965, 0.541, 0.349}, {0.941, 0.333, 0.118}, {0.957,
    0.455, 0.247}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.996, 0.902, 0.855}, {0.941, 0.333, 0.118}, {0.953, 0.416, 0.2}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.988, 0.812, 0.722}, {0.969, 0.584, 0.408}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.961, 0.498, 0.298}, {0.941, 0.333, 0.118}, {0.98, 0.671, 0.525}, {
   1., 1., 1.}, {1., 1., 1.}, {0.961, 0.498, 0.298}, {0.941, 0.333, 0.118}, {
   0.98, 0.671, 0.525}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.996, 0.902, 0.855}, {0.941, 0.333, 0.118}, {0.953, 0.416, 0.2}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.961, 0.498, 0.298}, {0.941, 0.333, 
   0.118}, {0.992, 0.859, 0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.961, 0.498, 0.298}, {0.941, 0.333, 0.118}, {0.98, 0.671, 0.525}, {1., 1.,
    1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.984, 0.718, 0.592}, {0.941, 0.333, 0.118}, {0.941, 
   0.333, 0.118}, {0.992, 0.859, 0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}}, {{1., 1., 
   1.}, {0.941, 0.78, 0.796}, {0.82, 0.38, 0.439}, {0.769, 0.231, 0.302}, {
   0.765, 0.247, 0.322}, {0.835, 0.408, 0.396}, {0.988, 0.655, 0.337}, {1., 
   0.616, 0.157}, {1., 0.537, 0.122}, {1., 0.588, 0.149}, {1., 0.592, 
   0.137}, {1., 0.545, 0.114}, {1., 0.537, 0.122}, {1., 0.541, 0.129}, {1., 
   0.533, 0.129}, {1., 0.506, 0.125}, {0.984, 0.471, 0.125}, {0.976, 0.443, 
   0.125}, {0.961, 0.412, 0.122}, {0.945, 0.384, 0.122}, {0.937, 0.357, 
   0.118}, {0.914, 0.302, 0.0941}, {0.922, 0.373, 0.184}, {0.914, 0.494, 
   0.369}, {0.851, 0.224, 0.102}, {0.875, 0.255, 0.114}, {0.882, 0.275, 
   0.118}, {0.894, 0.255, 0.0863}, {0.961, 0.627, 0.502}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.902, 0.902, 0.902}, {0.533, 0.533, 
   0.533}, {0.533, 0.533, 0.533}, {0.902, 0.902, 0.902}, {0.682, 0.682, 
   0.682}, {0.835, 0.835, 0.835}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {0.965, 0.965, 0.965}, {0.533, 0.533, 0.533}, {0.533, 0.533, 
   0.533}, {0.773, 0.773, 0.773}, {0.808, 0.808, 0.808}, {0.71, 0.71, 0.71}, {
   1., 1., 1.}, {1., 1., 1.}, {0.533, 0.533, 0.533}, {0.533, 0.533, 0.533}, {
   0.741, 0.741, 0.741}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.867, 0.867, 0.867}, {0.533, 0.533, 
   0.533}, {0.533, 0.533, 0.533}, {0.902, 0.902, 0.902}, {1., 1., 1.}, {0.773,
    0.773, 0.773}, {0.533, 0.533, 0.533}, {0.651, 0.651, 0.651}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.651, 0.651, 0.651}, {
   0.533, 0.533, 0.533}, {0.773, 0.773, 0.773}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.867, 0.867, 0.867}, {0.533, 
   0.533, 0.533}, {0.533, 0.533, 0.533}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.773, 0.773,
    0.773}, {0.588, 0.588, 0.588}, {0.71, 0.71, 0.71}, {0.937, 0.937, 
   0.937}, {1., 1., 1.}, {0.773, 0.773, 0.773}, {0.533, 0.533, 0.533}, {0.651,
    0.651, 0.651}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.867, 0.867, 
   0.867}, {0.533, 0.533, 0.533}, {0.533, 0.533, 0.533}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.773, 0.773, 0.773}, {
   0.533, 0.533, 0.533}, {0.651, 0.651, 0.651}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.651, 0.651, 0.651}, {0.533, 
   0.533, 0.533}, {0.773, 0.773, 0.773}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.98, 0.671, 0.525}, {0.941, 0.333, 0.118}, {0.941, 
   0.333, 0.118}, {0.996, 0.902, 0.855}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.953, 0.416, 0.2}, {0.941, 0.333, 
   0.118}, {0.953, 0.416, 0.2}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1.,
    1., 1.}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {0.992, 0.859, 
   0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.957, 
   0.455, 0.247}, {0.941, 0.333, 0.118}, {0.996, 0.949, 0.925}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.965, 0.541, 0.349}, {0.941, 0.333, 
   0.118}, {0.984, 0.761, 0.655}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {0.98, 0.671, 0.525}, {0.941, 0.333, 0.118}, {0.98, 0.671, 
   0.525}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.98, 
   0.671, 0.525}, {0.941, 0.333, 0.118}, {0.965, 0.541, 0.349}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.761, 0.655}, {
   0.941, 0.333, 0.118}, {0.969, 0.631, 0.467}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {0.984, 0.718, 
   0.592}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 
   0.718, 0.592}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1.,
    1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.969, 0.631, 0.467}, {0.941, 0.333,
    0.118}, {0.941, 0.333, 0.118}, {1., 1., 1.}, {1., 1., 1.}, {0.98, 0.671, 
   0.525}, {0.941, 0.333, 0.118}, {0.961, 0.498, 0.298}, {0.992, 0.859, 
   0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.98, 0.671, 
   0.525}, {0.941, 0.333, 0.118}, {0.961, 0.498, 0.298}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.718, 0.592}, {0.941, 0.333, 
   0.118}, {0.961, 0.498, 0.298}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {0.988, 0.812, 0.722}, {0.941, 0.333, 0.118}, {0.957, 0.455, 
   0.247}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.941, 0.333, 0.118}, {0.945, 0.373, 0.157}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.941, 0.333, 0.118}, {
   0.941, 0.333, 0.118}, {0.992, 0.859, 0.784}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.957, 0.455, 0.247}, {0.941, 0.333, 0.118}, {
   0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.969, 
   0.584, 0.408}, {0.941, 0.333, 0.118}, {0.98, 0.671, 0.525}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.969, 0.584, 0.408}, {0.941, 
   0.333, 0.118}, {0.941, 0.333, 0.118}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.953, 0.416, 0.2}, {0.941, 0.333, 
   0.118}, {0.996, 0.902, 0.855}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {0.996, 0.902, 0.855}, {0.988, 0.812, 0.722}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.996, 0.949, 0.925}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {
   0.98, 0.671, 0.525}, {1., 1., 1.}, {1., 1., 1.}, {0.98, 0.671, 0.525}, {
   0.941, 0.333, 0.118}, {0.961, 0.498, 0.298}, {0.992, 0.859, 0.784}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.953, 0.416, 0.2}, {0.941,
    0.333, 0.118}, {0.996, 0.902, 0.855}, {1., 1., 1.}, {1., 1., 1.}, {1., 1.,
    1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.98, 0.671,
    0.525}, {0.941, 0.333, 0.118}, {0.98, 0.671, 0.525}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {0.98, 0.671, 0.525}, {0.941, 0.333, 0.118}, {0.961,
    0.498, 0.298}, {0.992, 0.859, 0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 1.,
    1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.969, 0.631, 0.467}, {0.941, 0.333, 
   0.118}, {0.941, 0.333, 0.118}, {0.957, 0.455, 0.247}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}}, {{1., 1., 1.}, {1., 1., 1.}, {0.953, 0.812, 0.831}, {
   0.824, 0.392, 0.447}, {0.686, 0.0353, 0.122}, {0.627, 0., 0.0431}, {0.733, 
   0.149, 0.227}, {0.925, 0.573, 0.369}, {1., 0.627, 0.173}, {1., 0.525, 
   0.102}, {1., 0.537, 0.125}, {1., 0.541, 0.129}, {1., 0.533, 0.129}, {1., 
   0.51, 0.125}, {0.996, 0.482, 0.125}, {0.98, 0.451, 0.125}, {0.961, 0.42, 
   0.122}, {0.953, 0.392, 0.122}, {0.941, 0.365, 0.118}, {0.922, 0.337, 
   0.122}, {0.91, 0.302, 0.11}, {0.898, 0.278, 0.11}, {0.929, 0.502, 0.369}, {
   0.867, 0.31, 0.176}, {0.871, 0.239, 0.102}, {0.882, 0.275, 0.118}, {0.894, 
   0.259, 0.0941}, {0.925, 0.412, 0.231}, {0.996, 0.965, 0.945}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.741, 0.741, 0.741}, {
   0.533, 0.533, 0.533}, {0.588, 0.588, 0.588}, {1., 1., 1.}, {0.808, 0.808, 
   0.808}, {0.71, 0.71, 0.71}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {0.808, 0.808, 0.808}, {0.533, 0.533, 0.533}, {0.533, 0.533, 
   0.533}, {0.965, 0.965, 0.965}, {0.937, 0.937, 0.937}, {0.588, 0.588, 
   0.588}, {1., 1., 1.}, {1., 1., 1.}, {0.533, 0.533, 0.533}, {0.533, 0.533, 
   0.533}, {0.773, 0.773, 0.773}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.867, 0.867, 0.867}, {0.533, 
   0.533, 0.533}, {0.533, 0.533, 0.533}, {0.867, 0.867, 0.867}, {1., 1., 
   1.}, {0.773, 0.773, 0.773}, {0.533, 0.533, 0.533}, {0.651, 0.651, 0.651}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.651, 0.651, 
   0.651}, {0.533, 0.533, 0.533}, {0.773, 0.773, 0.773}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.867, 0.867, 0.867}, {
   0.533, 0.533, 0.533}, {0.533, 0.533, 0.533}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {0.835, 0.835, 0.835}, {0.682, 0.682, 0.682}, {0.71,
    0.71, 0.71}, {0.682, 0.682, 0.682}, {0.533, 0.533, 0.533}, {0.651, 0.651, 
   0.651}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.867, 0.867, 0.867}, {
   0.533, 0.533, 0.533}, {0.533, 0.533, 0.533}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.773, 0.773, 0.773}, {0.533, 
   0.533, 0.533}, {0.651, 0.651, 0.651}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.651, 0.651, 0.651}, {0.533, 0.533, 
   0.533}, {0.773, 0.773, 0.773}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {0.969, 0.584, 0.408}, {0.941, 0.333, 0.118}, {0.941, 0.333, 
   0.118}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.98, 0.671, 0.525}, {0.941, 0.333, 0.118}, {0.941, 
   0.333, 0.118}, {0.992, 0.859, 0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.957, 0.455, 0.247}, {0.941, 0.333, 0.118}, {0.957, 0.455, 0.247}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.969, 0.584, 
   0.408}, {0.941, 0.333, 0.118}, {0.984, 0.761, 0.655}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {0.98, 0.671, 0.525}, {0.941, 0.333, 0.118}, {0.969,
    0.631, 0.467}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.984, 0.761, 0.655}, {0.941, 0.333, 0.118}, {0.969, 0.584, 0.408}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.761, 0.655}, {
   0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {0.984, 0.761, 0.655}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.902, 0.855}, {0.941, 0.333, 
   0.118}, {0.957, 0.455, 0.247}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.953, 0.416, 0.2}, {0.941, 0.333, 0.118}, {0.969, 0.584, 0.408}, {0.957, 
   0.455, 0.247}, {0.961, 0.498, 0.298}, {0.984, 0.718, 0.592}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.992, 0.859, 0.784}, {0.945, 0.373, 
   0.157}, {0.941, 0.333, 0.118}, {0.965, 0.541, 0.349}, {1., 1., 1.}, {1., 
   1., 1.}, {0.984, 0.718, 0.592}, {0.941, 0.333, 0.118}, {0.953, 0.416, 
   0.2}, {0.969, 0.584, 0.408}, {0.953, 0.416, 0.2}, {0.969, 0.631, 0.467}, {
   0.996, 0.902, 0.855}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {0.941, 0.333, 
   0.118}, {0.941, 0.333, 0.118}, {0.984, 0.718, 0.592}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {0.996, 0.902, 0.855}, {0.941, 0.333, 0.118}, {
   0.941, 0.333, 0.118}, {0.98, 0.671, 0.525}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {
   0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.957, 0.455, 0.247}, {0.941, 0.333, 0.118}, {0.996, 0.902, 0.855}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.957, 0.455, 
   0.247}, {0.941, 0.333, 0.118}, {0.957, 0.455, 0.247}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.969, 0.584, 0.408}, {0.941, 0.333, 
   0.118}, {0.984, 0.761, 0.655}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.984, 0.718, 0.592}, {0.941, 0.333, 0.118}, {0.969, 0.584, 0.408}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {
   0.953, 0.416, 0.2}, {0.941, 0.333, 0.118}, {0.988, 0.812, 0.722}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.965, 0.541, 0.349}, {
   0.941, 0.333, 0.118}, {0.98, 0.671, 0.525}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.969, 0.584, 0.408}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {
   0.992, 0.859, 0.784}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.718, 0.592}, {
   0.941, 0.333, 0.118}, {0.953, 0.416, 0.2}, {0.969, 0.584, 0.408}, {0.953, 
   0.416, 0.2}, {0.969, 0.631, 0.467}, {0.996, 0.902, 0.855}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.965, 0.541, 0.349}, {0.941, 0.333, 0.118}, {0.98, 0.671, 0.525}, {1., 1.,
    1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.984, 0.761, 0.655}, {0.941, 0.333, 0.118}, {0.969, 
   0.584, 0.408}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.718, 
   0.592}, {0.941, 0.333, 0.118}, {0.953, 0.416, 0.2}, {0.969, 0.584, 
   0.408}, {0.953, 0.416, 0.2}, {0.969, 0.631, 0.467}, {0.996, 0.902, 
   0.855}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.969, 0.584, 0.408}, {0.941, 0.333, 0.118}, {0.941, 
   0.333, 0.118}, {0.957, 0.455, 0.247}, {0.996, 0.949, 0.925}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}}, {{1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.945, 0.808, 0.831}, {0.788, 0.29, 0.353}, {0.639, 0.,
    0.051}, {0.686, 0.0353, 0.169}, {0.886, 0.514, 0.404}, {1., 0.663, 
   0.22}, {1., 0.525, 0.106}, {1., 0.518, 0.125}, {0.996, 0.49, 0.125}, {0.98,
    0.455, 0.125}, {0.965, 0.431, 0.122}, {0.953, 0.4, 0.122}, {0.937, 0.373, 
   0.118}, {0.925, 0.341, 0.122}, {0.914, 0.318, 0.118}, {0.898, 0.294, 
   0.118}, {0.882, 0.239, 0.0941}, {0.91, 0.38, 0.247}, {0.902, 0.427, 
   0.306}, {0.859, 0.231, 0.098}, {0.882, 0.267, 0.114}, {0.894, 0.29, 
   0.122}, {0.902, 0.251, 0.0824}, {0.961, 0.624, 0.486}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.588, 0.588, 0.588}, {
   0.533, 0.533, 0.533}, {0.741, 0.741, 0.741}, {1., 1., 1.}, {0.965, 0.965, 
   0.965}, {0.565, 0.565, 0.565}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {0.62, 0.62, 0.62}, {0.533, 0.533, 0.533}, {0.682, 0.682, 
   0.682}, {1., 1., 1.}, {1., 1., 1.}, {0.62, 0.62, 0.62}, {0.902, 0.902, 
   0.902}, {1., 1., 1.}, {0.651, 0.651, 0.651}, {0.533, 0.533, 0.533}, {0.773,
    0.773, 0.773}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.773, 0.773, 0.773}, {0.533, 0.533, 0.533}, {
   0.533, 0.533, 0.533}, {0.937, 0.937, 0.937}, {1., 1., 1.}, {0.773, 0.773, 
   0.773}, {0.533, 0.533, 0.533}, {0.651, 0.651, 0.651}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.651, 0.651, 0.651}, {0.533, 0.533, 
   0.533}, {0.773, 0.773, 0.773}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.867, 0.867, 0.867}, {0.533, 0.533, 0.533}, {
   0.533, 0.533, 0.533}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.937, 0.937, 0.937}, {0.651, 0.651, 
   0.651}, {0.533, 0.533, 0.533}, {0.651, 0.651, 0.651}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {0.867, 0.867, 0.867}, {0.533, 0.533, 0.533}, {
   0.533, 0.533, 0.533}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.773, 0.773, 0.773}, {0.533, 0.533, 0.533}, {0.651, 
   0.651, 0.651}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1.,
    1., 1.}, {0.651, 0.651, 0.651}, {0.533, 0.533, 0.533}, {0.773, 0.773, 
   0.773}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.961, 
   0.498, 0.298}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.992, 0.859, 0.784}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {
   0.969, 0.631, 0.467}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.969, 
   0.631, 0.467}, {0.941, 0.333, 0.118}, {0.957, 0.455, 0.247}, {0.969, 0.584,
    0.408}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.98, 0.671, 0.525}, {
   0.941, 0.333, 0.118}, {0.969, 0.631, 0.467}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {0.988, 0.812, 0.722}, {0.941, 0.333, 0.118}, {0.961, 0.498, 
   0.298}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 
   0.949, 0.925}, {0.941, 0.333, 0.118}, {0.953, 0.416, 0.2}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {0.941, 
   0.333, 0.118}, {0.945, 0.373, 0.157}, {0.957, 0.455, 0.247}, {0.992, 0.859,
    0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.941, 0.333, 0.118}, {
   0.941, 0.333, 0.118}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {
   0.969, 0.631, 0.467}, {0.941, 0.333, 0.118}, {0.984, 0.718, 0.592}, {1., 
   1., 1.}, {0.996, 0.902, 0.855}, {0.965, 0.541, 0.349}, {0.953, 0.416, 
   0.2}, {0.984, 0.761, 0.655}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1.,
    1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.992, 0.859, 0.784}, {0.945, 0.373, 0.157}, {0.941, 
   0.333, 0.118}, {0.941, 0.333, 0.118}, {0.988, 0.812, 0.722}, {1., 1., 
   1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {0.941, 0.333, 0.118}, {0.953, 
   0.416, 0.2}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.718, 0.592}, {0.945, 
   0.373, 0.157}, {0.969, 0.584, 0.408}, {0.996, 0.949, 0.925}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {
   0.941, 0.333, 0.118}, {0.945, 0.373, 0.157}, {0.957, 0.455, 0.247}, {0.992,
    0.859, 0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.945, 0.373, 
   0.157}, {0.941, 0.333, 0.118}, {0.957, 0.455, 0.247}, {0.992, 0.859, 
   0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.961, 0.498, 0.298}, {
   0.941, 0.333, 0.118}, {0.984, 0.761, 0.655}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.969, 0.631, 0.467}, {0.941, 0.333, 0.118}, {
   0.984, 0.718, 0.592}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.969, 0.631, 0.467}, {0.941, 0.333, 0.118}, {0.957, 0.455, 0.247}, {
   0.969, 0.584, 0.408}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.98, 
   0.671, 0.525}, {0.941, 0.333, 0.118}, {0.969, 0.631, 0.467}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.945, 0.373, 0.157}, {
   0.945, 0.373, 0.157}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.98, 0.671, 0.525}, {0.941, 0.333, 0.118}, {
   0.98, 0.671, 0.525}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.98, 0.671, 0.525}, {0.941, 0.333, 0.118}, {0.945, 0.373, 0.157}, {
   0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.969, 0.584, 0.408}, {0.941, 0.333, 
   0.118}, {0.941, 0.333, 0.118}, {0.961, 0.498, 0.298}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {0.941, 0.333, 0.118}, {
   0.953, 0.416, 0.2}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.718, 0.592}, {
   0.945, 0.373, 0.157}, {0.969, 0.584, 0.408}, {0.996, 0.949, 0.925}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.98, 0.671, 0.525}, {
   0.941, 0.333, 0.118}, {0.945, 0.373, 0.157}, {0.996, 0.949, 0.925}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.996, 0.949, 0.925}, {0.941, 0.333, 0.118}, {0.953, 0.416, 0.2}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {0.941, 
   0.333, 0.118}, {0.953, 0.416, 0.2}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 
   0.718, 0.592}, {0.945, 0.373, 0.157}, {0.969, 0.584, 0.408}, {0.996, 0.949,
    0.925}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.718, 0.592}, {
   0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {0.965, 0.541, 0.349}, {0.996,
    0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}}, {{1.,
    1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.992, 
   0.969, 0.976}, {0.835, 0.431, 0.482}, {0.663, 0., 0.0667}, {0.69, 0., 
   0.141}, {0.875, 0.475, 0.392}, {1., 0.6, 0.216}, {0.992, 0.451, 0.106}, {
   0.965, 0.439, 0.125}, {0.961, 0.408, 0.122}, {0.945, 0.38, 0.122}, {0.925, 
   0.349, 0.122}, {0.918, 0.325, 0.118}, {0.91, 0.298, 0.118}, {0.894, 0.275, 
   0.118}, {0.878, 0.239, 0.106}, {0.875, 0.227, 0.118}, {0.914, 0.443, 
   0.337}, {0.875, 0.306, 0.165}, {0.875, 0.247, 0.098}, {0.89, 0.278, 
   0.118}, {0.91, 0.302, 0.122}, {0.91, 0.271, 0.0863}, {0.961, 0.584, 
   0.416}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.902, 0.902,
    0.902}, {0.533, 0.533, 0.533}, {0.533, 0.533, 0.533}, {0.902, 0.902, 
   0.902}, {1., 1., 1.}, {1., 1., 1.}, {0.651, 0.651, 0.651}, {0.835, 0.835, 
   0.835}, {1., 1., 1.}, {1., 1., 1.}, {0.937, 0.937, 0.937}, {0.533, 0.533, 
   0.533}, {0.533, 0.533, 0.533}, {0.808, 0.808, 0.808}, {1., 1., 1.}, {1., 
   1., 1.}, {0.741, 0.741, 0.741}, {0.741, 0.741, 0.741}, {1., 1., 1.}, {
   0.773, 0.773, 0.773}, {0.533, 0.533, 0.533}, {0.682, 0.682, 0.682}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.71, 0.71, 0.71}, {0.533, 0.533, 0.533}, {0.588, 0.588, 0.588}, {1.,
    1., 1.}, {1., 1., 1.}, {0.773, 0.773, 0.773}, {0.533, 0.533, 0.533}, {
   0.651, 0.651, 0.651}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.651, 0.651, 0.651}, {0.533, 0.533, 0.533}, {0.773, 0.773, 0.773}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.867, 0.867, 0.867}, {0.533, 0.533, 0.533}, {0.533, 0.533, 0.533}, {0.965,
    0.965, 0.965}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {0.937, 0.937, 0.937}, {0.773, 0.773, 0.773}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.773, 0.773, 0.773}, {0.533, 
   0.533, 0.533}, {0.651, 0.651, 0.651}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.867, 0.867, 0.867}, {0.533, 0.533, 0.533}, {0.533, 0.533, 0.533}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.773, 0.773, 0.773}, {0.533, 0.533, 0.533}, {0.651, 0.651, 0.651}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.651, 
   0.651, 0.651}, {0.533, 0.533, 0.533}, {0.773, 0.773, 0.773}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.961, 0.498, 0.298}, {
   0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.941, 
   0.333, 0.118}, {0.941, 0.333, 0.118}, {0.961, 0.498, 0.298}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.761, 0.655}, {0.941, 0.333, 
   0.118}, {0.969, 0.584, 0.408}, {0.969, 0.584, 0.408}, {0.984, 0.718, 
   0.592}, {1., 1., 1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {0.941, 0.333, 
   0.118}, {0.961, 0.498, 0.298}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.953, 0.416, 
   0.2}, {0.941, 0.333, 0.118}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.957, 0.455, 0.247}, {0.941, 0.333, 
   0.118}, {0.984, 0.761, 0.655}, {0.961, 0.498, 0.298}, {0.996, 0.949, 
   0.925}, {1., 1., 1.}, {1., 1., 1.}, {0.961, 0.498, 0.298}, {0.941, 0.333, 
   0.118}, {0.988, 0.812, 0.722}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.902, 
   0.855}, {0.941, 0.333, 0.118}, {0.969, 0.584, 0.408}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {0.984, 0.718, 0.592}, {0.941, 0.333, 0.118}, {0.98,
    0.671, 0.525}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.718, 0.592}, {
   0.945, 0.373, 0.157}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {0.969,
    0.631, 0.467}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.969, 0.584, 0.408}, {0.941, 0.333, 0.118}, {0.996, 0.902, 0.855}, {1., 
   1., 1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {0.957, 0.455, 0.247}, {
   0.953, 0.416, 0.2}, {0.996, 0.902, 0.855}, {1., 1., 1.}, {1., 1., 1.}, {1.,
    1., 1.}, {1., 1., 1.}, {0.957, 0.455, 0.247}, {0.941, 0.333, 0.118}, {
   0.984, 0.761, 0.655}, {0.961, 0.498, 0.298}, {0.996, 0.949, 0.925}, {1., 
   1., 1.}, {1., 1., 1.}, {0.961, 0.498, 0.298}, {0.941, 0.333, 0.118}, {
   0.984, 0.718, 0.592}, {0.953, 0.416, 0.2}, {0.992, 0.859, 0.784}, {1., 1., 
   1.}, {1., 1., 1.}, {0.98, 0.671, 0.525}, {0.941, 0.333, 0.118}, {0.969, 
   0.631, 0.467}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.984, 0.718, 0.592}, {0.941, 0.333, 0.118}, {0.969, 0.631, 0.467}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.761, 0.655}, {
   0.941, 0.333, 0.118}, {0.969, 0.584, 0.408}, {0.969, 0.584, 0.408}, {0.984,
    0.718, 0.592}, {1., 1., 1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {0.941, 
   0.333, 0.118}, {0.961, 0.498, 0.298}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.98, 0.671, 0.525}, {0.941, 0.333, 0.118}, {0.984, 
   0.718, 0.592}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.988, 0.812, 0.722}, {0.941, 0.333, 0.118}, {0.969, 0.584, 0.408}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {
   0.941, 0.333, 0.118}, {0.961, 0.498, 0.298}, {0.969, 0.584, 0.408}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {
   0.961, 0.498, 0.298}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {0.945,
    0.373, 0.157}, {0.996, 0.902, 0.855}, {1., 1., 1.}, {1., 1., 1.}, {1., 1.,
    1.}, {1., 1., 1.}, {0.969, 0.584, 0.408}, {0.941, 0.333, 0.118}, {0.996, 
   0.902, 0.855}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {0.957, 
   0.455, 0.247}, {0.953, 0.416, 0.2}, {0.996, 0.902, 0.855}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {0.941, 0.333, 0.118}, {
   0.961, 0.498, 0.298}, {0.969, 0.584, 0.408}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.953, 0.416, 0.2}, {0.941, 0.333, 0.118}, {0.996, 0.949, 0.925}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.969, 0.584, 0.408}, {0.941, 0.333, 
   0.118}, {0.996, 0.902, 0.855}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949, 
   0.925}, {0.957, 0.455, 0.247}, {0.953, 0.416, 0.2}, {0.996, 0.902, 
   0.855}, {1., 1., 1.}, {1., 1., 1.}, {0.961, 0.498, 0.298}, {0.941, 0.333, 
   0.118}, {0.969, 0.584, 0.408}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}}, {{1., 1., 1.}, {1., 1., 1.}, {1., 1.,
    1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.824, 
   0.357, 0.396}, {0.686, 0., 0.0588}, {0.714, 0.0667, 0.145}, {0.898, 0.502, 
   0.388}, {0.98, 0.467, 0.157}, {0.945, 0.38, 0.114}, {0.937, 0.357, 
   0.122}, {0.922, 0.329, 0.122}, {0.91, 0.306, 0.118}, {0.894, 0.278, 
   0.118}, {0.89, 0.255, 0.118}, {0.875, 0.227, 0.114}, {0.855, 0.184, 
   0.102}, {0.859, 0.216, 0.149}, {0.902, 0.42, 0.302}, {0.878, 0.271, 
   0.118}, {0.882, 0.271, 0.11}, {0.902, 0.294, 0.118}, {0.918, 0.306, 
   0.118}, {0.933, 0.318, 0.11}, {0.949, 0.345, 0.122}, {0.992, 0.757, 
   0.635}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.741, 0.741, 0.741}, {
   0.533, 0.533, 0.533}, {0.565, 0.565, 0.565}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {0.773, 0.773, 0.773}, {0.71, 0.71, 0.71}, {1., 1., 1.}, {1., 
   1., 1.}, {0.773, 0.773, 0.773}, {0.533, 0.533, 0.533}, {0.565, 0.565, 
   0.565}, {0.965, 0.965, 0.965}, {1., 1., 1.}, {1., 1., 1.}, {0.902, 0.902, 
   0.902}, {0.62, 0.62, 0.62}, {1., 1., 1.}, {0.965, 0.965, 0.965}, {0.565, 
   0.565, 0.565}, {0.565, 0.565, 0.565}, {0.965, 0.965, 0.965}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.965, 0.965, 0.965}, {
   0.565, 0.565, 0.565}, {0.533, 0.533, 0.533}, {0.808, 0.808, 0.808}, {1., 
   1., 1.}, {1., 1., 1.}, {0.773, 0.773, 0.773}, {0.533, 0.533, 0.533}, {
   0.651, 0.651, 0.651}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.651, 0.651, 0.651}, {0.533, 0.533, 0.533}, {0.773, 0.773, 0.773}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.867, 0.867, 0.867}, {0.533, 0.533, 0.533}, {0.533, 0.533, 0.533}, {0.741,
    0.741, 0.741}, {1., 1., 1.}, {1., 1., 1.}, {0.902, 0.902, 0.902}, {1., 1.,
    1.}, {1., 1., 1.}, {0.651, 0.651, 0.651}, {0.533, 0.533, 0.533}, {0.937, 
   0.937, 0.937}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.773, 0.773, 
   0.773}, {0.533, 0.533, 0.533}, {0.651, 0.651, 0.651}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {0.867, 0.867, 0.867}, {0.533, 0.533, 0.533}, {
   0.533, 0.533, 0.533}, {0.965, 0.965, 0.965}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.682, 0.682, 0.682}, {0.533, 0.533, 0.533}, {
   0.62, 0.62, 0.62}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.965, 0.965, 0.965}, {0.565, 0.565, 0.565}, {0.533, 0.533, 0.533}, {
   0.773, 0.773, 0.773}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.98, 0.671, 0.525}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {
   0.992, 0.859, 0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.961, 0.498, 0.298}, {0.941, 0.333, 
   0.118}, {0.945, 0.373, 0.157}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {0.992,
    0.859, 0.784}, {0.996, 0.902, 0.855}, {0.941, 0.333, 0.118}, {0.957, 
   0.455, 0.247}, {1., 1., 1.}, {0.961, 0.498, 0.298}, {0.984, 0.718, 
   0.592}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {0.941, 0.333, 0.118}, {0.941,
    0.333, 0.118}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.957, 0.455, 0.247}, {0.941, 0.333, 0.118}, {0.992, 0.859, 0.784}, {1., 
   1., 1.}, {1., 1., 1.}, {0.984, 0.761, 0.655}, {1., 1., 1.}, {0.969, 0.584, 
   0.408}, {0.941, 0.333, 0.118}, {0.984, 0.761, 0.655}, {1., 1., 1.}, {1., 
   1., 1.}, {0.988, 0.812, 0.722}, {1., 1., 1.}, {0.969, 0.584, 0.408}, {
   0.941, 0.333, 0.118}, {0.984, 0.761, 0.655}, {0.988, 0.812, 0.722}, {0.957,
    0.455, 0.247}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {0.969, 0.631, 
   0.467}, {0.941, 0.333, 0.118}, {0.98, 0.671, 0.525}, {1., 1., 1.}, {1., 1.,
    1.}, {1., 1., 1.}, {0.98, 0.671, 0.525}, {0.941, 0.333, 0.118}, {0.996, 
   0.902, 0.855}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.957, 0.455, 
   0.247}, {0.941, 0.333, 0.118}, {0.992, 0.859, 0.784}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.98, 0.671, 
   0.525}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {0.941, 0.333, 
   0.118}, {0.969, 0.631, 0.467}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {0.945, 0.373, 0.157}, {
   0.969, 0.584, 0.408}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 
   0.761, 0.655}, {0.941, 0.333, 0.118}, {0.965, 0.541, 0.349}, {1., 1., 
   1.}, {1., 1., 1.}, {0.984, 0.718, 0.592}, {1., 1., 1.}, {0.969, 0.584, 
   0.408}, {0.941, 0.333, 0.118}, {0.984, 0.718, 0.592}, {0.984, 0.718, 
   0.592}, {0.957, 0.455, 0.247}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {0.98, 
   0.671, 0.525}, {0.941, 0.333, 0.118}, {0.984, 0.718, 0.592}, {0.992, 0.859,
    0.784}, {0.953, 0.416, 0.2}, {0.992, 0.859, 0.784}, {1., 1., 1.}, {0.988, 
   0.812, 0.722}, {0.941, 0.333, 0.118}, {0.961, 0.498, 0.298}, {1., 1., 
   1.}, {1., 1., 1.}, {0.996, 0.902, 0.855}, {0.992, 0.859, 0.784}, {0.996, 
   0.902, 0.855}, {0.941, 0.333, 0.118}, {0.957, 0.455, 0.247}, {1., 1., 
   1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {0.992, 0.859, 0.784}, {0.996, 
   0.902, 0.855}, {0.941, 0.333, 0.118}, {0.957, 0.455, 0.247}, {1., 1., 
   1.}, {0.961, 0.498, 0.298}, {0.984, 0.718, 0.592}, {1., 1., 1.}, {0.996, 
   0.949, 0.925}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.961, 0.498,
    0.298}, {0.945, 0.373, 0.157}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {0.941, 0.333, 0.118}, {
   0.953, 0.416, 0.2}, {1., 1., 1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {
   0.992, 0.859, 0.784}, {0.996, 0.949, 0.925}, {0.941, 0.333, 0.118}, {0.961,
    0.498, 0.298}, {0.965, 0.541, 0.349}, {0.984, 0.761, 0.655}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.996, 0.902, 0.855}, {0.957, 0.455, 0.247}, {0.941, 
   0.333, 0.118}, {0.941, 0.333, 0.118}, {0.953, 0.416, 0.2}, {0.992, 0.859, 
   0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.996, 0.949, 0.925}, {0.945, 0.373, 0.157}, {0.969, 0.584, 0.408}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.761, 0.655}, {0.941, 
   0.333, 0.118}, {0.965, 0.541, 0.349}, {1., 1., 1.}, {0.988, 0.812, 
   0.722}, {0.992, 0.859, 0.784}, {0.996, 0.949, 0.925}, {0.941, 0.333, 
   0.118}, {0.961, 0.498, 0.298}, {0.965, 0.541, 0.349}, {0.984, 0.761, 
   0.655}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 
   0.761, 0.655}, {1., 1., 1.}, {0.969, 0.584, 0.408}, {0.941, 0.333, 
   0.118}, {0.984, 0.761, 0.655}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.996, 0.949, 0.925}, {0.945, 0.373, 0.157}, {0.969, 0.584, 0.408}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.761, 0.655}, {0.941, 0.333, 
   0.118}, {0.965, 0.541, 0.349}, {1., 1., 1.}, {1., 1., 1.}, {0.969, 0.584, 
   0.408}, {0.941, 0.333, 0.118}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}}, {{1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.902, 0.627, 0.639}, {0.71, 0., 0.0824}, {0.718, 0., 
   0.0824}, {0.784, 0.235, 0.239}, {0.953, 0.486, 0.259}, {0.922, 0.322, 
   0.106}, {0.914, 0.31, 0.122}, {0.898, 0.286, 0.118}, {0.882, 0.263, 
   0.118}, {0.878, 0.235, 0.114}, {0.859, 0.208, 0.114}, {0.843, 0.18, 
   0.114}, {0.835, 0.133, 0.098}, {0.839, 0.165, 0.149}, {0.902, 0.404, 
   0.294}, {0.894, 0.294, 0.122}, {0.898, 0.282, 0.11}, {0.914, 0.31, 
   0.118}, {0.929, 0.322, 0.118}, {0.949, 0.341, 0.118}, {0.961, 0.329, 
   0.102}, {0.976, 0.365, 0.118}, {1., 0.686, 0.506}, {1., 0.961, 0.937}, {1.,
    1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.62, 0.62, 0.62}, {0.533, 0.533, 0.533}, {0.71, 0.71, 0.71}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.937, 0.937, 0.937}, {0.565, 0.565, 
   0.565}, {1., 1., 1.}, {1., 1., 1.}, {0.588, 0.588, 0.588}, {0.533, 0.533, 
   0.533}, {0.71, 0.71, 0.71}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {0.565, 0.565, 0.565}, {0.937, 0.937, 0.937}, {1., 1., 1.}, {
   0.902, 0.902, 0.902}, {0.533, 0.533, 0.533}, {0.741, 0.741, 0.741}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.682, 0.682, 0.682}, {
   0.533, 0.533, 0.533}, {0.71, 0.71, 0.71}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {0.773, 0.773, 0.773}, {0.533, 0.533, 0.533}, {0.651, 0.651, 
   0.651}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.651, 
   0.651, 0.651}, {0.533, 0.533, 0.533}, {0.773, 0.773, 0.773}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.902, 0.902, 0.902}, {
   0.71, 0.71, 0.71}, {0.533, 0.533, 0.533}, {0.533, 0.533, 0.533}, {0.808, 
   0.808, 0.808}, {0.682, 0.682, 0.682}, {0.71, 0.71, 0.71}, {0.533, 0.533, 
   0.533}, {0.71, 0.71, 0.71}, {1., 1., 1.}, {0.902, 0.902, 0.902}, {0.565, 
   0.565, 0.565}, {0.741, 0.741, 0.741}, {1., 1., 1.}, {1., 1., 1.}, {0.965, 
   0.965, 0.965}, {0.588, 0.588, 0.588}, {0.533, 0.533, 0.533}, {0.741, 0.741,
    0.741}, {1., 1., 1.}, {1., 1., 1.}, {0.965, 0.965, 0.965}, {0.773, 0.773, 
   0.773}, {0.533, 0.533, 0.533}, {0.533, 0.533, 0.533}, {0.682, 0.682, 
   0.682}, {0.808, 0.808, 0.808}, {0.965, 0.965, 0.965}, {0.965, 0.965, 
   0.965}, {0.773, 0.773, 0.773}, {0.533, 0.533, 0.533}, {0.533, 0.533, 
   0.533}, {0.682, 0.682, 0.682}, {0.682, 0.682, 0.682}, {0.835, 0.835, 
   0.835}, {1., 1., 1.}, {0.937, 0.937, 0.937}, {0.71, 0.71, 0.71}, {0.533, 
   0.533, 0.533}, {0.533, 0.533, 0.533}, {0.937, 0.937, 0.937}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.761, 0.655}, {
   0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {0.984, 0.718, 0.592}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.961, 0.498, 0.298}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {
   1., 1., 1.}, {0.996, 0.949, 0.925}, {0.957, 0.455, 0.247}, {0.98, 0.671, 
   0.525}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {1., 1., 1.}, {0.996,
    0.949, 0.925}, {0.965, 0.541, 0.349}, {0.98, 0.671, 0.525}, {0.996, 0.949,
    0.925}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {0.992, 0.859, 
   0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.969, 0.631, 0.467}, {
   0.941, 0.333, 0.118}, {0.984, 0.718, 0.592}, {1., 1., 1.}, {1., 1., 1.}, {
   0.984, 0.718, 0.592}, {0.957, 0.455, 0.247}, {0.961, 0.498, 0.298}, {0.941,
    0.333, 0.118}, {0.98, 0.671, 0.525}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 
   0.718, 0.592}, {0.957, 0.455, 0.247}, {0.965, 0.541, 0.349}, {0.941, 0.333,
    0.118}, {0.98, 0.671, 0.525}, {1., 1., 1.}, {0.984, 0.761, 0.655}, {0.961,
    0.498, 0.298}, {0.988, 0.812, 0.722}, {0.98, 0.671, 0.525}, {0.941, 0.333,
    0.118}, {0.965, 0.541, 0.349}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {0.969, 0.584, 0.408}, {0.957, 0.455, 0.247}, {0.996, 0.949, 
   0.925}, {1., 1., 1.}, {1., 1., 1.}, {0.957, 0.455, 0.247}, {0.941, 0.333, 
   0.118}, {0.98, 0.671, 0.525}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {0.984, 0.718, 0.592}, {0.941, 0.333, 0.118}, {
   0.941, 0.333, 0.118}, {0.945, 0.373, 0.157}, {0.984, 0.718, 0.592}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.992, 0.859, 0.784}, {0.945, 0.373, 0.157}, {0.984, 
   0.718, 0.592}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.761, 0.655}, {0.941, 
   0.333, 0.118}, {0.941, 0.333, 0.118}, {1., 1., 1.}, {1., 1., 1.}, {0.98, 
   0.671, 0.525}, {0.961, 0.498, 0.298}, {0.969, 0.584, 0.408}, {0.941, 0.333,
    0.118}, {0.969, 0.631, 0.467}, {1., 1., 1.}, {0.984, 0.718, 0.592}, {
   0.957, 0.455, 0.247}, {0.992, 0.859, 0.784}, {0.98, 0.671, 0.525}, {0.941, 
   0.333, 0.118}, {0.98, 0.671, 0.525}, {1., 1., 1.}, {0.992, 0.859, 0.784}, {
   0.953, 0.416, 0.2}, {0.984, 0.761, 0.655}, {0.988, 0.812, 0.722}, {0.941, 
   0.333, 0.118}, {0.945, 0.373, 0.157}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 
   0.949, 0.925}, {0.957, 0.455, 0.247}, {0.969, 0.631, 0.467}, {0.941, 0.333,
    0.118}, {0.941, 0.333, 0.118}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949, 
   0.925}, {0.957, 0.455, 0.247}, {0.98, 0.671, 0.525}, {0.941, 0.333, 
   0.118}, {0.941, 0.333, 0.118}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {0.965,
    0.541, 0.349}, {0.98, 0.671, 0.525}, {0.996, 0.949, 0.925}, {0.941, 0.333,
    0.118}, {0.941, 0.333, 0.118}, {0.992, 0.859, 0.784}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {0.961, 0.498, 
   0.298}, {0.957, 0.455, 0.247}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {0.953, 0.416, 0.2}, {0.941, 0.333, 0.118}, {0.996, 
   0.949, 0.925}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {0.961, 0.498, 
   0.298}, {0.98, 0.671, 0.525}, {0.941, 0.333, 0.118}, {0.953, 0.416, 0.2}, {
   0.996, 0.949, 0.925}, {0.953, 0.416, 0.2}, {0.969, 0.631, 0.467}, {0.953, 
   0.416, 0.2}, {0.969, 0.584, 0.408}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.996, 0.949, 0.925}, {0.957, 0.455, 0.247}, {0.941, 0.333, 0.118}, {
   0.941, 0.333, 0.118}, {0.961, 0.498, 0.298}, {0.996, 0.949, 0.925}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.992, 0.859, 0.784}, {0.945, 0.373, 0.157}, {0.984, 
   0.718, 0.592}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.761, 0.655}, {0.941, 
   0.333, 0.118}, {0.941, 0.333, 0.118}, {1., 1., 1.}, {0.996, 0.949, 
   0.925}, {0.961, 0.498, 0.298}, {0.98, 0.671, 0.525}, {0.941, 0.333, 
   0.118}, {0.953, 0.416, 0.2}, {0.996, 0.949, 0.925}, {0.953, 0.416, 0.2}, {
   0.969, 0.631, 0.467}, {0.953, 0.416, 0.2}, {0.969, 0.584, 0.408}, {1., 1., 
   1.}, {0.984, 0.718, 0.592}, {0.957, 0.455, 0.247}, {0.961, 0.498, 0.298}, {
   0.941, 0.333, 0.118}, {0.98, 0.671, 0.525}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.992, 0.859, 0.784}, {0.945, 0.373, 0.157}, {
   0.984, 0.718, 0.592}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.761, 0.655}, {
   0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {1., 1., 1.}, {1., 1., 1.}, {
   0.996, 0.902, 0.855}, {0.945, 0.373, 0.157}, {0.996, 0.902, 0.855}, {1., 
   1., 1.}, {1., 1., 1.}, {0.98, 0.671, 0.525}, {0.957, 0.455, 0.247}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}}, {{1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.847, 0.443, 0.459}, {
   0.71, 0., 0.0784}, {0.737, 0.0627, 0.098}, {0.78, 0.216, 0.196}, {0.929, 
   0.443, 0.263}, {0.902, 0.278, 0.102}, {0.894, 0.267, 0.118}, {0.878, 0.243,
    0.118}, {0.871, 0.216, 0.114}, {0.851, 0.176, 0.102}, {0.839, 0.149, 
   0.102}, {0.831, 0.129, 0.11}, {0.824, 0.0941, 0.106}, {0.812, 0.0588, 
   0.129}, {0.894, 0.376, 0.325}, {0.914, 0.341, 0.149}, {0.91, 0.286, 
   0.106}, {0.929, 0.322, 0.118}, {0.941, 0.333, 0.118}, {0.957, 0.353, 
   0.122}, {0.973, 0.369, 0.125}, {0.984, 0.353, 0.098}, {0.996, 0.322, 
   0.0745}, {1., 0.478, 0.224}, {1., 0.761, 0.624}, {1., 0.949, 0.922}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.937, 0.937, 0.937}, {0.533, 0.533, 
   0.533}, {0.533, 0.533, 0.533}, {0.835, 0.835, 0.835}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.62, 0.62, 0.62}, {0.835, 0.835, 
   0.835}, {0.902, 0.902, 0.902}, {0.533, 0.533, 0.533}, {0.533, 0.533, 
   0.533}, {0.835, 0.835, 0.835}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {0.682, 0.682, 0.682}, {0.773, 0.773, 0.773}, {1., 1., 1.}, {
   1., 1., 1.}, {0.902, 0.902, 0.902}, {0.651, 0.651, 0.651}, {0.682, 0.682, 
   0.682}, {0.867, 0.867, 0.867}, {0.808, 0.808, 0.808}, {0.651, 0.651, 
   0.651}, {0.565, 0.565, 0.565}, {0.773, 0.773, 0.773}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.773, 0.773, 0.773}, {0.533, 0.533, 
   0.533}, {0.651, 0.651, 0.651}, {1., 1., 1.}, {1., 1., 1.}, {0.773, 0.773, 
   0.773}, {0.651, 0.651, 0.651}, {0.565, 0.565, 0.565}, {0.533, 0.533, 
   0.533}, {0.588, 0.588, 0.588}, {0.651, 0.651, 0.651}, {0.651, 0.651, 
   0.651}, {0.682, 0.682, 0.682}, {1., 1., 1.}, {0.741, 0.741, 0.741}, {0.62, 
   0.62, 0.62}, {0.533, 0.533, 0.533}, {0.533, 0.533, 0.533}, {1., 1., 1.}, {
   0.741, 0.741, 0.741}, {0.533, 0.533, 0.533}, {0.533, 0.533, 0.533}, {0.651,
    0.651, 0.651}, {1., 1., 1.}, {1., 1., 1.}, {0.965, 0.965, 0.965}, {0.773, 
   0.773, 0.773}, {0.741, 0.741, 0.741}, {0.773, 0.773, 0.773}, {0.588, 0.588,
    0.588}, {0.533, 0.533, 0.533}, {0.565, 0.565, 0.565}, {0.937, 0.937, 
   0.937}, {1., 1., 1.}, {1., 1., 1.}, {0.741, 0.741, 0.741}, {0.62, 0.62, 
   0.62}, {0.533, 0.533, 0.533}, {0.533, 0.533, 0.533}, {1., 1., 1.}, {0.773, 
   0.773, 0.773}, {0.565, 0.565, 0.565}, {0.533, 0.533, 0.533}, {0.533, 0.533,
    0.533}, {0.533, 0.533, 0.533}, {0.71, 0.71, 0.71}, {1., 1., 1.}, {0.937, 
   0.937, 0.937}, {0.651, 0.651, 0.651}, {0.533, 0.533, 0.533}, {0.533, 0.533,
    0.533}, {0.533, 0.533, 0.533}, {0.533, 0.533, 0.533}, {0.808, 0.808, 
   0.808}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.996, 0.949, 0.925}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {
   0.969, 0.584, 0.408}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.961, 0.498, 0.298}, {0.941, 0.333, 
   0.118}, {0.945, 0.373, 0.157}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949, 
   0.925}, {0.965, 0.541, 0.349}, {0.941, 0.333, 0.118}, {0.941, 0.333, 
   0.118}, {0.988, 0.812, 0.722}, {1., 1., 1.}, {1., 1., 1.}, {0.969, 0.631, 
   0.467}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {0.941, 0.333, 
   0.118}, {0.988, 0.812, 0.722}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.984, 0.718, 0.592}, {0.941, 0.333, 0.118}, {0.969, 0.631, 0.467}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {0.953, 0.416, 
   0.2}, {0.941, 0.333, 0.118}, {0.961, 0.498, 0.298}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.984, 0.761, 0.655}, {0.945, 0.373, 0.157}, {0.941, 
   0.333, 0.118}, {0.961, 0.498, 0.298}, {1., 1., 1.}, {1., 1., 1.}, {0.992, 
   0.859, 0.784}, {0.953, 0.416, 0.2}, {0.941, 0.333, 0.118}, {0.941, 0.333, 
   0.118}, {0.961, 0.498, 0.298}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.98, 0.671, 0.525}, {0.957, 0.455, 0.247}, {
   0.98, 0.671, 0.525}, {0.969, 0.584, 0.408}, {0.941, 0.333, 0.118}, {0.941, 
   0.333, 0.118}, {0.996, 0.902, 0.855}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.996, 0.902, 0.855}, {0.941, 0.333, 0.118}, {0.941, 
   0.333, 0.118}, {0.945, 0.373, 0.157}, {0.992, 0.859, 0.784}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.902, 0.855}, {
   0.961, 0.498, 0.298}, {0.969, 0.584, 0.408}, {0.98, 0.671, 0.525}, {0.953, 
   0.416, 0.2}, {0.941, 0.333, 0.118}, {0.969, 0.584, 0.408}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.984, 0.718, 0.592}, {0.945, 0.373, 0.157}, {
   0.941, 0.333, 0.118}, {0.961, 0.498, 0.298}, {1., 1., 1.}, {1., 1., 1.}, {
   0.988, 0.812, 0.722}, {0.945, 0.373, 0.157}, {0.941, 0.333, 0.118}, {0.941,
    0.333, 0.118}, {0.98, 0.671, 0.525}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 
   0.902, 0.855}, {0.961, 0.498, 0.298}, {0.941, 0.333, 0.118}, {0.941, 0.333,
    0.118}, {0.941, 0.333, 0.118}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.996, 0.949, 0.925}, {0.969, 0.631, 0.467}, {0.941, 0.333, 0.118}, {0.941,
    0.333, 0.118}, {0.988, 0.812, 0.722}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 
   0.949, 0.925}, {0.965, 0.541, 0.349}, {0.941, 0.333, 0.118}, {0.941, 0.333,
    0.118}, {0.988, 0.812, 0.722}, {1., 1., 1.}, {1., 1., 1.}, {0.969, 0.631, 
   0.467}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {0.941, 0.333, 
   0.118}, {0.988, 0.812, 0.722}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.718, 0.592}, {0.957, 
   0.455, 0.247}, {0.969, 0.631, 0.467}, {0.98, 0.671, 0.525}, {0.969, 0.631, 
   0.467}, {0.945, 0.373, 0.157}, {0.941, 0.333, 0.118}, {0.984, 0.761, 
   0.655}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {0.957, 0.455, 
   0.247}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {1., 1., 1.}, {0.992,
    0.859, 0.784}, {0.945, 0.373, 0.157}, {0.941, 0.333, 0.118}, {0.941, 
   0.333, 0.118}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1.,
    1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.969, 0.584, 
   0.408}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {0.969, 0.584, 
   0.408}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.996, 0.902, 0.855}, {0.961, 0.498, 0.298}, {0.969, 0.584, 0.408}, {
   0.98, 0.671, 0.525}, {0.953, 0.416, 0.2}, {0.941, 0.333, 0.118}, {0.969, 
   0.584, 0.408}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {0.957, 
   0.455, 0.247}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {1., 1., 
   1.}, {0.992, 0.859, 0.784}, {0.945, 0.373, 0.157}, {0.941, 0.333, 0.118}, {
   0.941, 0.333, 0.118}, {1., 1., 1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {
   0.953, 0.416, 0.2}, {0.941, 0.333, 0.118}, {0.961, 0.498, 0.298}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.902,
    0.855}, {0.961, 0.498, 0.298}, {0.969, 0.584, 0.408}, {0.98, 0.671, 
   0.525}, {0.953, 0.416, 0.2}, {0.941, 0.333, 0.118}, {0.969, 0.584, 
   0.408}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {
   0.957, 0.455, 0.247}, {0.98, 0.671, 0.525}, {0.961, 0.498, 0.298}, {0.941, 
   0.333, 0.118}, {0.945, 0.373, 0.157}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}}, {{1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.957, 0.827, 0.827}, {0.749, 0.125, 0.157}, {0.737, 0.0745, 
   0.102}, {0.737, 0.0706, 0.0863}, {0.827, 0.325, 0.282}, {0.918, 0.4, 
   0.235}, {0.878, 0.231, 0.098}, {0.863, 0.204, 0.106}, {0.851, 0.161, 
   0.0941}, {0.847, 0.153, 0.106}, {0.839, 0.161, 0.133}, {0.831, 0.137, 
   0.141}, {0.812, 0.0549, 0.118}, {0.792, 0., 0.0902}, {0.784, 0., 0.0941}, {
   0.878, 0.282, 0.306}, {0.929, 0.4, 0.188}, {0.922, 0.298, 0.102}, {0.937, 
   0.333, 0.118}, {0.953, 0.349, 0.118}, {0.969, 0.341, 0.098}, {0.988, 0.345,
    0.0941}, {1., 0.384, 0.122}, {1., 0.427, 0.161}, {1., 0.431, 0.165}, {1., 
   0.475, 0.216}, {1., 0.659, 0.467}, {1., 0.91, 0.851}, {1., 1., 1.}, {1., 
   1., 1.}, {0.773, 0.773, 0.773}, {0.533, 0.533, 0.533}, {0.565, 0.565, 
   0.565}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.773, 0.773, 0.773}, {0.71, 0.71, 0.71}, {0.71, 0.71, 0.71}, {0.533,
    0.533, 0.533}, {0.588, 0.588, 0.588}, {1., 1., 1.}, {1., 1., 1.}, {1., 1.,
    1.}, {1., 1., 1.}, {1., 1., 1.}, {0.808, 0.808, 0.808}, {0.62, 0.62, 
   0.62}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.902, 
   0.902, 0.902}, {0.808, 0.808, 0.808}, {0.773, 0.773, 0.773}, {0.867, 0.867,
    0.867}, {0.965, 0.965, 0.965}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.773, 0.773, 0.773}, {0.533, 0.533, 0.533}, {
   0.651, 0.651, 0.651}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.867, 
   0.867, 0.867}, {0.62, 0.62, 0.62}, {0.533, 0.533, 0.533}, {0.71, 0.71, 
   0.71}, {0.867, 0.867, 0.867}, {0.867, 0.867, 0.867}, {0.867, 0.867, 
   0.867}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.965, 0.965, 0.965}, {
   0.808, 0.808, 0.808}, {1., 1., 1.}, {1., 1., 1.}, {0.867, 0.867, 0.867}, {
   0.773, 0.773, 0.773}, {0.965, 0.965, 0.965}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.867, 0.867, 0.867}, {0.773, 
   0.773, 0.773}, {0.867, 0.867, 0.867}, {0.965, 0.965, 0.965}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.965, 0.965,
    0.965}, {0.808, 0.808, 0.808}, {1., 1., 1.}, {1., 1., 1.}, {0.965, 0.965, 
   0.965}, {0.808, 0.808, 0.808}, {0.773, 0.773, 0.773}, {0.902, 0.902, 
   0.902}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.937, 
   0.937, 0.937}, {0.773, 0.773, 0.773}, {0.773, 0.773, 0.773}, {0.937, 0.937,
    0.937}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.969, 0.584, 0.408}, {0.941, 0.333, 
   0.118}, {0.941, 0.333, 0.118}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.961, 0.498, 0.298}, {
   0.941, 0.333, 0.118}, {0.961, 0.498, 0.298}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.984, 0.718, 0.592}, {0.965, 0.541, 0.349}, {
   0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.988, 
   0.812, 0.722}, {0.969, 0.584, 0.408}, {0.965, 0.541, 0.349}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.992, 0.859, 0.784}, {
   0.941, 0.333, 0.118}, {0.957, 0.455, 0.247}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {0.98, 0.671, 0.525}, {
   0.98, 0.671, 0.525}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.996, 0.902, 0.855}, {0.969, 0.631, 0.467}, {0.98, 0.671, 0.525}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {0.98, 
   0.671, 0.525}, {0.961, 0.498, 0.298}, {0.984, 0.761, 0.655}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.996, 0.949, 0.925}, {0.98, 0.671, 0.525}, {0.961, 0.498, 0.298}, {
   0.965, 0.541, 0.349}, {0.988, 0.812, 0.722}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.969, 0.631, 0.467}, {0.941, 0.333, 
   0.118}, {0.941, 0.333, 0.118}, {0.992, 0.859, 0.784}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.988, 0.812, 0.722}, {0.969, 0.584, 0.408}, {0.961, 0.498, 0.298}, {
   0.98, 0.671, 0.525}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.996, 0.902, 0.855}, {0.969, 0.584, 0.408}, {
   0.98, 0.671, 0.525}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 
   0.949, 0.925}, {0.98, 0.671, 0.525}, {0.961, 0.498, 0.298}, {0.996, 0.902, 
   0.855}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 
   0.718, 0.592}, {0.965, 0.541, 0.349}, {0.98, 0.671, 0.525}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.988, 0.812, 
   0.722}, {0.965, 0.541, 0.349}, {0.996, 0.902, 0.855}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.718, 0.592}, {0.965, 0.541, 
   0.349}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.988, 0.812, 0.722}, {0.969, 0.584, 0.408}, {0.965, 0.541, 0.349}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.761, 0.655}, {
   0.969, 0.584, 0.408}, {0.961, 0.498, 0.298}, {0.961, 0.498, 0.298}, {0.969,
    0.584, 0.408}, {0.992, 0.859, 0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 1.,
    1.}, {1., 1., 1.}, {0.984, 0.718, 0.592}, {0.969, 0.584, 0.408}, {1., 1., 
   1.}, {1., 1., 1.}, {0.992, 0.859, 0.784}, {0.965, 0.541, 0.349}, {0.984, 
   0.761, 0.655}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1.,
    1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {0.941, 0.333,
    0.118}, {0.941, 0.333, 0.118}, {0.965, 0.541, 0.349}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {0.969, 0.584, 0.408}, {0.961, 
   0.498, 0.298}, {0.98, 0.671, 0.525}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.718, 0.592}, {0.969, 
   0.584, 0.408}, {1., 1., 1.}, {1., 1., 1.}, {0.992, 0.859, 0.784}, {0.965, 
   0.541, 0.349}, {0.984, 0.761, 0.655}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.996, 0.949, 0.925}, {0.98, 0.671, 0.525}, {0.98, 0.671, 0.525}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {0.969, 0.584, 0.408}, {
   0.961, 0.498, 0.298}, {0.98, 0.671, 0.525}, {0.996, 0.949, 0.925}, {1., 1.,
    1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 
   0.718, 0.592}, {0.969, 0.584, 0.408}, {0.969, 0.584, 0.408}, {0.992, 0.859,
    0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}}, {{1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.973, 0.902, 0.902}, {0.784, 0.239, 
   0.259}, {0.714, 0., 0.0706}, {0.745, 0.0863, 0.0941}, {0.745, 0.106, 
   0.106}, {0.878, 0.427, 0.349}, {0.882, 0.255, 0.129}, {0.855, 0.169, 
   0.0902}, {0.863, 0.231, 0.169}, {0.882, 0.337, 0.275}, {0.89, 0.416, 
   0.349}, {0.894, 0.424, 0.341}, {0.894, 0.416, 0.322}, {0.898, 0.408, 
   0.357}, {0.867, 0.275, 0.31}, {0.804, 0., 0.169}, {0.824, 0.129, 0.239}, {
   0.937, 0.424, 0.247}, {0.937, 0.325, 0.102}, {0.957, 0.341, 0.118}, {0.969,
    0.341, 0.102}, {0.984, 0.475, 0.224}, {1., 0.741, 0.588}, {1., 0.867, 
   0.792}, {1., 0.925, 0.875}, {1., 0.957, 0.922}, {1., 0.937, 0.894}, {1., 
   0.906, 0.851}, {1., 0.957, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {0.62, 0.62,
    0.62}, {0.533, 0.533, 0.533}, {0.71, 0.71, 0.71}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.937, 0.937, 0.937}, {
   0.565, 0.565, 0.565}, {0.565, 0.565, 0.565}, {0.533, 0.533, 0.533}, {0.741,
    0.741, 0.741}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {0.937, 0.937, 0.937}, {0.533, 0.533, 0.533}, {0.937, 0.937, 
   0.937}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.773, 0.773, 0.773}, {
   0.533, 0.533, 0.533}, {0.651, 0.651, 0.651}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.651, 0.651, 0.651}, {0.533, 0.533, 0.533}, {
   0.773, 0.773, 0.773}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.996, 0.902, 0.855}, {0.941, 0.333, 0.118}, {0.941, 
   0.333, 0.118}, {0.98, 0.671, 0.525}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.941, 0.333, 0.118}, {0.941, 0.333, 
   0.118}, {0.98, 0.671, 0.525}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.941, 0.333,
    0.118}, {0.941, 0.333, 0.118}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.961, 0.498, 0.298}, {
   0.941, 0.333, 0.118}, {0.969, 0.584, 0.408}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.992, 0.859, 
   0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {0.941, 0.333, 0.118}, {0.941, 
   0.333, 0.118}, {0.996, 0.902, 0.855}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.902, 0.855}, {0.996, 0.949, 
   0.925}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}}, {{1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.961, 0.831, 0.839}, {0.78, 0.22, 0.239}, {0.698, 0., 0.051}, {
   0.745, 0.098, 0.102}, {0.737, 0.0745, 0.0824}, {0.792, 0.224, 0.188}, {
   0.894, 0.388, 0.298}, {0.875, 0.251, 0.161}, {0.894, 0.412, 0.337}, {0.886,
    0.427, 0.349}, {0.859, 0.337, 0.239}, {0.839, 0.247, 0.133}, {0.843, 
   0.227, 0.102}, {0.863, 0.243, 0.102}, {0.882, 0.275, 0.114}, {0.91, 0.388, 
   0.188}, {0.925, 0.439, 0.306}, {0.898, 0.396, 0.431}, {0.941, 0.525, 
   0.416}, {0.953, 0.353, 0.118}, {0.961, 0.325, 0.0902}, {0.984, 0.431, 
   0.184}, {1., 0.898, 0.843}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.937, 
   0.937, 0.937}, {0.533, 0.533, 0.533}, {0.533, 0.533, 0.533}, {0.808, 0.808,
    0.808}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.588, 0.588, 0.588}, {0.533, 0.533, 0.533}, {0.533, 
   0.533, 0.533}, {0.902, 0.902, 0.902}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.588, 0.588, 0.588}, {
   0.773, 0.773, 0.773}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.773, 0.773,
    0.773}, {0.533, 0.533, 0.533}, {0.651, 0.651, 0.651}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.741, 0.741, 0.741}, {0.533, 0.533, 
   0.533}, {0.773, 0.773, 0.773}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.98, 0.671, 0.525}, {0.941, 0.333, 
   0.118}, {0.945, 0.373, 0.157}, {0.996, 0.902, 0.855}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.984, 0.761, 0.655}, {0.941, 0.333, 0.118}, {0.941, 
   0.333, 0.118}, {0.996, 0.902, 0.855}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.961, 0.498, 0.298}, {0.941, 0.333, 0.118}, {0.988, 0.812, 0.722}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.969, 0.584, 0.408}, {0.941, 0.333, 0.118}, {0.98, 0.671, 0.525}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.996, 0.902, 0.855}, {0.961, 0.498, 0.298}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.902, 0.855}, {
   0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.969, 0.584, 
   0.408}, {0.988, 0.812, 0.722}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}}, {{1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.969, 0.89, 0.894}, {0.855, 0.463, 0.478}, {0.831, 0.392, 0.396}, {
   0.894, 0.592, 0.58}, {0.925, 0.682, 0.667}, {0.918, 0.663, 0.643}, {0.922, 
   0.635, 0.588}, {0.906, 0.443, 0.361}, {0.875, 0.404, 0.325}, {0.839, 0.302,
    0.216}, {0.816, 0.188, 0.102}, {0.82, 0.184, 0.0863}, {0.843, 0.224, 
   0.106}, {0.871, 0.255, 0.118}, {0.875, 0.263, 0.118}, {0.89, 0.275, 
   0.118}, {0.898, 0.267, 0.098}, {0.918, 0.29, 0.0941}, {0.945, 0.431, 
   0.204}, {0.969, 0.533, 0.333}, {0.961, 0.373, 0.137}, {0.976, 0.322, 
   0.0824}, {1., 0.518, 0.271}, {1., 0.965, 0.945}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.773, 0.773, 0.773}, {0.533, 0.533, 0.533}, {0.533, 
   0.533, 0.533}, {0.965, 0.965, 0.965}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.741, 0.741, 0.741}, {
   0.533, 0.533, 0.533}, {0.588, 0.588, 0.588}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.71,
    0.71, 0.71}, {0.62, 0.62, 0.62}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.773, 0.773, 0.773}, {0.533, 0.533, 0.533}, {0.651, 0.651, 0.651}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.867, 0.867, 
   0.867}, {0.533, 0.533, 0.533}, {0.741, 0.741, 0.741}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.969, 0.584, 0.408}, {0.941, 0.333, 0.118}, {0.957, 0.455, 0.247}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.961, 0.498, 0.298}, {0.941, 0.333, 
   0.118}, {0.969, 0.631, 0.467}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.969, 0.631, 0.467}, {0.941, 0.333, 0.118}, {0.98, 0.671, 0.525}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.98, 0.671, 
   0.525}, {0.957, 0.455, 0.247}, {0.992, 0.859, 0.784}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.718, 0.592}, {0.941, 0.333, 
   0.118}, {0.969, 0.584, 0.408}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.984, 0.718, 0.592}, {0.961, 0.498, 0.298}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.996, 0.902, 0.855}, {0.957, 0.455, 0.247}, {0.969, 
   0.631, 0.467}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1.,
    1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.953, 0.416, 0.2}, {0.941, 0.333, 
   0.118}, {0.996, 0.902, 0.855}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.953, 0.416, 0.2}, {0.988, 0.812, 0.722}, {1.,
    1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.98, 0.671, 0.525}, {0.957, 0.455, 0.247}, {0.992, 0.859, 0.784}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}}, {{1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.976, 
   0.925, 0.925}, {0.969, 0.886, 0.886}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 0.988, 0.98}, {0.855, 0.376, 0.302}, {0.796, 0.157,
    0.0902}, {0.812, 0.169, 0.0902}, {0.831, 0.208, 0.11}, {0.851, 0.235, 
   0.118}, {0.863, 0.247, 0.114}, {0.875, 0.267, 0.118}, {0.882, 0.275, 
   0.118}, {0.898, 0.286, 0.118}, {0.918, 0.31, 0.122}, {0.929, 0.318, 
   0.118}, {0.941, 0.306, 0.0941}, {0.961, 0.325, 0.0941}, {0.973, 0.369, 
   0.122}, {0.988, 0.353, 0.098}, {0.996, 0.439, 0.173}, {1., 0.902, 0.835}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {0.965, 0.965, 0.965}, {0.588, 0.588, 0.588}, {
   0.533, 0.533, 0.533}, {0.651, 0.651, 0.651}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.902, 0.902, 0.902}, {0.533, 0.533, 0.533}, {0.773, 0.773, 0.773}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.773, 0.773, 0.773}, {0.533, 0.533, 0.533}, {0.867, 
   0.867, 0.867}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1.,
    1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.773, 0.773, 0.773}, {0.533, 0.533, 
   0.533}, {0.651, 0.651, 0.651}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.62, 0.62, 0.62}, {0.62, 0.62, 0.62}, {1., 1.,
    1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.969, 0.584, 0.408}, {0.941, 0.333, 
   0.118}, {0.961, 0.498, 0.298}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.98, 0.671, 0.525}, {
   0.941, 0.333, 0.118}, {0.957, 0.455, 0.247}, {0.996, 0.949, 0.925}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.718, 0.592}, {
   0.941, 0.333, 0.118}, {0.965, 0.541, 0.349}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {0.945, 0.373, 0.157}, {0.941, 0.333, 0.118}, {
   0.965, 0.541, 0.349}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.957, 0.455, 0.247}, {0.945, 0.373, 0.157}, {0.996, 
   0.902, 0.855}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.957, 0.455, 0.247}, {0.961, 0.498, 0.298}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.98, 0.671, 
   0.525}, {0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {0.992, 0.859, 
   0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.984, 0.761, 0.655}, {0.941, 0.333, 0.118}, {0.969, 
   0.631, 0.467}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.984, 0.761, 0.655}, {0.941, 0.333, 0.118}, {0.988, 0.812, 0.722}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.945, 0.373, 0.157}, {0.941, 0.333, 0.118}, {0.965, 0.541, 0.349}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}}, {{1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.965, 0.851, 0.831}, {0.816, 0.216, 0.141}, {0.812, 0.169, 
   0.0902}, {0.831, 0.216, 0.114}, {0.839, 0.212, 0.102}, {0.855, 0.208, 
   0.0902}, {0.871, 0.239, 0.098}, {0.878, 0.275, 0.118}, {0.894, 0.29, 
   0.118}, {0.914, 0.302, 0.118}, {0.929, 0.318, 0.122}, {0.941, 0.322, 
   0.106}, {0.957, 0.329, 0.098}, {0.973, 0.349, 0.106}, {0.992, 0.349, 
   0.0941}, {0.996, 0.349, 0.0902}, {0.996, 0.357, 0.0941}, {1., 0.757, 
   0.612}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.773, 0.773, 0.773}, {0.62, 0.62, 0.62}, {0.533, 
   0.533, 0.533}, {0.533, 0.533, 0.533}, {0.533, 0.533, 0.533}, {0.741, 0.741,
    0.741}, {0.808, 0.808, 0.808}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.588, 0.588, 0.588}, {0.937, 
   0.937, 0.937}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1.,
    1., 1.}, {0.867, 0.867, 0.867}, {0.773, 0.773, 0.773}, {0.565, 0.565, 
   0.565}, {0.533, 0.533, 0.533}, {0.565, 0.565, 0.565}, {0.741, 0.741, 
   0.741}, {0.867, 0.867, 0.867}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {0.741, 0.741, 0.741}, {0.533, 0.533, 0.533}, {
   0.651, 0.651, 0.651}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.902, 0.902, 0.902}, {0.565, 0.565, 0.565}, {0.902, 
   0.902, 0.902}, {1., 1., 1.}, {1., 1., 1.}, {0.773, 0.773, 0.773}, {0.62, 
   0.62, 0.62}, {0.965, 0.965, 0.965}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.984, 0.761, 0.655}, {0.953, 0.416, 0.2}, {0.945, 0.373, 0.157}, {
   0.969, 0.631, 0.467}, {0.988, 0.812, 0.722}, {0.988, 0.812, 0.722}, {0.984,
    0.718, 0.592}, {0.961, 0.498, 0.298}, {0.941, 0.333, 0.118}, {0.969, 
   0.584, 0.408}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {0.941, 0.333, 
   0.118}, {0.953, 0.416, 0.2}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1.,
    1., 1.}, {0.984, 0.718, 0.592}, {0.941, 0.333, 0.118}, {0.98, 0.671, 
   0.525}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.996, 0.949, 0.925}, {0.961, 0.498, 0.298}, {0.945, 0.373, 0.157}, {
   0.984, 0.718, 0.592}, {0.988, 0.812, 0.722}, {0.984, 0.761, 0.655}, {0.961,
    0.498, 0.298}, {0.941, 0.333, 0.118}, {0.965, 0.541, 0.349}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {0.957, 0.455, 0.247}, {0.953, 
   0.416, 0.2}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.718,
    0.592}, {0.945, 0.373, 0.157}, {0.965, 0.541, 0.349}, {0.988, 0.812, 
   0.722}, {0.988, 0.812, 0.722}, {0.98, 0.671, 0.525}, {0.945, 0.373, 
   0.157}, {0.941, 0.333, 0.118}, {0.992, 0.859, 0.784}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.984, 0.718,
    0.592}, {0.941, 0.333, 0.118}, {0.98, 0.671, 0.525}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}}, {{1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.933, 0.671,
    0.616}, {0.808, 0.176, 0.098}, {0.82, 0.18, 0.0902}, {0.831, 0.184, 
   0.0824}, {0.863, 0.267, 0.137}, {0.89, 0.373, 0.227}, {0.886, 0.306, 
   0.149}, {0.89, 0.251, 0.0902}, {0.914, 0.298, 0.118}, {0.922, 0.318, 
   0.118}, {0.937, 0.314, 0.102}, {0.961, 0.38, 0.153}, {0.988, 0.702, 
   0.549}, {1., 0.8, 0.686}, {1., 0.671, 0.482}, {1., 0.467, 0.208}, {0.996, 
   0.306, 0.0667}, {1., 0.51, 0.255}, {1., 0.98, 0.976}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.867, 0.867, 0.867}, {
   0.867, 0.867, 0.867}, {0.867, 0.867, 0.867}, {0.867, 0.867, 0.867}, {0.867,
    0.867, 0.867}, {0.867, 0.867, 0.867}, {0.902, 0.902, 0.902}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.937, 0.937, 0.937}, {0.867, 0.867, 
   0.867}, {0.867, 0.867, 0.867}, {0.867, 0.867, 0.867}, {0.867, 0.867, 
   0.867}, {0.867, 0.867, 0.867}, {0.937, 0.937, 0.937}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.867, 0.867, 0.867}, {0.651, 0.651, 0.651}, {0.533, 
   0.533, 0.533}, {0.533, 0.533, 0.533}, {0.651, 0.651, 0.651}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.902, 0.902, 0.902}, {0.651, 0.651, 0.651}, {0.651, 0.651, 0.651}, {
   0.588, 0.588, 0.588}, {0.533, 0.533, 0.533}, {0.533, 0.533, 0.533}, {0.902,
    0.902, 0.902}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.992, 0.859, 0.784}, {0.98, 0.671, 0.525}, {0.961, 0.498, 0.298}, {
   0.961, 0.498, 0.298}, {0.961, 0.498, 0.298}, {0.98, 0.671, 0.525}, {0.996, 
   0.902, 0.855}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1.,
    1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.996, 0.949, 0.925}, {0.961, 0.498, 0.298}, {0.953, 0.416, 0.2}, {
   0.941, 0.333, 0.118}, {0.941, 0.333, 0.118}, {0.996, 0.902, 0.855}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.988, 0.812, 0.722}, {0.969, 0.631, 
   0.467}, {0.961, 0.498, 0.298}, {0.961, 0.498, 0.298}, {0.98, 0.671, 
   0.525}, {0.992, 0.859, 0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {0.996, 0.949, 0.925}, {0.98, 0.671, 0.525}, {0.965, 
   0.541, 0.349}, {0.961, 0.498, 0.298}, {0.969, 0.584, 0.408}, {0.984, 0.718,
    0.592}, {0.996, 0.949, 0.925}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}}, {{1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 0.988, 0.988}, {0.894, 0.475, 0.396}, {0.808, 
   0.122, 0.0549}, {0.839, 0.208, 0.102}, {0.91, 0.502, 0.388}, {0.973, 0.816,
    0.761}, {0.996, 0.969, 0.961}, {0.976, 0.827, 0.769}, {0.925, 0.412, 
   0.235}, {0.918, 0.271, 0.0863}, {0.941, 0.329, 0.118}, {0.953, 0.31, 
   0.0902}, {0.988, 0.659, 0.482}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 0.929, 0.882}, {1., 0.651, 0.451}, {1., 0.373, 0.11}, {1., 0.769, 
   0.624}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.902, 0.902, 0.902}, {0.773, 0.773, 
   0.773}, {0.773, 0.773, 0.773}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   0.808, 0.808, 0.808}, {0.682, 0.682, 0.682}, {0.71, 0.71, 0.71}, {0.902, 
   0.902, 0.902}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1.,
    1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.988, 0.812, 0.722}, {0.984, 0.718, 0.592}, {0.969, 0.584, 0.408}, {
   0.992, 0.859, 0.784}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}}, {{1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {0.98, 0.894, 0.875}, {0.835, 0.251, 
   0.153}, {0.839, 0.231, 0.125}, {0.957, 0.714, 0.651}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.988, 0.855, 0.788}, {0.937, 0.361, 
   0.157}, {0.949, 0.294, 0.0863}, {0.973, 0.373, 0.133}, {1., 0.859, 
   0.776}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 0.788, 0.659}, {1., 0.62, 0.404}, {0.996, 0.957, 0.933}, {1., 1.,
    1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}}, {{1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.929, 0.624, 0.549}, {0.855, 0.29, 0.184}, {0.969, 0.82, 0.78}, {1.,
    1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.98, 0.671, 0.518}, {0.957, 0.29, 0.0745}, {0.984, 0.467, 0.22}, {
   1., 0.98, 0.961}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 0.925, 0.878}, {0.996, 0.961, 0.937}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}}, {{1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.992, 0.949,
    0.941}, {0.925, 0.6, 0.522}, {0.961, 0.804, 0.761}, {1., 1., 1.}, {1., 1.,
    1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 0.922, 0.878}, {0.98, 0.404, 0.149}, {0.992, 0.522, 0.282}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}}, {{1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {0.996, 0.976, 0.965}, {
   0.992, 0.949, 0.945}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {0.996, 0.604, 0.376}, {1., 0.58, 0.353}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}}, {{1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 0.804, 0.686}, {0.996, 
   0.725, 0.565}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1.,
    1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}}, {{1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 0.965, 0.941}, {1., 0.925, 0.878}, {1., 1., 1.}, {1., 1., 1.}, {
   1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 
   1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}}, {{1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 1.}, {1., 1., 
   1.}, {1., 1., 1.}}}],
  ImageSize->{372, 37},
  PlotRange->{{0, 372}, {0, 37}}]], "Picture",
 CellChangeTimes->{3.3895315840969353`*^9, 3.390829419805284*^9}]
}, Open  ]],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Visualization in ",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 StyleBox["Mathematica",
  FontSlant->"Italic",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 " "
}], "Section",
 CellChangeTimes->{{3.391827306407422*^9, 3.391827312175717*^9}}],

Cell[TextData[{
 "Visualization in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " reaches a new level in V6.0. All the plotting operations, including \
function and data oriented operations, have been reimplemented from the \
ground up to take advantage of areas such as symbolics, numerics, geometric \
constructions, adaptive meshes, and spatial data structures. We have \
integrated a large number of pre- and post-processing operations such as \
function analysis, region selection, line overlays, etc., as an integral part \
of the geometry construction. This approach allows us to generate high \
quality graphics which were not possible before, not only in ",
 StyleBox["Mathematica,",
  FontSlant->"Italic"],
 " but in any other visualization system. With this technology, we put in the \
hands of our users the power to generate amazing visualizations as well as \
new tools for scientific explorations."
}], "Text",
 CellChangeTimes->{{3.3918269710952673`*^9, 3.3918269715659437`*^9}, {
   3.3918270051742706`*^9, 3.3918270755955315`*^9}, 3.3918271254572287`*^9, {
   3.3918275082776976`*^9, 3.391827525212048*^9}, {3.391947730013085*^9, 
   3.391947734888085*^9}, {3.393082902453125*^9, 3.393082917390625*^9}, {
   3.393084364953125*^9, 3.39308439365625*^9}}],

Cell[TextData[{
 "In this seminar we will give an introduction to some of the major \
visualization algorithms as well as several examples to illustrate the new \
capabilities found in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 6."
}], "Text",
 CellChangeTimes->{{3.3918269710952673`*^9, 3.3918269715659437`*^9}, {
   3.3918270051742706`*^9, 3.3918270755955315`*^9}, 3.3918271254572287`*^9, {
   3.3918275082776976`*^9, 3.391827525212048*^9}, {3.391947730013085*^9, 
   3.391947734888085*^9}, {3.393082902453125*^9, 3.393082917390625*^9}, {
   3.3930844106875*^9, 3.393084418265625*^9}}],

Cell["", "Spacer"],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Visualization in Mathematica",
  FontSlant->"Italic",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 " ",
 StyleBox["Function and Data Based",
  FontSlant->"Italic",
  FontColor->GrayLevel[0.500008]]
}], "Subsection",
 CellChangeTimes->{{3.393083008140625*^9, 3.393083019078125*^9}, {
  3.3930830621875*^9, 3.393083066125*^9}}],

Cell[TextData[{
 "There are two principal areas of visualization in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ". One is based on the evaluation of a given function or set of functions. \
On the other hand we have the case where the graphical information comes from \
data. ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " provides the following groups of functions for these two categories:"
}], "Text",
 CellChangeTimes->{{3.391947769356835*^9, 3.39194801518496*^9}}],

Cell[" Function Evaluation Based ", "MathCaption",
 CellChangeTimes->{{3.3918273870734143`*^9, 3.391827416836211*^9}, {
  3.3918275371191697`*^9, 3.391827538431056*^9}},
 FontWeight->"Bold"],

Cell["Plot", "BulletedList"],

Cell["ParametricPlot", "BulletedList"],

Cell["LogLinearPlot", "BulletedList",
 CellChangeTimes->{{3.3930652927674093`*^9, 3.3930652950174522`*^9}}],

Cell["LogLogPlot", "BulletedList",
 CellChangeTimes->{{3.3930653001738014`*^9, 3.3930653032363605`*^9}}],

Cell["Plot3D", "BulletedList"],

Cell["ParametricPlot3D", "BulletedList"],

Cell["ContourPlot", "BulletedList"],

Cell["DensityPlot", "BulletedList"],

Cell["ContourPlot3D", "BulletedList"],

Cell["RegionPlot", "BulletedList"],

Cell["RegionPlot3D", "BulletedList"],

Cell["SphericalPlot3D", "BulletedList",
 CellChangeTimes->{{3.3930519420185537`*^9, 3.393051945964227*^9}}],

Cell["RevolutionPlo3D", "BulletedList",
 CellChangeTimes->{{3.3930519538055024`*^9, 3.3930519689773183`*^9}}],

Cell[" Data Based ", "MathCaption",
 CellChangeTimes->{{3.3918273870734143`*^9, 3.391827416836211*^9}, {
  3.391827454280053*^9, 3.391827454710672*^9}, {3.3918275467730513`*^9, 
  3.3918275479847937`*^9}},
 FontWeight->"Bold"],

Cell["ListPlot", "BulletedList"],

Cell["ListLinePlot", "BulletedList"],

Cell["ListLogPlot", "BulletedList",
 CellChangeTimes->{{3.3930652498603354`*^9, 3.393065250672851*^9}}],

Cell["ListPlot3D", "BulletedList"],

Cell["ListContourPlot", "BulletedList"],

Cell["ListDensityPlot", "BulletedList"],

Cell["ListContourPlot3D", "BulletedList"],

Cell["ListSurfacePlot3D", "BulletedList",
 CellChangeTimes->{{3.3695933920932064`*^9, 3.3695933923588367`*^9}}],

Cell["ListPointPlot3D", "BulletedList",
 CellChangeTimes->{{3.393051985210661*^9, 3.3930519913194447`*^9}}],

Cell["ArrayPlot", "BulletedList"],

Cell["ReliefPlot", "BulletedList",
 CellChangeTimes->{{3.3695933920932064`*^9, 3.3695933923588367`*^9}, {
  3.369610196100963*^9, 3.369610198894981*^9}}],

Cell["", "Spacer"],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Visualization in Mathematica",
  FontSlant->"Italic",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 " ",
 StyleBox["Visualization Framework",
  FontSlant->"Italic",
  FontColor->GrayLevel[0.500008]]
}], "Subsection",
 CellChangeTimes->{{3.393083008140625*^9, 3.393083019078125*^9}, {
  3.3930830621875*^9, 3.393083066125*^9}, {3.393083223234375*^9, 
  3.393083227890625*^9}}],

Cell["\<\
For all the visualization functions, we can identify three major areas of \
optimization: geometric, numeric and symbolic.\
\>", "Text",
 CellChangeTimes->{
  3.3918276028837347`*^9, {3.391948030169335*^9, 3.391948039981835*^9}, 
   3.3930568209810953`*^9, {3.39308323184375*^9, 3.393083234984375*^9}}],

Cell[TextData[StyleBox["Geometric",
 FontWeight->"Bold"]], "MathCaption"],

Cell["Adaptive Refinement", "BulletedList"],

Cell["Mesh lines and points overlay", "BulletedList",
 CellChangeTimes->{{3.3696111950774207`*^9, 3.3696111954579678`*^9}}],

Cell["MeshFunctions", "BulletedList"],

Cell["MeshShading", "BulletedList"],

Cell["Arbitrary clipping by using a RegionFunction", "BulletedList"],

Cell["Irregularities and Singularities removal", "BulletedList",
 CellChangeTimes->{3.393083299671875*^9}],

Cell["\<\
Extended Filling between Curves and Surfaces in Plot and Plot3D\
\>", "BulletedList",
 CellChangeTimes->{{3.3696112084166017`*^9, 3.369611211200605*^9}}],

Cell["Improved ContourPlot labeling", "BulletedList",
 CellChangeTimes->{3.3930833009375*^9}],

Cell["Irregular data plotting", "BulletedList",
 CellChangeTimes->{3.393083301671875*^9}],

Cell[TextData[StyleBox["Numeric",
 FontWeight->"Bold"]], "MathCaption"],

Cell["Arbitrary precision via a WorkingPrecision option", "BulletedList",
 CellChangeTimes->{3.393083302890625*^9}],

Cell["Evaluation monitor support", "BulletedList",
 CellChangeTimes->{3.39308330359375*^9}],

Cell["FiniteDifference and Symbolic vertex normals computation", \
"BulletedList"],

Cell[TextData[StyleBox["Symbolic",
 FontWeight->"Bold"]], "MathCaption"],

Cell["Vector valued function plotting", "BulletedList",
 CellChangeTimes->{3.369611243967722*^9}],

Cell["Piecewise functions handling", "BulletedList"],

Cell["Exclusions to handle Jumps and Singularities", "BulletedList",
 CellChangeTimes->{{3.369610455724283*^9, 3.3696104708259983`*^9}}],

Cell["Improved ContourPlot3D", "BulletedList"],

Cell["Implicit Algebraic Surfaces", "BulletedList"],

Cell["", "Spacer"],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  FontSlant->"Plain",
  Background->GrayLevel[0.500008]],
 StyleBox["Adaptive Refinement",
  FontSlant->"Plain",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 StyleBox[" ",
  Background->GrayLevel[0.500008]]
}], "Section",
 CellChangeTimes->{{3.391827830971709*^9, 3.3918278448116093`*^9}}],

Cell[TextData[{
 "One of the basic changes for function based visualization functions is the \
use of adaptive refinement. This is a major improvement over the previous \
versions. It is possible to reduce the number of function evaluations by \
using lower values of ",
 Cell[BoxData[
  ButtonBox["PlotPoints",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/PlotPoints"]], "InlineFormula"],
 ", and still get smooth graphs and surfaces."
}], "Text",
 CellChangeTimes->{{3.391948158450585*^9, 3.391948335294335*^9}, 
   3.39201937513797*^9, 3.39308333653125*^9}],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Adaptive Refinement",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 " Eigenfunctions for an Anharmonic Oscillator"
}], "Subsection",
 CellChangeTimes->{{3.39308337109375*^9, 3.39308338196875*^9}}],

Cell[TextData[{
 "This example shows how the adaptivity helps to smooth out the curves even \
if we use a fix value of ",
 StyleBox["PlotPoints\[Rule]7", "MR"],
 "."
}], "Text",
 CellChangeTimes->{{3.39194847115371*^9, 3.39194853546621*^9}, {
  3.393083341921875*^9, 3.393083342546875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"n_", ",", "x_"}], "]"}], ":=", 
   SuperscriptBox[
    RowBox[{"Abs", "[", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         FractionBox["1", "\[Pi]"], ")"}], 
        RowBox[{"1", "/", "4"}]], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"-", 
         FractionBox[
          SuperscriptBox["x", "2"], "2"]}]], " ", 
       RowBox[{"HermiteH", "[", 
        RowBox[{"n", ",", "x"}], "]"}]}], 
      SqrtBox[
       RowBox[{
        SuperscriptBox["2", "n"], " ", 
        RowBox[{"n", "!"}]}]]], "]"}], "2"]}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{
   RowBox[{"Partition", "[", 
    RowBox[{
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"Plot", "[", 
        RowBox[{
         RowBox[{"Evaluate", "[", 
          RowBox[{"Append", "[", 
           RowBox[{
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"f", "[", 
                RowBox[{"n", ",", "x"}], "]"}], "+", "n", "+", 
               FractionBox["1", "2"]}], ",", 
              RowBox[{"{", 
               RowBox[{"n", ",", "0", ",", "7"}], "}"}]}], "]"}], ",", 
            FractionBox[
             SuperscriptBox["x", "2"], "2"]}], "]"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
         RowBox[{"Filling", "\[Rule]", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"i", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"i", "-", 
                 FractionBox["1", "2"]}], ",", "Orange"}], "}"}]}], "}"}], 
            ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", "8"}], "}"}]}], "]"}]}], ",", 
         RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
         RowBox[{"MaxRecursion", "\[Rule]", "rr"}], ",", 
         RowBox[{"PlotPoints", "\[Rule]", "7"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"rr", ",", "0", ",", "3"}], "}"}]}], "]"}], ",", "2"}], "]"}],
    ",", 
   RowBox[{"ImageSize", "\[Rule]", "700"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.36292858501563*^9, 3.36292869335938*^9}, {
   3.36293090009375*^9, 3.362931002*^9}, {3.36293103704688*^9, 
   3.36293104929688*^9}, 3.36293137239063*^9, {3.36293147271875*^9, 
   3.362931489375*^9}, 3.36296282845313*^9, 3.36302504714063*^9, {
   3.36302515445313*^9, 3.36302515542188*^9}, {3.36302727867188*^9, 
   3.36302728701563*^9}, {3.3689620960065*^9, 3.36896213353046*^9}, 
   3.36896434647252*^9, 3.391926865510784*^9}],

Cell["", "Spacer"],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Adaptive Refinement",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 " Computational Mesh and Visual Mesh"
}], "Subsection",
 CellChangeTimes->{{3.39308337109375*^9, 3.39308338196875*^9}, {
  3.39308341871875*^9, 3.393083428953125*^9}}],

Cell[TextData[{
 "The geometric mesh generated by sampling the function is known as the \
computational mesh. It is on top of the geometry of this mesh where the ",
 Cell[BoxData[
  ButtonBox["Mesh",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Mesh"]], "InlineFormula"],
 " option overlays the mesh lines that are known as the visual mesh."
}], "Text",
 CellChangeTimes->{{3.391948555950585*^9, 3.39194860021621*^9}, {
  3.393052198116805*^9, 3.3930522868544035`*^9}, {3.3930834459375*^9, 
  3.393083449921875*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"vpt", "=", 
       RowBox[{"ViewPoint", "\[Rule]", " ", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "Infinity"}], "}"}]}]}], "}"}], ",", 
     RowBox[{"GraphicsGrid", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Plot3D", "[", 
            RowBox[{
             RowBox[{"Sin", "[", 
              RowBox[{"x", " ", "+", " ", 
               RowBox[{"Cos", "[", "y", "]"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", "0", ",", "6"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"y", ",", 
               RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
             RowBox[{"Mesh", "\[Rule]", " ", "All"}], ",", 
             RowBox[{"PlotStyle", "\[Rule]", " ", "None"}], ",", 
             RowBox[{"MaxRecursion", "\[Rule]", " ", "n"}], ",", "vpt"}], 
            "]"}], ",", 
           RowBox[{"Plot3D", "[", 
            RowBox[{
             RowBox[{"Sin", "[", 
              RowBox[{"x", " ", "+", " ", 
               RowBox[{"Cos", "[", "y", "]"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", "0", ",", "6"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"y", ",", 
               RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
             RowBox[{"PlotStyle", "\[Rule]", " ", "None"}], ",", 
             RowBox[{"MaxRecursion", "\[Rule]", " ", "n"}], ",", "vpt"}], 
            "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Plot3D", "[", 
            RowBox[{
             RowBox[{"Sin", "[", 
              RowBox[{"x", " ", "+", " ", 
               RowBox[{"Cos", "[", "y", "]"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", "0", ",", "6"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"y", ",", 
               RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
             RowBox[{"Mesh", "\[Rule]", " ", "All"}], ",", 
             RowBox[{"PlotStyle", "\[Rule]", " ", "None"}], ",", 
             RowBox[{"MaxRecursion", "\[Rule]", " ", "n"}]}], "]"}], ",", 
           RowBox[{"Plot3D", "[", 
            RowBox[{
             RowBox[{"Sin", "[", 
              RowBox[{"x", " ", "+", " ", 
               RowBox[{"Cos", "[", "y", "]"}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"x", ",", "0", ",", "6"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"y", ",", 
               RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
             RowBox[{"PlotStyle", "\[Rule]", " ", "None"}], ",", 
             RowBox[{"MaxRecursion", "\[Rule]", " ", "n"}]}], "]"}]}], 
          "}"}]}], "}"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", " ", "450"}]}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "0", ",", "4", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", " ", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.3919269972902737`*^9, 3.391927032761278*^9}, {
  3.3919270627844496`*^9, 3.391927082302515*^9}, {3.3919271273372717`*^9, 
  3.3919271622074127`*^9}, {3.391927225898997*^9, 3.3919272284726973`*^9}, {
  3.393052100105872*^9, 3.3930521244308496`*^9}, {3.393052155856037*^9, 
  3.3930521695757647`*^9}}],

Cell["\<\
Contour lines are mesh lines that trigger refinement in order to generate \
smooth curves.\
\>", "MathCaption",
 CellChangeTimes->{{3.39194862037246*^9, 3.39194867734121*^9}, {
  3.3930523559337344`*^9, 3.393052387268792*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"vpt", "=", 
       RowBox[{"ViewPoint", "\[Rule]", " ", 
        RowBox[{"{", 
         RowBox[{"0", ",", "0", ",", "Infinity"}], "}"}]}]}], "}"}], ",", 
     RowBox[{"GraphicsGrid", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ContourPlot", "[", 
           RowBox[{
            RowBox[{"Sin", "[", 
             RowBox[{"x", " ", "+", " ", 
              RowBox[{"Cos", "[", "y", "]"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "0", ",", "6"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"y", ",", 
              RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
            RowBox[{"Mesh", "\[Rule]", " ", "All"}], ",", 
            RowBox[{"ContourShading", "\[Rule]", " ", "None"}], ",", 
            RowBox[{"Contours", "\[Rule]", " ", "5"}], ",", 
            RowBox[{"MaxRecursion", "\[Rule]", " ", "n"}]}], "]"}], ",", 
          RowBox[{"ContourPlot", "[", 
           RowBox[{
            RowBox[{"Sin", "[", 
             RowBox[{"x", " ", "+", " ", 
              RowBox[{"Cos", "[", "y", "]"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"x", ",", "0", ",", "6"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"y", ",", 
              RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
            RowBox[{"ContourShading", "\[Rule]", " ", "None"}], ",", 
            RowBox[{"Contours", "\[Rule]", " ", "5"}], ",", 
            RowBox[{"ContourStyle", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"{", 
               RowBox[{"Thick", ",", " ", "Green"}], "}"}], "}"}]}], ",", 
            RowBox[{"MaxRecursion", "\[Rule]", " ", "n"}]}], "]"}]}], "}"}], 
        "}"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", " ", "650"}]}], "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "0", ",", "4", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", " ", "\"\<Labeled\>\""}]}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.36896269037116*^9, 3.36896277558369*^9}, 
   3.3689645880599*^9, {3.3696113810648575`*^9, 3.369611404408424*^9}, {
   3.391927336307757*^9, 3.3919273715484304`*^9}, {3.3930523052608705`*^9, 
   3.393052326771802*^9}}],

Cell["", "Spacer"],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Adaptive Refinement",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 " The Klein Bottle"
}], "Subsection",
 CellChangeTimes->{{3.39308337109375*^9, 3.39308338196875*^9}, {
  3.39308341871875*^9, 3.393083428953125*^9}, {3.39308346225*^9, 
  3.393083466984375*^9}}],

Cell[TextData[{
 "This is another example, in this case for ",
 Cell[BoxData[
  ButtonBox["ParametricPlot3D",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/ParametricPlot3D"]], "InlineFormula"],
 ", that demonstrates how the adaptivity helps to reduce the number of \
function evaluations."
}], "Text",
 CellChangeTimes->{{3.39194870068496*^9, 3.39194875334121*^9}, 
   3.3930570089453297`*^9, 3.393083473328125*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{"r", ",", "KleinBottle"}], "]"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"r", "[", "u_", "]"}], ":=", 
    RowBox[{"4", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       FractionBox[
        RowBox[{"Cos", "[", "u", "]"}], "2"]}], ")"}]}]}], ";"}], " ", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"KleinBottle", "[", 
     RowBox[{
      RowBox[{"u_", "/;", 
       RowBox[{"u", "\[LessEqual]", "\[Pi]"}]}], ",", "v_"}], "]"}], ":=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"6", 
        RowBox[{"Cos", "[", "u", "]"}], 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"Sin", "[", "u", "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"r", "[", "u", "]"}], 
        RowBox[{"Cos", "[", "u", "]"}], 
        RowBox[{"Cos", "[", "v", "]"}]}]}], ",", 
      RowBox[{
       RowBox[{"16", 
        RowBox[{"Sin", "[", "u", "]"}]}], "+", 
       RowBox[{
        RowBox[{"r", "[", "u", "]"}], 
        RowBox[{"Sin", "[", "u", "]"}], 
        RowBox[{"Cos", "[", "v", "]"}]}]}], ",", 
      RowBox[{
       RowBox[{"r", "[", "u", "]"}], 
       RowBox[{"Sin", "[", "v", "]"}]}]}], "}"}]}], ";", " ", 
   RowBox[{
    RowBox[{"KleinBottle", "[", 
     RowBox[{
      RowBox[{"u_", "/;", 
       RowBox[{"u", ">", "\[Pi]"}]}], ",", "v_"}], "]"}], ":=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"6", " ", 
        RowBox[{"Cos", "[", "u", "]"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"Sin", "[", "u", "]"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"r", "[", "u", "]"}], " ", 
        RowBox[{"Cos", "[", 
         RowBox[{"v", "+", "\[Pi]"}], "]"}]}]}], ",", 
      RowBox[{"16", " ", 
       RowBox[{"Sin", "[", "u", "]"}]}], ",", 
      RowBox[{
       RowBox[{"r", "[", "u", "]"}], " ", 
       RowBox[{"Sin", "[", "v", "]"}]}]}], "}"}]}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"kbtable", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"ParametricPlot3D", "[", 
       RowBox[{
        RowBox[{"KleinBottle", "[", 
         RowBox[{"u", ",", "v"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"u", ",", "0", ",", 
          RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"v", ",", "0", ",", 
          RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
        RowBox[{"ViewPoint", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "2"}], ",", 
           RowBox[{"-", "8"}], ",", 
           RowBox[{"-", "15"}]}], "}"}]}], ",", 
        RowBox[{"PlotPoints", "\[Rule]", "5"}], ",", " ", 
        RowBox[{"MaxRecursion", "\[Rule]", "rr"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", "Orange"}], ",", 
        RowBox[{"ImageSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"220", ",", "Automatic"}], "}"}]}], ",", 
        RowBox[{"Evaluate", "@", "SemStyle1"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"rr", ",", "0", ",", "5"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Grid", "[", 
  RowBox[{"Partition", "[", 
   RowBox[{"kbtable", ",", "3"}], "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.36896293116741*^9, 3.36896293233909*^9}, 
   3.36896459952639*^9, 3.369526789874685*^9, {3.3919274011409826`*^9, 
   3.391927464702379*^9}}],

Cell["", "Spacer"],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Adaptive Refinement",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 " Analytic Region Plotting"
}], "Subsection",
 CellChangeTimes->{{3.39308337109375*^9, 3.39308338196875*^9}, {
  3.39308341871875*^9, 3.393083428953125*^9}, {3.39308348440625*^9, 
  3.393083490484375*^9}}],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["RegionPlot",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/RegionPlot"]], "InlineFormula"],
 " is used to visualize regions defined by boolean functions. Adaptivity is \
used consistently as with all the other visualization functions."
}], "Text",
 CellChangeTimes->{{3.39194888999746*^9, 3.39194907784121*^9}, {
   3.392019520326683*^9, 3.3920195207201433`*^9}, 3.393083496890625*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"tt1", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"RegionPlot", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Mod", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"Ceiling", "[", "x", "]"}], "+", 
            RowBox[{"Ceiling", "[", "y", "]"}]}], ",", "2"}], "]"}], 
         "\[Equal]", "0"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"y", ",", 
          RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
        RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
        RowBox[{"MaxRecursion", "\[Rule]", "rr"}], ",", 
        RowBox[{"Frame", "\[Rule]", "True"}], ",", 
        RowBox[{"PlotStyle", "->", "Orange"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"rr", ",", "0", ",", "3"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"tt2", " ", "=", " ", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"RegionPlot", "[", " ", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"x", "+", 
              FractionBox["1", "2"]}], ")"}], "2"], "+", 
           SuperscriptBox["y", "2"]}], "\[LessEqual]", "1"}], "\[Xor]", 
         RowBox[{
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"x", "-", 
              FractionBox["1", "2"]}], ")"}], "2"], "+", 
           SuperscriptBox["y", "2"]}], "\[LessEqual]", "1"}]}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"-", "1.61"}], ",", "1.6"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{"y", ",", 
          RowBox[{"-", "1.015"}], ",", "1"}], "}"}], ",", 
        RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
        RowBox[{"PlotPoints", "\[Rule]", "9"}], ",", 
        RowBox[{"MaxRecursion", "\[Rule]", "rr"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", "Orange"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"rr", ",", "0", ",", "3"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tt3", " ", "=", " ", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"RegionPlot", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"Im", "[", 
          RowBox[{"ChebyshevT", "[", 
           RowBox[{"12", ",", 
            RowBox[{"x", "+", 
             RowBox[{"\[ImaginaryI]", " ", "y"}]}]}], "]"}], "]"}], ">", 
         "0"}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"y", ",", 
          RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
        RowBox[{"MaxRecursion", "\[Rule]", "rr"}], ",", 
        RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
        RowBox[{"PlotPoints", "\[Rule]", "26"}], ",", 
        RowBox[{"PlotStyle", "->", "Orange"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"rr", ",", "0", ",", "3"}], "}"}]}], "]"}]}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"tt1", ",", "tt2", ",", "tt3"}], "}"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"900", ",", "Automatic"}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.36896305728876*^9, 3.36896306122442*^9}, {
  3.36896461640065*^9, 3.36896462933926*^9}, {3.391927502797157*^9, 
  3.391927522245122*^9}}],

Cell["", "Spacer"],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Adaptive Refinement",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 " Adaptive Contouring"
}], "Subsection",
 CellChangeTimes->{{3.39308337109375*^9, 3.39308338196875*^9}, {
  3.39308341871875*^9, 3.393083428953125*^9}, {3.39308351159375*^9, 
  3.393083514234375*^9}}],

Cell[TextData[{
 "For ",
 Cell[BoxData[
  ButtonBox["ContourPlot",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/ContourPlot"]], "InlineFormula"],
 ", the adaptivity is based on the contour lines in addition to the function \
itself."
}], "Text",
 CellChangeTimes->{{3.39194950396621*^9, 3.391949544169335*^9}, 
   3.393083519890625*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"fun", "[", 
    RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
   RowBox[{"Arg", "[", 
    RowBox[{"Tanh", "[", 
     FractionBox["1", 
      RowBox[{"x", "+", 
       RowBox[{"\[ImaginaryI]", " ", "y"}]}]], "]"}], "]"}]}], ";"}]], "Input",\

 CellChangeTimes->{3.39194913577871*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"t1", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"ContourPlot", "[", 
      RowBox[{
       RowBox[{"fun", "[", 
        RowBox[{"x", ",", "y"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", 
          FractionBox["1", "4"]}], ",", 
         FractionBox["1", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{"-", 
          FractionBox["1", "2"]}], ",", 
         FractionBox["1", "2"]}], "}"}], ",", 
       RowBox[{"MaxRecursion", "\[Rule]", "rr"}], ",", 
       RowBox[{"PlotPoints", "\[Rule]", "15"}], ",", 
       RowBox[{"ColorFunction", "\[Rule]", "\"\<BeachColors\>\""}], ",", 
       RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
       RowBox[{"Exclusions", "\[Rule]", "None"}], ",", 
       RowBox[{"Contours", "\[Rule]", "5"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"rr", ",", "0", ",", "1"}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.391949190044335*^9, {3.39194929343496*^9, 3.39194930824746*^9}, {
   3.3920481379720297`*^9, 3.3920481904876547`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"t2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"ContourPlot", "[", 
      RowBox[{
       RowBox[{"fun", "[", 
        RowBox[{"x", ",", "y"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", 
          FractionBox["1", "4"]}], ",", 
         FractionBox["1", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{"-", 
          FractionBox["1", "2"]}], ",", 
         FractionBox["1", "2"]}], "}"}], ",", 
       RowBox[{"MaxRecursion", "\[Rule]", "3"}], ",", 
       RowBox[{"ColorFunction", "\[Rule]", "\"\<BeachColors\>\""}], ",", 
       RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
       RowBox[{"Exclusions", "\[Rule]", "None"}], ",", 
       RowBox[{"Contours", "\[Rule]", "5"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"ContourPlot", "[", 
      RowBox[{
       RowBox[{"fun", "[", 
        RowBox[{"x", ",", "y"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", 
          FractionBox["1", "4"]}], ",", 
         FractionBox["1", "4"]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{"-", 
          FractionBox["1", "2"]}], ",", 
         FractionBox["1", "2"]}], "}"}], ",", 
       RowBox[{"MaxRecursion", "\[Rule]", "3"}], ",", 
       RowBox[{"ColorFunction", "\[Rule]", "\"\<BeachColors\>\""}], ",", 
       RowBox[{"MeshFunctions", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"#1", "&"}], ",", 
          RowBox[{"#2", "&"}]}], "}"}]}], ",", 
       RowBox[{"Mesh", "\[Rule]", "6"}], ",", 
       RowBox[{"Exclusions", "\[Rule]", "None"}], ",", 
       RowBox[{"Contours", "\[Rule]", "5"}]}], "]"}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{
  3.39194920274746*^9, {3.39194929571621*^9, 3.39194938646621*^9}, {
   3.39194947562246*^9, 3.39194947593496*^9}, 3.3920481604407797`*^9, {
   3.3920481931907797`*^9, 3.3920481933782797`*^9}}],

Cell[BoxData[
 RowBox[{"GraphicsGrid", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"t1", ",", "t2"}], "}"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"750", ",", "Automatic"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.3689635754238*^9, 3.36896358426652*^9}, {
   3.36896363245581*^9, 3.36896364205962*^9}, {3.36896467249131*^9, 
   3.36896467668734*^9}, 3.36896471696526*^9, {3.3695268502615166`*^9, 
   3.3695268511027265`*^9}, {3.369526888376323*^9, 3.369526892251896*^9}, 
   3.369611530669979*^9, {3.369611565089472*^9, 3.3696115689550304`*^9}, {
   3.3696116233031793`*^9, 3.3696116254462605`*^9}, {3.391927715713315*^9, 
   3.3919277354416833`*^9}, 3.391949132856835*^9, {3.391949180294335*^9, 
   3.39194920030996*^9}, 3.39194924321621*^9, {3.39194933374746*^9, 
   3.39194933415371*^9}}],

Cell["", "Spacer"],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Adaptive Refinement",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 " Implicit Surfaces Based on an Adaptive Octree"
}], "Subsection",
 CellChangeTimes->{{3.39308337109375*^9, 3.39308338196875*^9}, {
  3.39308341871875*^9, 3.393083428953125*^9}, {3.39308353109375*^9, 
  3.393083539703125*^9}}],

Cell[TextData[{
 "For ",
 Cell[BoxData[
  ButtonBox["ContourPlot3D",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/ContourPlot3D"]], "InlineFormula"],
 ", we use adaptivity based on cubic cells."
}], "Text",
 CellChangeTimes->{{3.39194958109121*^9, 3.391949604794335*^9}, {
   3.391953264013085*^9, 3.391953270356835*^9}, 3.392019706227852*^9, 
   3.39308354715625*^9}],

Cell[BoxData[{
 RowBox[{"Clear", "[", 
  RowBox[{"x", ",", "y", ",", "z", ",", "pp1"}], "]"}], "\[IndentingNewLine]",
 
 RowBox[{
  RowBox[{
   RowBox[{"pp1", "=", 
    FormBox[
     RowBox[{
      RowBox[{"16", " ", 
       SuperscriptBox["x", "3"]}], "-", 
      RowBox[{"48", " ", "y", " ", 
       SuperscriptBox["x", "2"]}], "+", 
      RowBox[{"24", " ", "z", " ", 
       SuperscriptBox["x", "2"]}], "-", 
      RowBox[{"48", " ", 
       SuperscriptBox["y", "2"], " ", "x"}], "+", 
      RowBox[{"16", " ", 
       SuperscriptBox["y", "3"]}], "-", 
      RowBox[{"31", " ", 
       SuperscriptBox["z", "3"]}], "-", 
      RowBox[{"93.5307", " ", 
       SuperscriptBox["z", "2"]}], "+", 
      RowBox[{"24", " ", 
       SuperscriptBox["y", "2"], " ", "z"}], "-", 
      RowBox[{"72", " ", "z"}]}],
     TraditionalForm]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Grid", "[", 
  RowBox[{"{", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"ContourPlot3D", "[", 
      RowBox[{
       RowBox[{"pp1", "\[Equal]", "0"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", 
         RowBox[{"-", "2.3"}], ",", "2"}], "}"}], ",", 
       RowBox[{"Method", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<Refinement\>\"", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Method", "\[Rule]", "\"\<OctreeCubes\>\""}], "}"}]}], 
         "}"}]}], ",", 
       RowBox[{"PlotPoints", "\[Rule]", "5"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "250"}], ",", 
       RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
       RowBox[{"Axes", "\[Rule]", "None"}], ",", 
       RowBox[{"MaxRecursion", "\[Rule]", "r"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", "0", ",", "2"}], "}"}]}], "]"}], "}"}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.36896371835933*^9, 3.36896372162403*^9}, {
   3.36896473203693*^9, 3.36896473905702*^9}, {3.36896477173401*^9, 
   3.36896477739215*^9}, 3.369526928383851*^9, {3.369611725670376*^9, 
   3.369611725840621*^9}}],

Cell[BoxData[
 RowBox[{"Grid", "[", "\[IndentingNewLine]", 
  RowBox[{"{", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"ContourPlot3D", "[", 
      RowBox[{
       RowBox[{"pp1", "\[Equal]", "0"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", 
         RowBox[{"-", "2.3"}], ",", "2"}], "}"}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "250"}], ",", 
       RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
       RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
       RowBox[{"Axes", "\[Rule]", "None"}]}], "]"}], ",", 
     RowBox[{"ContourPlot3D", "[", 
      RowBox[{
       RowBox[{"pp1", "\[Equal]", "0"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", 
         RowBox[{"-", "2.3"}], ",", "2"}], "}"}], ",", 
       RowBox[{"ColorFunction", "\[Rule]", "\"\<BeachColors\>\""}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "250"}], ",", 
       RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
       RowBox[{"Axes", "\[Rule]", "None"}], ",", 
       RowBox[{"Mesh", "\[Rule]", "None"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"ContourPlot3D", "[", 
      RowBox[{
       RowBox[{"pp1", "\[Equal]", "0"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", 
         RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"z", ",", 
         RowBox[{"-", "2.3"}], ",", "2"}], "}"}], ",", 
       RowBox[{"ColorFunction", "\[Rule]", "\"\<BeachColors\>\""}], ",", 
       RowBox[{"ImageSize", "\[Rule]", "250"}], ",", 
       RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
       RowBox[{"Axes", "\[Rule]", "None"}], ",", 
       RowBox[{"Mesh", "\[Rule]", "8"}]}], "]"}]}], "}"}], "}"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.3689639812173*^9, 3.36896399021024*^9}, {
  3.36896480713492*^9, 3.36896482121516*^9}, {3.3919278386901474`*^9, 
  3.3919278440077934`*^9}}],

Cell["", "Spacer"],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Performance Goal",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 " "
}], "Section"],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 " makes extensive use of an automatic feature of the plotting functions, \
that is, ",
 Cell[BoxData[
  ButtonBox["PerformanceGoal",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/PerformancecGoal"]], "InlineFormula"],
 ". During the dragging of sliders, ",
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 " uses a \"Speed\" mode which will lower the quality requirements of the \
plot. This allows for faster refresh at the expense of generating low quality \
plots. It is possible to force a \"Quality\" mode or even a \"Speed\" mode \
explicitly."
}], "Text",
 CellChangeTimes->{{3.391953678794335*^9, 3.39195371552871*^9}, {
  3.3930530132388926`*^9, 3.3930531811903954`*^9}, {3.3930532596432047`*^9, 
  3.393053293151387*^9}, {3.393083580046875*^9, 3.393083598796875*^9}, {
  3.3931040903468833`*^9, 3.3931040903468833`*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\t", 
  RowBox[{
   RowBox[{"ParametricPlot3D", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"Cos", "[", "t", "]"}], "*", 
        RowBox[{"(", 
         RowBox[{"3", " ", "+", " ", 
          RowBox[{"aa", "*", 
           RowBox[{"Cos", "[", "u", "]"}]}]}], ")"}]}], ",", " ", 
       RowBox[{
        RowBox[{"Sin", "[", "t", "]"}], "*", 
        RowBox[{"(", 
         RowBox[{"3", " ", "+", " ", 
          RowBox[{"aa", "*", 
           RowBox[{"Cos", "[", "u", "]"}]}]}], ")"}]}], ",", " ", 
       RowBox[{"bb", "*", 
        RowBox[{"Sin", "[", "u", "]"}]}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"t", ",", " ", "0", ",", " ", "cc"}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"u", ",", " ", "0", ",", " ", 
       RowBox[{"2", "*", "Pi"}]}], "}"}], ",", " ", 
     RowBox[{"Mesh", " ", "->", " ", "mm"}], ",", " ", 
     RowBox[{"PerformanceGoal", "\[Rule]", "pg"}], ",", 
     RowBox[{"PlotRange", " ", "->", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5.5"}], ",", " ", "5.5"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "5.5"}], ",", " ", "5.5"}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "2.5"}], ",", " ", "2.5"}], "}"}]}], "}"}]}]}], "]"}], 
   ",", "\[IndentingNewLine]", "\[IndentingNewLine]", "\t", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"mm", ",", "None", ",", "\"\<Mesh: \>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"None", ",", "All"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\t", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pg", ",", "Automatic", ",", "\"\<PerformanceGoal: \>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"Automatic", ",", "\"\<Speed\>\"", ",", "\"\<Quality\>\""}], 
      "}"}]}], "}"}], ",", "\[IndentingNewLine]", "\t", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"aa", ",", " ", 
       RowBox[{"15", "/", "8"}]}], "}"}], ",", " ", 
     RowBox[{"1", "/", "4"}], ",", " ", 
     RowBox[{"5", "/", "2"}], ",", 
     RowBox[{"1", "/", "16"}], ",", 
     RowBox[{"Appearance", "->", " ", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\t", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"bb", ",", " ", 
       RowBox[{"3", "/", "4"}]}], "}"}], ",", " ", 
     RowBox[{"1", "/", "4"}], ",", " ", 
     RowBox[{"5", "/", "2"}], ",", 
     RowBox[{"1", "/", "16"}], ",", 
     RowBox[{"Appearance", "->", " ", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\t", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"cc", ",", " ", 
       RowBox[{"3", "*", 
        RowBox[{"(", 
         RowBox[{"Pi", "/", "2"}], ")"}]}]}], "}"}], ",", " ", "Pi", ",", " ",
      
     RowBox[{"2", "*", "Pi"}]}], "}"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.36896522568676*^9, 3.36896530392927*^9}, {
   3.3689653353845*^9, 3.36896534470791*^9}, {3.369611785075797*^9, 
   3.3696117938884687`*^9}, 3.369612064898162*^9, 3.391927900118477*^9, {
   3.391927952443717*^9, 3.391927977439659*^9}, {3.391928021623192*^9, 
   3.3919280990745616`*^9}, {3.391953405231835*^9, 3.39195360337246*^9}, {
   3.392019979671775*^9, 3.392020014379366*^9}, {3.3930525809272594`*^9, 
   3.39305268548761*^9}, {3.393052751372347*^9, 3.393052758632787*^9}, {
   3.393052790168133*^9, 3.3930529531725216`*^9}, 3.3930572934967337`*^9}],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["Manipulate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Manipulate"]], "InlineFormula"],
 " is covered in more detail in other seminars."
}], "Text",
 CellChangeTimes->{{3.3930531894122176`*^9, 3.393053212885971*^9}, {
  3.3930573728610077`*^9, 3.393057374378134*^9}, {3.393084602921875*^9, 
  3.39308461734375*^9}}],

Cell["", "Spacer"],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Mesh Overlays",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 " "
}], "NonSlideShowSection",
 CellChangeTimes->{{3.393083565953125*^9, 3.39308357084375*^9}, {
  3.393083616546875*^9, 3.39308361846875*^9}}],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Mesh Overlays",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 " ",
 StyleBox["Mesh Lines Defined by Arbitrary Mesh Functions",
  FontSlant->"Italic",
  FontColor->GrayLevel[0.500008]]
}], "Subsection",
 CellChangeTimes->{{3.393083639*^9, 3.39308365815625*^9}}],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["MeshFunctions",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/MeshFunctions"]], "InlineFormula"],
 " are not restricted to the cartesian axes."
}], "Text",
 CellChangeTimes->{{3.391953678794335*^9, 3.39195371552871*^9}, 
   3.39308366834375*^9, 3.393143585331245*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"meshshading", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Orange", ",", "Green"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"Blue", ",", "Yellow"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Grid", "[", 
  RowBox[{"{", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\t", 
      RowBox[{
       RowBox[{"Plot3D", "[", 
        RowBox[{
         RowBox[{"Sin", "[", 
          RowBox[{"x", "+", 
           RowBox[{"Cos", "[", "y", "]"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "0", ",", 
           RowBox[{"2", "\[Pi]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", "0", ",", 
           RowBox[{"2", "\[Pi]"}]}], "}"}], ",", "\[IndentingNewLine]", "\t", 
         
         RowBox[{"PerformanceGoal", "\[Rule]", "\"\<Quality\>\""}], ",", 
         RowBox[{"MeshFunctions", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"#1", "&"}], ",", 
            RowBox[{"#2", "&"}]}], "}"}]}], ",", 
         RowBox[{"MeshShading", "\[Rule]", "meshshading"}], ",", 
         "\[IndentingNewLine]", "\t", 
         RowBox[{"ImageSize", "\[Rule]", "350"}], ",", "\[IndentingNewLine]", 
         "\t", 
         RowBox[{"Mesh", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"m", ",", "n", ",", "5"}], "}"}]}], ",", 
         RowBox[{"Evaluate", "@", "SemStyle1"}]}], "]"}], ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"m", ",", "3", ",", "\"\<X Direction\>\""}], "}"}], ",", 
         "1", ",", "10", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"n", ",", "6", ",", "\"\<Y Direction\>\""}], "}"}], ",", 
         "1", ",", "10", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\t", 
      RowBox[{
       RowBox[{"Plot3D", "[", 
        RowBox[{
         RowBox[{"Sin", "[", 
          RowBox[{"x", "+", 
           RowBox[{"Cos", "[", "y", "]"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "0", ",", 
           RowBox[{"2", "Pi"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", "0", ",", 
           RowBox[{"2", "Pi"}]}], "}"}], ",", "\[IndentingNewLine]", "\t\t", 
         RowBox[{"MeshShading", "\[Rule]", "meshshading"}], ",", 
         RowBox[{"PerformanceGoal", "\[Rule]", "\"\<Quality\>\""}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "350"}], ",", "\[IndentingNewLine]", 
         "\t\t", 
         RowBox[{"MeshFunctions", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"#1", "-", 
              RowBox[{"Sin", "[", "#2", "]"}]}], "&"}], ",", 
            RowBox[{
             RowBox[{"#2", "-", 
              RowBox[{"Cos", "[", "#1", "]"}]}], "&"}]}], "}"}]}], ",", 
         "\[IndentingNewLine]", "\t\t", 
         RowBox[{"Mesh", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"m", ",", "n"}], "}"}]}], ",", 
         RowBox[{"Evaluate", "@", "SemStyle1"}]}], "]"}], ",", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"m", ",", "6", ",", "\"\<f1 Direction\>\""}], "}"}], ",", 
         "1", ",", "10", ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"n", ",", "3", ",", "\"\<f2 Direction\>\""}], "}"}], ",", 
         "1", ",", "10", ",", "1"}], "}"}]}], "]"}]}], "\[IndentingNewLine]", 
    "}"}], "}"}], "\[IndentingNewLine]", "]"}]}], "Input",
 CellChangeTimes->{{3.36896522568676*^9, 3.36896530392927*^9}, {
   3.3689653353845*^9, 3.36896534470791*^9}, {3.369611785075797*^9, 
   3.3696117938884687`*^9}, 3.369612064898162*^9, 3.391927900118477*^9, {
   3.391927952443717*^9, 3.391927977439659*^9}, {3.391928021623192*^9, 
   3.3919280990745616`*^9}, {3.391953405231835*^9, 3.39195360337246*^9}, {
   3.392019979671775*^9, 3.392020014379366*^9}}],

Cell["", "Spacer"],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Mesh Overlays",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 " ",
 StyleBox["Arbitrary Mesh Functions over Harmonic Functions",
  FontSlant->"Italic",
  FontColor->GrayLevel[0.500008]]
}], "Subsection",
 CellChangeTimes->{{3.393083639*^9, 3.3930836875*^9}}],

Cell[TextData[{
 "The use of ",
 Cell[BoxData[
  ButtonBox["MeshFunctions",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/MeshFunctions"]], "InlineFormula"],
 " help to understand properties of the functions."
}], "Text",
 CellChangeTimes->{{3.39195372768496*^9, 3.391953773263085*^9}, 
   3.393083695109375*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"u", "[", 
     RowBox[{"x_", ",", "y_"}], "]"}], ":=", 
    FractionBox[
     RowBox[{"2", " ", 
      RowBox[{"ArcTan", "[", 
       FractionBox[
        RowBox[{"2", " ", "x", " ", "y", " ", 
         SqrtBox[
          FractionBox[
           RowBox[{
            SuperscriptBox["x", "2"], "+", 
            SuperscriptBox["y", "2"]}], 
           SuperscriptBox["y", "2"]]]}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["x", "2"], "+", 
             SuperscriptBox["y", "2"]}], ")"}]}], ")"}], " ", 
         SqrtBox[
          RowBox[{
           SuperscriptBox["x", "2"], "+", 
           SuperscriptBox["y", "2"]}]]}]], "]"}]}], "\[Pi]"]}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"u", "[", 
    RowBox[{"x", ",", "y"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "3"}], ",", "3"}], "}"}], ",", 
   RowBox[{"Exclusions", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"x", " ", "y"}], "\[Equal]", "0"}], ",", 
      RowBox[{
       RowBox[{
        SuperscriptBox["x", "2"], "+", 
        SuperscriptBox["y", "2"]}], "\[Equal]", "1"}]}], "}"}]}], ",", 
   RowBox[{"MeshFunctions", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"#1", "^", "2"}], "+", 
         RowBox[{"#2", "^", "2"}]}], ")"}], "&"}], ",", 
      RowBox[{
       RowBox[{"ArcTan", "[", 
        RowBox[{"#1", "/", "#2"}], "]"}], "&"}]}], "}"}]}], ",", 
   RowBox[{"Mesh", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"8", ",", "12"}], "}"}]}], ",", 
   RowBox[{"MeshStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Red", ",", 
        RowBox[{"Opacity", "[", ".3", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"Blue", ",", 
        RowBox[{"Opacity", "[", ".3", "]"}]}], "}"}]}], "}"}]}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "40"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{"Yellow", ",", 
       RowBox[{"Specularity", "[", 
        RowBox[{"White", ",", "50"}], "]"}]}], "}"}], "}"}]}], ",", 
   RowBox[{"ViewPoint", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "1", ",", "1.5"}], "}"}]}], ",", 
   RowBox[{"NormalsFunction", "\[Rule]", "\"\<Weighted\>\""}], ",", 
   RowBox[{"ImageSize", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", "480"}], "}"}]}], ",", 
   RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
   RowBox[{"Axes", "\[Rule]", "False"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.36308823178125*^9, 3.36308842825*^9}, 
   3.3630884656875*^9, {3.36308851435938*^9, 3.36308851492188*^9}, {
   3.36308920057813*^9, 3.36308920453125*^9}, {3.36896581070798*^9, 
   3.36896581393262*^9}, 3.36896593272343*^9, {3.36896600372553*^9, 
   3.36896602515634*^9}, {3.36896607256451*^9, 3.36896607392647*^9}, {
   3.3689661761034*^9, 3.36896622799802*^9}, {3.36896627596699*^9, 
   3.36896628458939*^9}, {3.3689663206913*^9, 3.36896643273241*^9}, 
   3.36896650527672*^9, {3.3919281651395583`*^9, 3.391928166882064*^9}, {
   3.391928198307251*^9, 3.391928199148461*^9}}],

Cell["", "Spacer"],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Mesh Overlays",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 " ",
 StyleBox["Contour Lines Based on Gaussian Curvature",
  FontSlant->"Italic",
  FontColor->GrayLevel[0.500008]]
}], "Subsection",
 CellChangeTimes->{{3.393083639*^9, 3.39308365815625*^9}, {
  3.393083703921875*^9, 3.393083710671875*^9}}],

Cell[TextData[{
 "This example constructs the ",
 Cell[BoxData[
  ButtonBox["MeshFunction",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/MeshFunction"]], "InlineFormula"],
 " as the Gaussian curvature of a given function."
}], "Text",
 CellChangeTimes->{{3.39195389890371*^9, 3.391953926575585*^9}, {
  3.393083719484375*^9, 3.393083723125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{"tt", ",", "x", ",", "y", ",", "z", ",", "t", ",", "K"}], "]"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"t", "=", "7.5"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"tt", "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "2"], " ", 
     RowBox[{"Cos", "[", "x", "]"}]}], "+", 
    RowBox[{
     SuperscriptBox["y", "2"], " ", 
     RowBox[{"Cos", "[", "y", "]"}]}], "+", 
    RowBox[{
     SuperscriptBox["z", "2"], " ", 
     RowBox[{"Cos", "[", "z", "]"}]}], "+", 
    FractionBox[
     RowBox[{
      RowBox[{"37", " ", 
       RowBox[{"Cos", "[", 
        FractionBox["t", "5"], "]"}]}], "+", "33"}], "2."]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"K", "[", 
   RowBox[{"x_", ",", " ", "y_", ",", " ", "z_"}], "]"}], " ", "=", " ", 
  RowBox[{"-", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "/", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{
            SubscriptBox["\[PartialD]", "x"], "tt"}], " ", 
           RowBox[{
            SubscriptBox["\[PartialD]", "x"], "tt"}]}], "+", 
          RowBox[{
           RowBox[{
            SubscriptBox["\[PartialD]", "y"], "tt"}], " ", 
           RowBox[{
            SubscriptBox["\[PartialD]", "y"], "tt"}]}], "+", 
          RowBox[{
           RowBox[{
            SubscriptBox["\[PartialD]", "z"], "tt"}], " ", 
           RowBox[{
            SubscriptBox["\[PartialD]", "z"], "tt"}]}]}], ")"}], "^", "2"}]}],
       ")"}], "*", 
     RowBox[{"Simplify", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"-", 
          RowBox[{
           SubscriptBox["\[PartialD]", "z"], "tt"}]}], ")"}], 
        RowBox[{
         SubscriptBox["\[PartialD]", "z"], "tt"}], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{
            SubscriptBox["\[PartialD]", 
             RowBox[{"x", ",", "x"}]], "tt"}], " ", 
           RowBox[{
            SubscriptBox["\[PartialD]", 
             RowBox[{"y", ",", "y"}]], "tt"}]}], "-", 
          RowBox[{
           RowBox[{
            SubscriptBox["\[PartialD]", 
             RowBox[{"x", ",", "y"}]], "tt"}], " ", 
           RowBox[{
            SubscriptBox["\[PartialD]", 
             RowBox[{"x", ",", "y"}]], "tt"}]}]}], ")"}]}], "-", 
       RowBox[{
        RowBox[{
         SubscriptBox["\[PartialD]", "y"], "tt"}], " ", 
        RowBox[{
         SubscriptBox["\[PartialD]", "y"], "tt"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{
            SubscriptBox["\[PartialD]", 
             RowBox[{"x", ",", "x"}]], "tt"}], " ", 
           RowBox[{
            SubscriptBox["\[PartialD]", 
             RowBox[{"z", ",", "z"}]], "tt"}]}], "-", 
          RowBox[{
           RowBox[{
            SubscriptBox["\[PartialD]", 
             RowBox[{"x", ",", "z"}]], "tt"}], " ", 
           RowBox[{
            SubscriptBox["\[PartialD]", 
             RowBox[{"x", ",", "z"}]], "tt"}]}]}], ")"}]}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{
            SubscriptBox["\[PartialD]", "y"], "tt"}], " ", 
           RowBox[{
            SubscriptBox["\[PartialD]", "z"], "tt"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{
               SubscriptBox["\[PartialD]", 
                RowBox[{"y", ",", "z"}]], "tt"}], " ", 
              RowBox[{
               SubscriptBox["\[PartialD]", 
                RowBox[{"x", ",", "x"}]], "tt"}]}], "-", 
             RowBox[{
              RowBox[{
               SubscriptBox["\[PartialD]", 
                RowBox[{"x", ",", "y"}]], "tt"}], " ", 
              RowBox[{
               SubscriptBox["\[PartialD]", 
                RowBox[{"x", ",", "z"}]], "tt"}]}]}], ")"}]}], "+", 
          RowBox[{
           RowBox[{
            SubscriptBox["\[PartialD]", "x"], "tt"}], " ", 
           RowBox[{
            SubscriptBox["\[PartialD]", "z"], "tt"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{
               SubscriptBox["\[PartialD]", 
                RowBox[{"x", ",", "z"}]], "tt"}], " ", 
              RowBox[{
               SubscriptBox["\[PartialD]", 
                RowBox[{"y", ",", "y"}]], "tt"}]}], "-", 
             RowBox[{
              RowBox[{
               SubscriptBox["\[PartialD]", 
                RowBox[{"x", ",", "y"}]], "tt"}], " ", 
              RowBox[{
               SubscriptBox["\[PartialD]", 
                RowBox[{"y", ",", "z"}]], "tt"}]}]}], ")"}]}], "+", 
          RowBox[{
           RowBox[{
            SubscriptBox["\[PartialD]", "x"], "tt"}], " ", 
           RowBox[{
            SubscriptBox["\[PartialD]", "y"], "tt"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{
               SubscriptBox["\[PartialD]", 
                RowBox[{"x", ",", "y"}]], "tt"}], " ", 
              RowBox[{
               SubscriptBox["\[PartialD]", 
                RowBox[{"z", ",", "z"}]], "tt"}]}], "-", 
             RowBox[{
              RowBox[{
               SubscriptBox["\[PartialD]", 
                RowBox[{"x", ",", "z"}]], "tt"}], " ", 
              RowBox[{
               SubscriptBox["\[PartialD]", 
                RowBox[{"y", ",", "z"}]], "tt"}]}]}], ")"}]}]}], ")"}]}], "-",
        
       RowBox[{
        RowBox[{
         SubscriptBox["\[PartialD]", "x"], "tt"}], " ", 
        RowBox[{
         SubscriptBox["\[PartialD]", "x"], "tt"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{
            SubscriptBox["\[PartialD]", 
             RowBox[{"y", ",", "y"}]], "tt"}], " ", 
           RowBox[{
            SubscriptBox["\[PartialD]", 
             RowBox[{"z", ",", "z"}]], "tt"}]}], "-", 
          RowBox[{
           RowBox[{
            SubscriptBox["\[PartialD]", 
             RowBox[{"y", ",", "z"}]], "tt"}], " ", 
           RowBox[{
            SubscriptBox["\[PartialD]", 
             RowBox[{"y", ",", "z"}]], "tt"}]}]}], ")"}]}]}], "]"}]}], 
    ")"}]}]}]}], "Input",
 CellChangeTimes->{
  3.36295404839063*^9, 3.36295412154688*^9, {3.36308589892188*^9, 
   3.363086000125*^9}, {3.36896675373399*^9, 3.36896675398435*^9}}],

Cell[BoxData[
 RowBox[{"ContourPlot3D", "[", 
  RowBox[{"tt", ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", 
     RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "40"}], ",", 
   RowBox[{"Contours", "\[Rule]", 
    RowBox[{"{", "0.0", "}"}]}], ",", 
   RowBox[{"Mesh", "\[Rule]", "6"}], ",", 
   RowBox[{"MeshStyle", "\[Rule]", "Black"}], ",", 
   RowBox[{"MeshFunctions", "\[Rule]", 
    StyleBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"K", "[", 
        RowBox[{"#1", ",", "#2", ",", "#3"}], "]"}], "&"}], ")"}],
     FontColor->RGBColor[0, 0, 1]]}], ",", 
   RowBox[{"MeshShading", "\[Rule]", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"RGBColor", "[", 
        RowBox[{"1", ",", "t", ",", "0"}], "]"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", "1", ",", "0.17"}], "}"}]}], "]"}]}], ",", 
   
   RowBox[{"MaxRecursion", "\[Rule]", "0"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", "480"}], "}"}]}], ",", 
   RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
   RowBox[{"Axes", "\[Rule]", "None"}]}], "]"}]], "Input"],

Cell["", "Text",
 CellChangeTimes->{3.391828426538091*^9}],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Mesh Overlays",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 " ",
 StyleBox["The Klein Bottle",
  FontSlant->"Italic",
  FontColor->GrayLevel[0.500008]]
}], "Subsection",
 CellChangeTimes->{{3.393083639*^9, 3.39308365815625*^9}, {
  3.393083734546875*^9, 3.3930837379375*^9}}],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["MeshFunctions",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/MeshFunctions"]], "InlineFormula"],
 " subdivide the surface into regions which can be styled using the ",
 Cell[BoxData[
  ButtonBox["MeshShading",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/MeshShading"]], "InlineFormula"],
 " option."
}], "Text",
 CellChangeTimes->{{3.391953985606835*^9, 3.391954064981835*^9}, {
  3.3930837445625*^9, 3.39308374671875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{"r", ",", "KleinBottle"}], "]"}], "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"r", "[", "u_", "]"}], ":=", 
   RowBox[{"4", " ", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"Cos", "[", "u", "]"}], "2"]}], ")"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"KleinBottle", "[", 
   RowBox[{
    RowBox[{"u_", "/;", 
     RowBox[{"u", "\[LessEqual]", "\[Pi]"}]}], ",", "v_"}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"6", " ", 
      RowBox[{"Cos", "[", "u", "]"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"Sin", "[", "u", "]"}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"r", "[", "u", "]"}], " ", 
      RowBox[{"Cos", "[", "u", "]"}], " ", 
      RowBox[{"Cos", "[", "v", "]"}]}]}], ",", 
    RowBox[{
     RowBox[{"16", " ", 
      RowBox[{"Sin", "[", "u", "]"}]}], "+", 
     RowBox[{
      RowBox[{"r", "[", "u", "]"}], " ", 
      RowBox[{"Sin", "[", "u", "]"}], " ", 
      RowBox[{"Cos", "[", "v", "]"}]}]}], ",", 
    RowBox[{
     RowBox[{"r", "[", "u", "]"}], " ", 
     RowBox[{"Sin", "[", "v", "]"}]}]}], "}"}]}], "\n", 
 RowBox[{
  RowBox[{"KleinBottle", "[", 
   RowBox[{
    RowBox[{"u_", "/;", 
     RowBox[{"u", ">", "\[Pi]"}]}], ",", "v_"}], "]"}], ":=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"6", " ", 
      RowBox[{"Cos", "[", "u", "]"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"Sin", "[", "u", "]"}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"r", "[", "u", "]"}], " ", 
      RowBox[{"Cos", "[", 
       RowBox[{"v", "+", "\[Pi]"}], "]"}]}]}], ",", 
    RowBox[{"16", " ", 
     RowBox[{"Sin", "[", "u", "]"}]}], ",", 
    RowBox[{
     RowBox[{"r", "[", "u", "]"}], " ", 
     RowBox[{"Sin", "[", "v", "]"}]}]}], "}"}]}]}], "Input",
 CellChangeTimes->{3.36308602859375*^9}],

Cell[BoxData[
 RowBox[{"ParametricPlot3D", "[", 
  RowBox[{
   RowBox[{"KleinBottle", "[", 
    RowBox[{"u", ",", "v"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"u", ",", "0", ",", 
     RowBox[{"2", " ", "Pi"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"v", ",", "0", ",", 
     RowBox[{"2", " ", "Pi"}]}], "}"}], ",", 
   RowBox[{"ViewPoint", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "2"}], ",", 
      RowBox[{"-", "8"}], ",", 
      RowBox[{"-", "15"}]}], "}"}]}], ",", 
   RowBox[{"Mesh", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"55", ",", "30"}], "}"}]}], ",", 
   RowBox[{"ImageSize", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Automatic", ",", "480"}], "}"}]}], ",", 
   RowBox[{"MeshShading", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Orange", ",", "None", ",", "Blue", ",", "None"}], "}"}], ",", 
      
      RowBox[{"{", 
       RowBox[{"Green", ",", "Pink", ",", "Yellow", ",", 
        RowBox[{"Lighter", "[", "Brown", "]"}]}], "}"}]}], "}"}]}], ",", 
   RowBox[{"Evaluate", "@", "SemStyle1"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.36896684725847*^9, 3.36896698718968*^9}, {
  3.39192826367124*^9, 3.3919282865140867`*^9}, {3.39195408284121*^9, 
  3.39195411577871*^9}}],

Cell["", "Spacer"],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Working Precision",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 " "
}], "Section"],

Cell["\<\
By default all functions evaluations are performed using machine precision. \
This will produce an incorrect plot for large numbers.\
\>", "Text",
 CellChangeTimes->{{3.391954813575585*^9, 3.391954858200585*^9}, 
   3.391956591013085*^9}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Sin", "[", 
    RowBox[{
     RowBox[{"2", "^", "50"}], "+", "x"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "Pi"}], "}"}], ",", 
   RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "Orange"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.369612223335984*^9, 3.369612227942608*^9}, {
   3.369612275080389*^9, 3.369612277003154*^9}, 3.391928316236826*^9}],

Cell[TextData[{
 "This shows how to specify a given precision by using the ",
 Cell[BoxData[
  ButtonBox["WorkingPrecision",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/WorkingPrecision"]], "InlineFormula"],
 " option."
}], "MathCaption",
 CellChangeTimes->{{3.39195486949746*^9, 3.39195489834121*^9}, 
   3.393083776203125*^9}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Sin", "[", 
    RowBox[{
     RowBox[{"2", "^", "50"}], "+", "x"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "Pi"}], "}"}], ",", 
   RowBox[{"WorkingPrecision", "\[Rule]", "10"}], ",", 
   RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "Orange"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.369612230856798*^9, 3.3696122370657263`*^9}, 
   3.3919283217447453`*^9}],

Cell["", "Spacer"],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Irregularities Removal",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 " "
}], "Section"],

Cell[TextData[{
 "Not real valued. The visualization functions in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " are defined to visualize real valued functions only. Hence if a function \
becomes complex (or other) valued at some point we exclude those values. With \
the adaptive sampling scheme we will usually get fairly close to the real \
valued barrier. "
}], "BulletedList",
 CellChangeTimes->{3.39308378934375*^9}],

Cell[TextData[{
 "There are many types of non-real values including: ",
 Cell[BoxData[
  ButtonBox["Complex",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Complex"]], "InlineFormula"],
 ", DirectedInfinity[c], Underflow[], Overflow[], Null etc. But literally \
anything can be returned. "
}], "BulletedList",
 CellChangeTimes->{{3.393083791453125*^9, 3.39308381128125*^9}}],

Cell["Example of complex valued function.", "Text"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   SqrtBox[
    RowBox[{"1", "-", 
     SuperscriptBox["x", "2"]}]], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{"Orange", ",", 
       RowBox[{"Thickness", "[", "0.01", "]"}]}], "}"}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.369612324751813*^9, 3.3696123262239294`*^9}, 
   3.3919283305874605`*^9}],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   SqrtBox[
    RowBox[{"x", " ", "y"}]], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"Mesh", "\[Rule]", "All"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   SqrtBox[
    RowBox[{"64", "-", 
     SuperscriptBox["x", "2"], "-", 
     SuperscriptBox["y", "2"]}]], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "8"}], ",", "8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "8"}], ",", "8"}], "}"}], ",", 
   RowBox[{"Mesh", "\[Rule]", "All"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.3696123486561856`*^9, 3.369612349046747*^9}}],

Cell["", "Spacer"],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Automatic Processing of Piecewise Functions",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 " "
}], "Section"],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can handle many cases of jumps and discontinuities."
}], "Text",
 CellChangeTimes->{{3.39195491509121*^9, 3.39195493446621*^9}, 
   3.393083841796875*^9}],

Cell["\<\
In some of the next examples, we will be using several CompareXXX functions. \
These are defined at the end of this notebook and are a convenient form of \
plotting side to side the same function with a different set of Options.\
\>", "Text",
 CellChangeTimes->{{3.3930658489968386`*^9, 3.3930659316234255`*^9}, 
   3.39308384715625*^9, 3.393084476515625*^9}],

Cell[BoxData[
 RowBox[{"ComparePlot", "[", 
  RowBox[{
   RowBox[{"Floor", "[", 
    RowBox[{"2", "+", 
     RowBox[{"Ceiling", "[", 
      RowBox[{"1", "+", 
       RowBox[{"Floor", "[", 
        SuperscriptBox["x", "2"], "]"}]}], "]"}]}], "]"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"x", ",", " ", 
     RowBox[{"-", "5"}], ",", " ", "5"}], "}"}], ",", 
   RowBox[{"Filling", "\[Rule]", "Axis"}]}], "]"}]], "Input"],

Cell["", "Spacer"],

Cell["", "Spacer"],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Symbolic Region Boundary for Density Plots",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 " "
}], "Section",
 CellChangeTimes->{{3.391828664480235*^9, 3.391828679021144*^9}, {
  3.391828742222022*^9, 3.3918287536184096`*^9}}],

Cell[TextData[{
 "Using the symbolic capabilities of ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ", functions can be analyzed to detect the components on which the functions \
is continuos."
}], "Text",
 CellChangeTimes->{{3.391954956106835*^9, 3.391955010044335*^9}, {
  3.39308386090625*^9, 3.393083861171875*^9}}],

Cell[BoxData[
 RowBox[{"CompareDensityPlot", "[", 
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"Boole", "[", 
     RowBox[{
      RowBox[{
       SuperscriptBox["x", "2"], "+", 
       RowBox[{
        SuperscriptBox["y", "2"], " ", 
        RowBox[{"Boole", "[", 
         RowBox[{"y", ">", "0"}], "]"}]}]}], "<", "1"}], "]"}]], ",", " ", 
   RowBox[{"{", 
    RowBox[{"x", ",", " ", 
     RowBox[{"-", "2"}], ",", " ", "2"}], "}"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"y", ",", " ", 
     RowBox[{"-", "2"}], ",", " ", "2"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.3689676464877*^9, 3.36896765658222*^9}, {
   3.3919285547898483`*^9, 3.391928564173341*^9}, 3.39195470927871*^9, 
   3.3920482932532797`*^9}],

Cell[BoxData[
 RowBox[{"CompareDensityPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Abs", "[", 
     RowBox[{"x", " ", "y"}], "]"}], " ", 
    RowBox[{"Boole", "[", 
     RowBox[{
      RowBox[{
       SuperscriptBox["x", "2"], "+", 
       SuperscriptBox["y", "2"]}], "\[LessEqual]", 
      SuperscriptBox["2", "2"]}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "5"}], ",", "5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.36896767758242*^9, 3.391928662264389*^9, {3.391954787231835*^9, 
   3.391954787388085*^9}, 3.3920482932532797`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox["CompareDensityPlot",
   FontFamily->"Courier"], 
  StyleBox["[",
   FontFamily->"Courier"], 
  RowBox[{
   StyleBox[
    FormBox[
     RowBox[{
      SqrtBox[
       RowBox[{"Abs", "[", 
        RowBox[{"y", "-", 
         SuperscriptBox["x", "2"]}], "]"}]], " ", 
      RowBox[{"Boole", "[", 
       RowBox[{
        SuperscriptBox["x", "2"], "\[LessEqual]", "y", "<", "4"}], "]"}]}],
     TraditionalForm],
    FontFamily->"Courier"], 
   StyleBox[",",
    FontFamily->"Courier"], 
   StyleBox[" ",
    FontFamily->"Courier"], 
   StyleBox[
    RowBox[{"{", 
     RowBox[{"x", ",", " ", 
      RowBox[{"-", "5"}], ",", " ", "5"}], "}"}],
    FontFamily->"Courier"], 
   StyleBox[",",
    FontFamily->"Courier"], 
   StyleBox[" ",
    FontFamily->"Courier"], 
   StyleBox[
    RowBox[{"{", 
     RowBox[{"y", ",", " ", 
      RowBox[{"-", "2"}], ",", " ", "7"}], "}"}],
    FontFamily->"Courier"], 
   StyleBox[",",
    FontFamily->"Courier"], 
   RowBox[{"MaxRecursion", "\[Rule]", "0"}]}], 
  StyleBox["]",
   FontFamily->"Courier"]}]], "Input",
 CellChangeTimes->{{3.36242358604838*^9, 3.36242364253961*^9}, {
   3.36242388176359*^9, 3.36242388506835*^9}, {3.36294472907813*^9, 
   3.36294474309375*^9}, {3.36294506239063*^9, 3.36294507145313*^9}, {
   3.36896770223787*^9, 3.36896771458562*^9}, 3.391928665929659*^9, {
   3.39195479318496*^9, 3.39195479334121*^9}, 3.3920482932532797`*^9}],

Cell["", "Spacer"],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Exclusions",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 " "
}], "Section",
 CellChangeTimes->{{3.391828664480235*^9, 3.391828679021144*^9}, {
  3.391828742222022*^9, 3.3918287536184096`*^9}, {3.3918287966502867`*^9, 
  3.3918287982425756`*^9}}],

Cell["\<\
Incorrect function plotting without a proper handling of discontinuities.\
\>", "Text",
 CellChangeTimes->{{3.391955163106835*^9, 3.391955230919335*^9}}],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"Im", "[", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{"Cos", "[", "y", "]"}], "+", 
      RowBox[{"I", " ", 
       RowBox[{"Sin", "[", "x", "]"}]}]}], "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
   RowBox[{"Mesh", "\[Rule]", "None"}], ",", 
   RowBox[{"ExclusionsStyle", "\[Rule]", "Orange"}], ",", 
   RowBox[{"Exclusions", "->", "None"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "Orange"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.36887619342466*^9, 3.36887619784101*^9}, {
  3.36948372317191*^9, 3.36948372353243*^9}, {3.3694837577316*^9, 
  3.36948375832245*^9}, {3.36948774826204*^9, 3.36948775640375*^9}, {
  3.369612825451784*^9, 3.3696128312501216`*^9}, {3.3919286858983727`*^9, 
  3.391928696653838*^9}}],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " can automatically detect many cases of jumps and discontinuities."
}], "MathCaption",
 CellChangeTimes->{{3.39195524443496*^9, 3.39195532865371*^9}, 
   3.393083870390625*^9}],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"Im", "[", 
    SqrtBox[
     RowBox[{
      RowBox[{"Cos", "[", "y", "]"}], "+", 
      RowBox[{"\[ImaginaryI]", " ", 
       RowBox[{"Sin", "[", "x", "]"}]}]}]], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
   RowBox[{"Mesh", "\[Rule]", "None"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "Orange"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.36887619342466*^9, 3.36887619784101*^9}, {
   3.3688762293363*^9, 3.36887623799875*^9}, {3.36948372756823*^9, 
   3.36948372791873*^9}, {3.36948376409075*^9, 3.36948376436114*^9}, {
   3.3694877604696*^9, 3.36948776705907*^9}, {3.3696128354461555`*^9, 
   3.369612840293125*^9}, 3.391928702101672*^9}],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"Im", "[", 
    SqrtBox[
     RowBox[{
      RowBox[{"Cos", "[", "y", "]"}], "+", 
      RowBox[{"\[ImaginaryI]", " ", 
       RowBox[{"Sin", "[", "x", "]"}]}]}]], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "5"}], ",", "5"}], "}"}], ",", 
   RowBox[{"Mesh", "\[Rule]", "None"}], ",", 
   RowBox[{"ExclusionsStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Directive", "[", 
       RowBox[{
        RowBox[{"Opacity", "[", "0.3", "]"}], ",", "Pink"}], "]"}], ",", 
      "Yellow"}], "}"}]}], ",", 
   RowBox[{"Filling", "\[Rule]", "Bottom"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", "Orange"}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.36887608787288*^9, 3.36887608895444*^9}, {
   3.36887612937256*^9, 3.36887613142551*^9}, {3.36887625636516*^9, 
   3.36887629033401*^9}, {3.36948373522925*^9, 3.36948373559978*^9}, {
   3.36948376825674*^9, 3.36948376866733*^9}, {3.36948769824012*^9, 
   3.36948772516884*^9}, {3.36948777388889*^9, 3.36948781373619*^9}, {
   3.369612847533536*^9, 3.36961285163944*^9}, {3.3696129457046995`*^9, 
   3.369613011799739*^9}, 3.391928709462256*^9}],

Cell["", "Spacer"],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Exclusions ",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 " ",
 StyleBox["Exclusions as Level Sets",
  FontSlant->"Italic",
  FontColor->GrayLevel[0.500008]]
}], "Subsection",
 CellChangeTimes->{{3.39308391371875*^9, 3.393083925234375*^9}}],

Cell["\<\
An exclusion is a region around a point or curve on which the function \
presents jumps.\
\>", "Text",
 CellChangeTimes->{{3.391955371669335*^9, 3.391955434481835*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\t", 
  RowBox[{
   RowBox[{"DensityPlot", "[", 
    RowBox[{
     FormBox[
      RowBox[{"Im", "(", 
       SqrtBox[
        RowBox[{"x", "+", 
         RowBox[{"\[ImaginaryI]", " ", "y"}]}]], ")"}],
      TraditionalForm], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
     "\t", 
     RowBox[{"ColorFunction", "->", "\"\<BeachColors\>\""}], ",", 
     RowBox[{"ExclusionsStyle", "->", 
      RowBox[{"{", 
       RowBox[{"Red", ",", "None"}], "}"}]}], ",", 
     RowBox[{"Mesh", "->", "All"}], ",", "\[IndentingNewLine]", "\t", 
     RowBox[{"ImageSize", "->", "600"}], ",", 
     RowBox[{"MaxRecursion", "->", "0"}], ",", "\[IndentingNewLine]", "\t", 
     RowBox[{"Exclusions", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", 
        RowBox[{"MaxRecursion", "\[Rule]", "3"}], ",", 
        RowBox[{"Offset", "\[Rule]", "offset"}]}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\t", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"offset", ",", "0", ",", "\"\<Offset\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0.", ",", "0.05", ",", "0.1", ",", "0.15", ",", "0.2", ",", "0.25", 
       ",", "0.3"}], "}"}], ",", 
     RowBox[{"ControlType", "->", "PopupMenu"}]}], "}"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.36948897190155*^9, 3.36948897752965*^9}, {
   3.36948901036686*^9, 3.36948906354333*^9}, {3.3696130766730223`*^9, 
   3.3696130850650897`*^9}, 3.39192872141945*^9, {3.39195544555996*^9, 
   3.391955491575585*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\t", 
  RowBox[{
   RowBox[{"Plot3D", "[", 
    RowBox[{
     FormBox[
      RowBox[{"Im", "(", 
       SqrtBox[
        RowBox[{"x", "+", 
         RowBox[{"\[ImaginaryI]", " ", "y"}]}]], ")"}],
      TraditionalForm], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", "\[IndentingNewLine]", 
     "\t\t", 
     RowBox[{"ColorFunction", "->", "\"\<BeachColors\>\""}], ",", 
     RowBox[{"ExclusionsStyle", "->", 
      RowBox[{"{", 
       RowBox[{"Red", ",", "None"}], "}"}]}], ",", 
     RowBox[{"Mesh", "->", "All"}], ",", "\[IndentingNewLine]", "\t\t", 
     RowBox[{"ImageSize", "->", "600"}], ",", 
     RowBox[{"MaxRecursion", "->", "0"}], ",", "\[IndentingNewLine]", "\t\t", 
     
     RowBox[{"Exclusions", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", 
        RowBox[{"MaxRecursion", "\[Rule]", "3"}], ",", 
        RowBox[{"Offset", "\[Rule]", "offset"}]}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\t", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"offset", ",", "0", ",", "\"\<Offset\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0.", ",", "0.05", ",", "0.1", ",", "0.15", ",", "0.2", ",", "0.25", 
       ",", "0.3"}], "}"}], ",", 
     RowBox[{"ControlType", "->", "PopupMenu"}]}], "}"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.36948924722745*^9, 3.36948924912017*^9}, {
   3.3696131204960365`*^9, 3.3696131266248493`*^9}, 3.391928749139309*^9, {
   3.391955510919335*^9, 3.39195555293496*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\t", 
  RowBox[{
   RowBox[{"ParametricPlot3D", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"r", " ", 
        RowBox[{"Cos", "[", "\[CurlyPhi]", "]"}]}], ",", 
       RowBox[{"r", " ", 
        RowBox[{"Sin", "[", "\[CurlyPhi]", "]"}]}], ",", 
       RowBox[{"Im", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"r", " ", 
           RowBox[{
            RowBox[{"Exp", "[", 
             RowBox[{"I", " ", "\[CurlyPhi]"}], "]"}], "^", "5"}]}], ")"}], 
         "^", 
         RowBox[{"(", 
          RowBox[{"1", "/", "5"}], ")"}]}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"r", ",", "0", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[CurlyPhi]", ",", 
       RowBox[{"-", "Pi"}], ",", "Pi"}], "}"}], ",", "\[IndentingNewLine]", 
     "\t\t\t", 
     RowBox[{"ColorFunction", "->", "\"\<BeachColors\>\""}], ",", 
     RowBox[{"Mesh", "->", "None"}], ",", "\[IndentingNewLine]", "\t\t\t", 
     RowBox[{"ImageSize", "->", "600"}], ",", 
     RowBox[{"MaxRecursion", "->", "0"}], ",", 
     RowBox[{"ExclusionsStyle", "->", 
      RowBox[{"{", 
       RowBox[{"Red", ",", "None"}], "}"}]}], ",", "\[IndentingNewLine]", 
     "\t\t\t", 
     RowBox[{"Exclusions", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", 
        RowBox[{"MaxRecursion", "\[Rule]", "3"}], ",", 
        RowBox[{"Offset", "\[Rule]", "offset"}]}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\t", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"offset", ",", "0", ",", "\"\<Offset\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0.", ",", "0.05", ",", "0.1", ",", "0.15", ",", "0.2", ",", "0.25", 
       ",", "0.3"}], "}"}], ",", 
     RowBox[{"ControlType", "->", "PopupMenu"}]}], "}"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.36948924722745*^9, 3.36948924912017*^9}, {
   3.36948928604327*^9, 3.36948930483028*^9}, {3.36948934708103*^9, 
   3.36948934783211*^9}, {3.3696131567882223`*^9, 3.3696131649399443`*^9}, 
   3.3919287690279074`*^9, {3.391955565263085*^9, 3.391955620044335*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\t", 
  RowBox[{
   RowBox[{"DensityPlot", "[", 
    RowBox[{
     FormBox[
      RowBox[{"Im", "(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "4"}], " ", 
            SuperscriptBox["z", "10"]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["z", "9"]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["z", "8"]}], "+", 
           RowBox[{"6", " ", 
            SuperscriptBox["z", "7"]}], "-", 
           RowBox[{"7", " ", 
            SuperscriptBox["z", "6"]}], "+", 
           RowBox[{"7", " ", 
            SuperscriptBox["z", "5"]}], "+", 
           RowBox[{"5", " ", 
            SuperscriptBox["z", "4"]}], "+", 
           SuperscriptBox["z", "3"], "+", 
           RowBox[{"6", " ", 
            SuperscriptBox["z", "2"]}], "+", 
           RowBox[{"4", " ", "z"}], "-", "5"}], ")"}], "^", 
         RowBox[{"(", 
          RowBox[{"1", "/", "7"}], ")"}]}], "/.", "\[InvisibleSpace]", 
        RowBox[{"z", "\[Rule]", 
         RowBox[{"x", "+", 
          RowBox[{"\[ImaginaryI]", " ", "y"}]}]}]}], ")"}],
      TraditionalForm], ",", "\[IndentingNewLine]", "\t\t", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{"3", "/", "2"}], ")"}]}], ",", 
       RowBox[{"3", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{"3", "/", "2"}], ")"}]}], ",", 
       RowBox[{"3", "/", "2"}]}], "}"}], ",", "\[IndentingNewLine]", "\t\t", 
     RowBox[{"ColorFunction", "->", "\"\<BeachColors\>\""}], ",", 
     RowBox[{"ExclusionsStyle", "->", 
      RowBox[{"{", 
       RowBox[{"Red", ",", "None"}], "}"}]}], ",", "\[IndentingNewLine]", 
     "\t\t", 
     RowBox[{"Evaluated", "\[Rule]", "True"}], ",", 
     RowBox[{"Mesh", "->", "All"}], ",", 
     RowBox[{"ImageSize", "->", "600"}], ",", 
     RowBox[{"MaxRecursion", "->", "1"}], ",", "\[IndentingNewLine]", "\t\t", 
     
     RowBox[{"Exclusions", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Automatic", ",", 
        RowBox[{"MaxRecursion", "\[Rule]", "3"}], ",", 
        RowBox[{"Offset", "\[Rule]", "offset"}], ",", 
        RowBox[{"TimeConstraint", "\[Rule]", "10"}]}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\t", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"offset", ",", "0", ",", "\"\<Offset\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "0.", ",", "0.02", ",", "0.04", ",", "0.06", ",", "0.1", ",", "0.15", 
       ",", "0.2"}], "}"}], ",", 
     RowBox[{"ControlType", "->", "PopupMenu"}]}], "}"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.36948948839423*^9, 3.36948952242316*^9}, {
   3.3696132296229534`*^9, 3.3696132445243807`*^9}, {3.3696133097381535`*^9, 
   3.369613316567974*^9}, {3.3696134829872737`*^9, 3.369613487593898*^9}, 
   3.3919287929222655`*^9, {3.39195564505996*^9, 3.391955700888085*^9}, {
   3.39195573777871*^9, 3.39195575318496*^9}}],

Cell[BoxData[
 RowBox[{"Plot3D", "[", 
  RowBox[{
   FormBox[
    RowBox[{"Im", "(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "4"}], " ", 
          SuperscriptBox["z", "10"]}], "+", 
         RowBox[{"4", " ", 
          SuperscriptBox["z", "9"]}], "+", 
         RowBox[{"4", " ", 
          SuperscriptBox["z", "8"]}], "+", 
         RowBox[{"6", " ", 
          SuperscriptBox["z", "7"]}], "-", 
         RowBox[{"7", " ", 
          SuperscriptBox["z", "6"]}], "+", 
         RowBox[{"7", " ", 
          SuperscriptBox["z", "5"]}], "+", 
         RowBox[{"5", " ", 
          SuperscriptBox["z", "4"]}], "+", 
         SuperscriptBox["z", "3"], "+", 
         RowBox[{"6", " ", 
          SuperscriptBox["z", "2"]}], "+", 
         RowBox[{"4", " ", "z"}], "-", "5"}], ")"}], "^", 
       RowBox[{"(", 
        RowBox[{"1", "/", "7"}], ")"}]}], "/.", "\[InvisibleSpace]", 
      RowBox[{"z", "\[Rule]", 
       RowBox[{"x", "+", 
        RowBox[{"\[ImaginaryI]", " ", "y"}]}]}]}], ")"}],
    TraditionalForm], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{"3", "/", "2"}], ")"}]}], ",", 
     RowBox[{"3", "/", "2"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{"3", "/", "2"}], ")"}]}], ",", 
     RowBox[{"3", "/", "2"}]}], "}"}], ",", 
   RowBox[{"ColorFunction", "->", "\"\<BeachColors\>\""}], ",", 
   RowBox[{"Mesh", "->", "None"}], ",", 
   RowBox[{"ImageSize", "->", "600"}], ",", 
   RowBox[{"MaxRecursion", "->", "2"}], ",", 
   RowBox[{"Evaluated", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.36948959274428*^9, 3.36948966178355*^9}, {
  3.3696133787173405`*^9, 3.3696133901037135`*^9}, {3.3696134610557375`*^9, 
  3.3696134665436287`*^9}, {3.369613602619296*^9, 3.369613627304792*^9}, {
  3.3696136632965455`*^9, 3.3696136714282384`*^9}, {3.3919288981235375`*^9, 
  3.3919289284771843`*^9}}],

Cell["", "Spacer"],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Exclusions ",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 " ",
 StyleBox["Branch Cuts and Jumps",
  FontSlant->"Italic",
  FontColor->GrayLevel[0.500008]]
}], "Subsection",
 CellChangeTimes->{{3.39308391371875*^9, 3.393083948671875*^9}}],

Cell["\<\
Removal of exclusions gives a better understanding of the properties of the \
functions.\
\>", "Text",
 CellChangeTimes->{{3.391955823763085*^9, 3.391955919950585*^9}}],

Cell[BoxData[
 RowBox[{"CompareExclusions", "[", 
  RowBox[{
   RowBox[{"Im", "[", 
    SqrtBox[
     RowBox[{"x", "+", 
      RowBox[{"y", " ", "\[ImaginaryI]"}]}]], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"CompareExclusions", "[", 
  RowBox[{
   RowBox[{"Im", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"z", "^", "4"}], "+", 
        RowBox[{"z", "^", 
         RowBox[{"(", 
          RowBox[{"-", "4"}], ")"}]}]}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"1", "/", "3"}], ")"}]}], "/.", 
     RowBox[{"z", "\[Rule]", 
      RowBox[{"x", "+", 
       RowBox[{"I", "*", "y"}]}]}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.36896869706837*^9, 3.36896870384811*^9}}],

Cell[BoxData[
 RowBox[{"CompareExclusions", "[", 
  RowBox[{
   RowBox[{"Im", "[", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"x", "+", 
          RowBox[{"\[ImaginaryI]", " ", "y"}]}], ")"}], "7"], "+", 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"x", "+", 
           RowBox[{"\[ImaginaryI]", " ", "y"}]}], ")"}], "3"]}], "+", "3"}], 
      ")"}], 
     FractionBox["1", "5"]], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "2"}], ",", "2"}], "}"}]}], "]"}]], "Input"],

Cell["", "Spacer"],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Exclusions ",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 " ",
 StyleBox["Constrained Conditions",
  FontSlant->"Italic",
  FontColor->GrayLevel[0.500008]]
}], "Subsection",
 CellChangeTimes->{{3.39308391371875*^9, 3.393083925234375*^9}, {
  3.393083966703125*^9, 3.393083969390625*^9}}],

Cell["\<\
It is possible to specify which parts of the exclusion curve should be \
removed.\
\>", "Text",
 CellChangeTimes->{{3.39195593830996*^9, 3.391955962794335*^9}}],

Cell[TextData[{
 "Here we plot the ",
 Cell[BoxData[
  ButtonBox["EllipticF",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/EllipticF"]], "InlineFormula"],
 " function on the complex plane to illustrate the constrained form of ",
 Cell[BoxData[
  ButtonBox["Exclusions",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Exclusions"]], "InlineFormula"],
 "."
}], "MathCaption",
 CellChangeTimes->{{3.3930654074883623`*^9, 3.393065418754203*^9}, {
  3.39308398084375*^9, 3.393083984640625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"cut", "=", "1.24"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"CompareExclusions2", "[", 
  RowBox[{
   FormBox[
    RowBox[{"Re", "(", 
     RowBox[{"F", "(", 
      RowBox[{
       RowBox[{"x", "+", 
        RowBox[{"\[ImaginaryI]", " ", "y"}]}], "\[VerticalSeparator]", 
       FractionBox["1", "4"]}], ")"}], ")"}],
    TraditionalForm], ",", "x", ",", "y", ",", 
   RowBox[{"Exclusions", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        FormBox[
         RowBox[{"x", "\[LongEqual]", 
          RowBox[{"-", 
           FractionBox["\[Pi]", "2"]}]}],
         TraditionalForm], ",", 
        FormBox[
         RowBox[{
          RowBox[{"\[LeftBracketingBar]", "y", "\[RightBracketingBar]"}], ">",
           "cut"}],
         TraditionalForm]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        FormBox[
         RowBox[{"x", "\[LongEqual]", 
          FractionBox["\[Pi]", "2"]}],
         TraditionalForm], ",", 
        FormBox[
         RowBox[{
          RowBox[{"\[LeftBracketingBar]", "y", "\[RightBracketingBar]"}], ">",
           "cut"}],
         TraditionalForm]}], "}"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.36948311836224*^9, 3.36948314192612*^9}}],

Cell["", "Spacer"],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["High-Quality Technical Plotting",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 " "
}], "Section",
 CellChangeTimes->{{3.391829094618744*^9, 3.3918291060451746`*^9}, 
   3.393084031953125*^9}],

Cell["\<\
Mathematica 6 provides a large number of options to generate publishing \
quality plots with very simple commands.\
\>", "Text",
 CellChangeTimes->{{3.39195600843496*^9, 3.39195606812246*^9}, {
  3.393084002296875*^9, 3.3930840024375*^9}}],

Cell[BoxData[
 RowBox[{"Compare2Plot3D", "[", 
  RowBox[{
   RowBox[{"Binomial", "[", 
    RowBox[{"x", ",", "y"}], "]"}], ",", "x", ",", "y"}], "]"}]], "Input",
 CellChangeTimes->{{3.362951238375*^9, 3.36295124945313*^9}}],

Cell["", "Spacer"],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["High-Quality Technical Plotting ",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 " ",
 StyleBox["Algebraic Surfaces",
  FontSlant->"Italic",
  FontColor->GrayLevel[0.500008]]
}], "Subsection",
 CellChangeTimes->{{3.39308391371875*^9, 3.393083925234375*^9}, {
  3.393083966703125*^9, 3.393083969390625*^9}, {3.39308401603125*^9, 
  3.393084028609375*^9}}],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["ContourPlot3D",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/ContourPlot3D"]], "InlineFormula"],
 " can detect all the singular points for algebraic surfaces."
}], "Text",
 CellChangeTimes->{{3.391956233325585*^9, 3.39195626937246*^9}, 
   3.39308404153125*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"ContourPlot3D", ",", 
    RowBox[{"Mesh", "\[Rule]", "None"}], ",", 
    RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
    RowBox[{"BoundaryStyle", "\[Rule]", "None"}], ",", 
    RowBox[{"Axes", "\[Rule]", "None"}], ",", 
    RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
    RowBox[{"Background", "\[Rule]", 
     RowBox[{"GrayLevel", "[", "0.85", "]"}]}]}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.39195609943496*^9, 3.391956101763085*^9}}],

Cell[BoxData[
 RowBox[{"ContourPlot3D", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"x", "^", "2"}], "+", 
     RowBox[{"y", "^", "2"}], "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "-", "z"}], ")"}], " ", 
      RowBox[{"z", "^", "4"}]}]}], "\[Equal]", "0.0"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", 
     RowBox[{"-", "1"}], ",", "1.001"}], "}"}], ",", 
   RowBox[{"RegionFunction", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"#1", "^", "2"}], "+", 
        RowBox[{"#2", "^", "2"}]}], "<", "1"}], "&"}], ")"}]}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "33"}], ",", 
   RowBox[{"MaxRecursion", "\[Rule]", "4"}], ",", 
   RowBox[{"ContourStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Specularity", "[", 
       RowBox[{"White", ",", "50"}], "]"}], ",", 
      RowBox[{"RGBColor", "[", 
       RowBox[{"0.15", ",", "0.45", ",", "0.94"}], "]"}]}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.369579608341607*^9, 3.369579620935437*^9}, {
  3.3696143719855905`*^9, 3.369614397161792*^9}, {3.39195629524746*^9, 
  3.39195629540371*^9}}],

Cell[BoxData[
 RowBox[{"ContourPlot3D", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{"x", "^", "2"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"x", "^", "2"}], "+", 
        RowBox[{"y", "^", "2"}], "+", 
        RowBox[{"z", "^", "2"}]}], ")"}]}], "-", 
     RowBox[{
      RowBox[{"y", "^", "2"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"y", "^", "2"}], "-", 
        RowBox[{"z", "^", "2"}]}], ")"}]}]}], "\[Equal]", "0"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}], ",", "1.001"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", 
     RowBox[{"-", "1"}], ",", "1.02"}], "}"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "33"}], ",", 
   RowBox[{"Mesh", "\[Rule]", "1"}], ",", 
   RowBox[{"MeshFunctions", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"#2", "&"}], "}"}]}], ",", 
   RowBox[{"MaxRecursion", "\[Rule]", "4"}], ",", 
   RowBox[{"MeshShading", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Specularity", "[", 
         RowBox[{"White", ",", "50"}], "]"}], ",", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"0.15", ",", "0.45", ",", "0.94"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Specularity", "[", 
         RowBox[{"White", ",", "50"}], "]"}], ",", 
        RowBox[{"RGBColor", "[", 
         RowBox[{"0.94`", ",", "0.90", ",", "0.16"}], "]"}]}], "}"}]}], 
     "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.369579645138717*^9, 3.3695796551075315`*^9}, {
  3.369614425502544*^9, 3.3696144329132*^9}, {3.39195630574746*^9, 
  3.39195630590371*^9}}],

Cell[BoxData[
 RowBox[{"ContourPlot3D", "[", 
  RowBox[{
   FormBox[
    RowBox[{
     RowBox[{
      SuperscriptBox["x", "4"], "-", 
      SuperscriptBox["x", "2"], "+", 
      SuperscriptBox["y", "4"], "+", 
      SuperscriptBox["z", "4"], "-", 
      SuperscriptBox["y", "2"], "-", 
      SuperscriptBox["z", "2"], "+", "0.5"}], "\[LongEqual]", "0"}],
    TraditionalForm], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", 
     RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
   RowBox[{"PlotPoints", "\[Rule]", "33"}], ",", 
   RowBox[{"ContourStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Specularity", "[", 
       RowBox[{"White", ",", "50"}], "]"}], ",", "POrange"}], "}"}]}], ",", 
   RowBox[{"Lighting", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"White", ",", 
        RowBox[{"ImageScaled", "[", 
         RowBox[{"{", 
          RowBox[{"1", ",", "1", ",", "1"}], "}"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"White", ",", 
        RowBox[{"ImageScaled", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", 
           RowBox[{"-", "1"}], ",", 
           RowBox[{"-", "1"}]}], "}"}], "]"}]}], "}"}]}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.36313446584375*^9, 3.36313447673438*^9}, 
   3.36313830315625*^9, 3.363139212375*^9, 3.36313926435938*^9, {
   3.3695791720069623`*^9, 3.3695792082546425`*^9}, {3.3695792680325193`*^9, 
   3.369579306094532*^9}, {3.3919292371209917`*^9, 3.3919292688566256`*^9}}],

Cell["", "Spacer"],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Data Visualization",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 " "
}], "Section",
 CellChangeTimes->{{3.391829185869957*^9, 3.3918291907469697`*^9}}],

Cell["\<\
Several of the data based visualization functions support interpolation.\
\>", "Text",
 CellChangeTimes->{{3.39195636196621*^9, 3.391956426544335*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"data1", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"N", "[", 
        RowBox[{"5", "-", 
         RowBox[{"Log", "[", 
          RowBox[{"x", "+", "1"}], "]"}]}], "]"}], "+", 
       RowBox[{
        RowBox[{"Boole", "[", 
         RowBox[{
          RowBox[{"Mod", "[", 
           RowBox[{"x", ",", "3"}], "]"}], "==", "0"}], "]"}], 
        RowBox[{"RandomReal", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "1"}], "}"}], "]"}]}]}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "0", ",", "35", ",", "1"}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"data1i", "=", 
   RowBox[{"Interpolation", "[", 
    RowBox[{"data1", ",", 
     RowBox[{"InterpolationOrder", "\[Rule]", "2"}]}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.369484160671*^9, 3.36948417101588*^9}, {
  3.3696149790284753`*^9, 3.3696149832845955`*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"data1i", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "1", ",", 
     RowBox[{"Length", "[", "data1", "]"}]}], "}"}], ",", 
   RowBox[{"PlotStyle", "->", "POrange"}], ",", 
   RowBox[{"PlotLabel", "->", 
    RowBox[{"Style", "[", 
     RowBox[{"\"\<Polynomial\>\"", ",", 
      RowBox[{"FontColor", "\[Rule]", "Black"}], ",", 
      RowBox[{"FontFamily", "\[Rule]", "\"\<Trebuchet MS\>\""}], ",", 
      RowBox[{"FontSize", "\[Rule]", "24"}]}], "]"}]}], ",", 
   RowBox[{"Mesh", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Range", "[", 
      RowBox[{"Length", "[", "data1", "]"}], "]"}], "}"}]}], ",", 
   RowBox[{"MeshFunctions", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"#1", "&"}], "}"}]}], ",", 
   RowBox[{"MeshStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{"Black", ",", 
       RowBox[{"Opacity", "[", "0.6", "]"}], ",", 
       RowBox[{"PointSize", "[", "0.01", "]"}]}], "}"}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.36948418205175*^9, 3.3694842230507*^9}, {
  3.3694842702686*^9, 3.36948427561628*^9}, {3.36948435968717*^9, 
  3.36948441500672*^9}}],

Cell[BoxData[
 RowBox[{"GraphicsRow", "[", 
  RowBox[{
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"ListLinePlot", "[", 
      RowBox[{"data1", ",", 
       RowBox[{"PlotStyle", "->", "POrange"}], " ", ",", 
       RowBox[{"InterpolationOrder", "->", "n"}], ",", 
       RowBox[{"ImageSize", "->", "300"}], ",", 
       RowBox[{"Mesh", "->", "Full"}], ",", 
       RowBox[{"MeshStyle", "->", 
        RowBox[{"{", 
         RowBox[{"{", 
          RowBox[{"Black", ",", 
           RowBox[{"Opacity", "[", "0.6", "]"}], ",", 
           RowBox[{"PointSize", "[", "0.01", "]"}]}], "}"}], "}"}]}]}], "]"}],
      ",", 
     RowBox[{"{", 
      RowBox[{"n", ",", "0", ",", "2"}], "}"}]}], "]"}], ",", 
   RowBox[{"ImageSize", "->", "900"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.36948442728437*^9, 3.36948447572403*^9}, {
  3.36948450619784*^9, 3.36948462070249*^9}, {3.369526357653181*^9, 
  3.369526410789587*^9}, {3.369526488351115*^9, 3.369526557290245*^9}, {
  3.3695266030961103`*^9, 3.3695266679894223`*^9}, {3.3696150115552464`*^9, 
  3.3696150117755632`*^9}, {3.392044447948099*^9, 3.392044461197935*^9}, {
  3.3920445145025387`*^9, 3.392044519781364*^9}, {3.3920484096126547`*^9, 
  3.3920484692532797`*^9}}],

Cell["", "Spacer"],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Data Visualization ",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 " ",
 StyleBox["Data in 3D",
  FontSlant->"Italic",
  FontColor->GrayLevel[0.500008]]
}], "Subsection",
 CellChangeTimes->{{3.39308391371875*^9, 3.393083925234375*^9}, {
  3.393083966703125*^9, 3.393083969390625*^9}, {3.393084065875*^9, 
  3.393084073765625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"data3", "=", 
   RowBox[{"RandomReal", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"7", ",", "7"}], "}"}]}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\t", 
  RowBox[{
   RowBox[{"ListPlot3D", "[", 
    RowBox[{"data3", ",", 
     RowBox[{"Mesh", "->", "mmesh"}], ",", 
     RowBox[{"PlotStyle", "->", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Opacity", "[", "0.8", "]"}], ",", "POrange"}], "}"}]}], ",", 
     
     RowBox[{"ImageSize", "->", "300"}], ",", 
     RowBox[{"InterpolationOrder", "->", "None"}]}], "]"}], ",", 
   "\[IndentingNewLine]", "\t", 
   RowBox[{"{", 
    RowBox[{"mmesh", ",", 
     RowBox[{"{", 
      RowBox[{"All", ",", "None"}], "}"}]}], "}"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.36948515256728*^9, 3.3694851631525*^9}, {
   3.3694852124634*^9, 3.36948523435488*^9}, 3.369615054006288*^9, {
   3.39195646377871*^9, 3.39195647221621*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"GraphicsGrid", "[", 
    RowBox[{
     RowBox[{"Partition", "[", 
      RowBox[{
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"ff", "[", 
          RowBox[{"data3", ",", 
           RowBox[{"Mesh", "->", "mmesh"}], ",", 
           RowBox[{"InterpolationOrder", "->", "n"}]}], "]"}], ",", 
         "\[IndentingNewLine]", "\t", 
         RowBox[{"{", 
          RowBox[{"n", ",", 
           RowBox[{"{", 
            RowBox[{"None", ",", "0", ",", "1", ",", "2"}], "}"}]}], "}"}]}], 
        "\[IndentingNewLine]", "]"}], ",", "2"}], "]"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "500"}]}], "]"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "ff", ",", "ListPlot3D", ",", "\"\<Visualization Function: \>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"ListPlot3D", ",", "ListDensityPlot", ",", "ListContourPlot"}], 
      "}"}]}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"mmesh", ",", "Full", ",", "\"\<Mesh: \>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"Full", ",", "All", ",", "None"}], "}"}]}], "}"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.36948479078706*^9, 3.36948510005176*^9}, 
   3.391929321742672*^9, {3.39195647643496*^9, 3.391956504856835*^9}, {
   3.392044603222642*^9, 3.392044615086843*^9}, {3.392044711196425*^9, 
   3.392044760546542*^9}, {3.3920485009876547`*^9, 3.3920485165345297`*^9}, {
   3.3920485578782797`*^9, 3.3920489284564047`*^9}, {3.3920489833470297`*^9, 
   3.3920490475501547`*^9}, {3.3921654493522863`*^9, 3.3921654495225315`*^9}}],

Cell["", "Spacer"],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Data Visualization ",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 " ",
 StyleBox["DensityPlot and ContourPlot",
  FontSlant->"Italic",
  FontColor->GrayLevel[0.500008]]
}], "Subsection",
 CellChangeTimes->{{3.39308391371875*^9, 3.393083925234375*^9}, {
  3.393083966703125*^9, 3.393083969390625*^9}, {3.393084065875*^9, 
  3.393084107578125*^9}}],

Cell["\<\
Several of the basic data based visualization function support interpolation. \
This is how we can obtain smooth plots from arbitrary data.\
\>", "Text",
 CellChangeTimes->{{3.39194987949746*^9, 3.391949968263085*^9}, 
   3.39195659615371*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"data4", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Sin", "[", 
      RowBox[{"x", " ", "y"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "20"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", "24"}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.39194964521621*^9, 3.39194967384121*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\t", 
  RowBox[{
   RowBox[{"ListDensityPlot", "[", 
    RowBox[{"data4", ",", "\[IndentingNewLine]", "\t\t", 
     RowBox[{"InterpolationOrder", "\[Rule]", "iorder"}], ",", 
     RowBox[{"Mesh", "\[Rule]", "mmesh"}], ",", "\[IndentingNewLine]", "\t\t",
      
     RowBox[{"ColorFunction", "\[Rule]", "\"\<BeachColors\>\""}], ",", 
     RowBox[{"Evaluate", "@", "plot3style"}]}], "]"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\t", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"iorder", ",", "None", ",", "\"\<Interpolation Order\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"None", ",", "0", ",", "1"}], "}"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\t", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"mmesh", ",", "None", ",", "\"\<Mesh\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"None", ",", "All", ",", "Full"}], "}"}]}], "}"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.36948658021247*^9, 3.36948666662673*^9}, {
  3.369615098189821*^9, 3.369615130045627*^9}, {3.3919293734670477`*^9, 
  3.3919293789349103`*^9}, {3.391950260388085*^9, 3.39195034252871*^9}}],

Cell[TextData[{
 "With ",
 Cell[BoxData[
  ButtonBox["Interpolation",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Interpolation"]], "InlineFormula"],
 ", ",
 Cell[BoxData[
  ButtonBox["ListDensityPlot",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/ListDensityPlot"]], "InlineFormula"],
 " and ",
 Cell[BoxData[
  ButtonBox["ListContourPlot",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/ListContourPlot"]], "InlineFormula"],
 " are capable of generating smooth plots."
}], "MathCaption",
 CellChangeTimes->{{3.391950005481835*^9, 3.391950051294335*^9}, {
  3.39195044805996*^9, 3.391950477138085*^9}, {3.393084122578125*^9, 
  3.39308413896875*^9}}],

Cell[BoxData[
 RowBox[{"Framed", "[", 
  RowBox[{
   RowBox[{"GraphicsGrid", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"ListDensityPlot", "[", 
          RowBox[{"data4", ",", 
           RowBox[{"Evaluate", "@", "plot3style"}], ",", 
           RowBox[{"ColorFunction", "->", "\"\<BeachColors\>\""}], ",", 
           RowBox[{"Mesh", "\[Rule]", "Full"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"ListDensityPlot", "[", 
          RowBox[{"data4", ",", 
           RowBox[{"InterpolationOrder", "\[Rule]", "3"}], ",", 
           RowBox[{"Mesh", "\[Rule]", "Full"}], ",", 
           RowBox[{"ColorFunction", "->", "\"\<BeachColors\>\""}], ",", 
           RowBox[{"Evaluate", "@", "plot3style"}]}], "]"}]}], 
        "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"ListContourPlot", "[", 
          RowBox[{"data4", ",", 
           RowBox[{"Evaluate", "@", "plot3style"}], ",", 
           RowBox[{"Contours", "\[Rule]", 
            RowBox[{"Range", "[", 
             RowBox[{
              RowBox[{"-", ".75"}], ",", ".75", ",", ".5"}], "]"}]}], ",", 
           RowBox[{"ColorFunction", "->", "\"\<BeachColors\>\""}]}], "]"}], 
         ",", "\[IndentingNewLine]", 
         RowBox[{"ListContourPlot", "[", 
          RowBox[{"data4", ",", 
           RowBox[{"InterpolationOrder", "\[Rule]", "3"}], ",", 
           RowBox[{"Evaluate", "@", "plot3style"}], ",", 
           RowBox[{"Contours", "\[Rule]", 
            RowBox[{"Range", "[", 
             RowBox[{
              RowBox[{"-", ".75"}], ",", ".75", ",", ".5"}], "]"}]}], ",", 
           RowBox[{"ColorFunction", "->", "\"\<BeachColors\>\""}]}], "]"}]}], 
        "\[IndentingNewLine]", "}"}]}], "\[IndentingNewLine]", "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"ImageSize", "\[Rule]", "650"}], ",", 
     RowBox[{"ImagePadding", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "30"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "30"}], "}"}]}], "}"}]}], ",", 
     RowBox[{"Background", "\[Rule]", 
      RowBox[{"Lighter", "[", 
       RowBox[{"Gray", ",", ".9"}], "]"}]}]}], "]"}], ",", 
   RowBox[{"FrameMargins", "\[Rule]", "None"}], ",", 
   RowBox[{"FrameStyle", "\[Rule]", "Gray"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.36948529339979*^9, 3.36948529399063*^9}, {
   3.36948539141072*^9, 3.36948543398193*^9}, {3.36948546578767*^9, 
   3.36948550944044*^9}, 3.36948554677412*^9, {3.3696151825711555`*^9, 
   3.369615183172019*^9}, {3.3919294406436434`*^9, 3.3919294515192814`*^9}, {
   3.391950069044335*^9, 3.39195018277871*^9}, 3.391950222763085*^9, {
   3.391950359919335*^9, 3.391950389294335*^9}}],

Cell["", "Spacer"],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Data Visualization ",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 " ",
 StyleBox["Irregular Data",
  FontSlant->"Italic",
  FontColor->GrayLevel[0.500008]]
}], "Subsection",
 CellChangeTimes->{{3.39308391371875*^9, 3.393083925234375*^9}, {
  3.393083966703125*^9, 3.393083969390625*^9}, {3.393084065875*^9, 
  3.393084107578125*^9}, {3.393084151171875*^9, 3.39308415378125*^9}}],

Cell["\<\
It is possible to plot irregular data as easily as regular data.\
\>", "Text",
 CellChangeTimes->{{3.391950490950585*^9, 3.391950528169335*^9}}],

Cell[BoxData[
 RowBox[{"ReliefPlot", "[", 
  RowBox[{"Helen", ",", 
   RowBox[{"ColorFunction", "\[Rule]", "\"\<BeachColors\>\""}], ",", 
   RowBox[{"BoxRatios", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "1", ",", "0.6"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.36948684005611*^9, 3.3694868545169*^9}, {
   3.369615231791931*^9, 3.369615261084051*^9}, 3.3919294854881268`*^9}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"ListPlot3D", "[", 
    RowBox[{"Helen", ",", 
     RowBox[{"MaxPlotPoints", "\[Rule]", "50"}], ",", 
     RowBox[{"ColorFunction", "\[Rule]", "\"\<BeachColors\>\""}], ",", 
     RowBox[{"MeshFunctions", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"#3", "&"}], "}"}]}], ",", 
     RowBox[{"Mesh", "\[Rule]", "mmesh"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"mmesh", ",", 
     RowBox[{"{", 
      RowBox[{"None", ",", "All", ",", 
       RowBox[{
        RowBox[{"{", "ctrs", "}"}], "\[Rule]", 
        "\"\<Multiple Contours\>\""}]}], "}"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.36948708429731*^9, 3.3694871243449*^9}, 
   3.3919294974052625`*^9, {3.3920491054876547`*^9, 3.3920491234876547`*^9}}],

Cell["\<\
Data do not have to be on a regular grid, here we randomly sample data from \
elevation data.\
\>", "MathCaption",
 CellChangeTimes->{{3.39195054009121*^9, 3.39195056530996*^9}, {
  3.3930656050859056`*^9, 3.393065607320324*^9}, {3.3930656525086913`*^9, 
  3.3930656655401917`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"rdata", " ", "=", " ", 
   RowBox[{"SampleData", "[", 
    RowBox[{"Helen", ",", "100"}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"ListPlot3D", "[", 
    RowBox[{"rdata", ",", 
     RowBox[{"ColorFunction", "\[Rule]", "\"\<BeachColors\>\""}], ",", 
     RowBox[{"MeshFunctions", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"#3", "&"}], "}"}]}], ",", 
     RowBox[{"Mesh", "\[Rule]", "mmesh"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"mmesh", ",", 
     RowBox[{"{", 
      RowBox[{"None", ",", "All", ",", 
       RowBox[{
        RowBox[{"{", "ctrs", "}"}], "\[Rule]", 
        "\"\<Multiple Contours\>\""}]}], "}"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.3688135687706*^9, 3.36881361171235*^9}, {
   3.36881398014212*^9, 3.36881398153412*^9}, {3.36881407899426*^9, 
   3.36881410589294*^9}, {3.36881688446834*^9, 3.36881691926838*^9}, {
   3.36881707182775*^9, 3.36881707362033*^9}, {3.36881995872891*^9, 
   3.36881997663465*^9}, {3.36948697213603*^9, 3.36948702243836*^9}, 
   3.391929522511363*^9, {3.392044935714122*^9, 3.392044944014344*^9}, {
   3.3920491422220297`*^9, 3.3920491437532797`*^9}}],

Cell["\<\
We can have several interpolation orders for irregular data as well.\
\>", "MathCaption",
 CellChangeTimes->{{3.39195073168496*^9, 3.391950750388085*^9}, 
   3.392021122258567*^9}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"GraphicsGrid", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"ListContourPlot", "[", 
          RowBox[{"rdata", ",", 
           RowBox[{"ColorFunction", "\[Rule]", "bmap"}], ",", 
           RowBox[{"Contours", "\[Rule]", "ctrs"}], ",", 
           RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
           RowBox[{"Mesh", "\[Rule]", "All"}]}], "]"}], ",", 
         RowBox[{"ListContourPlot", "[", 
          RowBox[{"rdata", ",", 
           RowBox[{"ColorFunction", "\[Rule]", "bmap"}], ",", 
           RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
           RowBox[{"Contours", "\[Rule]", "ctrs"}]}], "]"}]}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"ListContourPlot", "[", 
          RowBox[{"rdata", ",", 
           RowBox[{"ColorFunction", "\[Rule]", "bmap"}], ",", 
           RowBox[{"Contours", "\[Rule]", "ctrs"}], ",", 
           RowBox[{"InterpolationOrder", "\[Rule]", "0"}], ",", 
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"50", ",", "450"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"50", ",", "350"}], "}"}]}], "}"}]}], ",", 
           RowBox[{"Mesh", "\[Rule]", "All"}]}], "]"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"ListContourPlot", "[", 
          RowBox[{"rdata", ",", 
           RowBox[{"ColorFunction", "\[Rule]", "bmap"}], ",", 
           RowBox[{"Contours", "\[Rule]", "ctrs"}], ",", 
           RowBox[{"MaxPlotPoints", "\[Rule]", "50"}], ",", 
           RowBox[{"InterpolationOrder", "\[Rule]", "1"}], ",", 
           RowBox[{"PlotRange", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"50", ",", "450"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"50", ",", "350"}], "}"}]}], "}"}]}]}], "]"}]}], 
        "}"}]}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "750"}]}], "]"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\t", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"bmap", ",", "\"\<BeachColors\>\""}], "}"}], ",", 
     RowBox[{"ColorData", "[", "\"\<Gradients\>\"", "]"}]}], "}"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.369615346827344*^9, 3.3696153536972227`*^9}, {
   3.3696154053715267`*^9, 3.3696154062027216`*^9}, 3.369615472488035*^9, {
   3.39192953274608*^9, 3.391929545594555*^9}, {3.3919296725170608`*^9, 
   3.3919297057949123`*^9}, {3.3919297471443696`*^9, 
   3.3919298451252594`*^9}, {3.39195082834121*^9, 3.391950832013085*^9}, {
   3.393065710416053*^9, 3.3930657194631014`*^9}}],

Cell["\<\
For irregular data, the interpolation supported are : linear, Voronoi cells \
and Natural Neighbor.\
\>", "MathCaption",
 CellChangeTimes->{{3.391950999638085*^9, 3.391951044794335*^9}, 
   3.39195108534121*^9, 3.39195660359121*^9}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\t", 
  RowBox[{
   RowBox[{"ListPlot3D", "[", 
    RowBox[{"rdata", ",", "\[IndentingNewLine]", "\t\t", 
     RowBox[{"InterpolationOrder", "->", "iorder"}], ",", 
     RowBox[{"Mesh", "\[Rule]", "mmesh"}], ",", "\[IndentingNewLine]", "\t\t",
      
     RowBox[{"MaxPlotPoints", "->", "50"}], ",", 
     RowBox[{"ColorFunction", "\[Rule]", "\"\<BeachColors\>\""}], ",", 
     RowBox[{"MeshFunctions", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"#3", "&"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"50", ",", "450"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"50", ",", "350"}], "}"}]}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\t", 
   RowBox[{"{", 
    RowBox[{"mmesh", ",", 
     RowBox[{"{", 
      RowBox[{"All", ",", 
       RowBox[{
        RowBox[{"{", "ctrs", "}"}], "\[Rule]", "\"\<Mutliple Contours\>\""}], 
       ",", "None"}], "}"}]}], "}"}], ",", "\[IndentingNewLine]", "\t", 
   RowBox[{"{", 
    RowBox[{"iorder", ",", 
     RowBox[{"{", 
      RowBox[{"None", ",", "1", ",", "0"}], "}"}]}], "}"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellChangeTimes->{{3.36948725210861*^9, 3.3694873261651*^9}, {
  3.36948735757026*^9, 3.36948739094825*^9}, {3.36948742807163*^9, 
  3.36948747868441*^9}, {3.3919298812371855`*^9, 3.391929895718008*^9}, {
  3.39195084855996*^9, 3.39195090302871*^9}, {3.39195093859121*^9, 
  3.391950959106835*^9}}],

Cell["", "Spacer"],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" RegionFunction, Mesh Overlays and General Data",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 StyleBox[" ",
  FontSlant->"Italic",
  Background->GrayLevel[0.500008]],
 StyleBox[" ",
  FontSlant->"Italic"]
}], "Section"],

Cell[TextData[{
 "It is possible to specify arbitrary clipping region by using ",
 Cell[BoxData[
  ButtonBox["RegionFunction",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/RegionFunction"]], "InlineFormula"],
 "."
}], "Text",
 CellChangeTimes->{{3.39195291974746*^9, 3.39195294146621*^9}, 
   3.393084193296875*^9}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\t", 
  RowBox[{
   RowBox[{"ListContourPlot", "[", 
    RowBox[{"Helen", ",", "\[IndentingNewLine]", "\t", 
     RowBox[{"MaxPlotPoints", "\[Rule]", "60"}], ",", 
     RowBox[{"ColorFunction", "\[Rule]", "\"\<BeachColors\>\""}], ",", 
     RowBox[{"Contours", "\[Rule]", "ctrs"}], ",", " ", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
     "\[IndentingNewLine]", "\t", 
     RowBox[{"RegionFunction", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"#1", "-", 
             RowBox[{"pp", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "^", "2"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"#2", "-", 
             RowBox[{"pp", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ")"}], "^", "2"}]}], "<", 
         "6000"}], "&"}], ")"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\t", 
   RowBox[{"{", 
    RowBox[{"pp", ",", 
     RowBox[{"{", 
      RowBox[{"75", ",", "75"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"350", ",", "350"}], "}"}]}], "}"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.3688135687706*^9, 3.36881361171235*^9}, {
   3.36881398014212*^9, 3.36881398153412*^9}, 3.36881407121308*^9, {
   3.36881412200611*^9, 3.368814129577*^9}, {3.36881419625287*^9, 
   3.36881419997823*^9}, {3.36881429291186*^9, 3.36881429319227*^9}, {
   3.36881564735946*^9, 3.36881564775002*^9}, {3.36881583184474*^9, 
   3.3688158969784*^9}, {3.3688159372463*^9, 3.36881604154628*^9}, {
   3.36881641015631*^9, 3.36881642439679*^9}, {3.36881648192951*^9, 
   3.36881648245026*^9}, 3.3919299178398175`*^9, {3.39195264905996*^9, 
   3.39195274649746*^9}}],

Cell["The same applies for irregular data.", "MathCaption",
 CellChangeTimes->{{3.391952951856835*^9, 3.391952965606835*^9}}],

Cell[BoxData[
 RowBox[{"ListContourPlot", "[", 
  RowBox[{"rdata", ",", 
   RowBox[{"ColorFunction", "\[Rule]", "\"\<BeachColors\>\""}], ",", 
   RowBox[{"Contours", "\[Rule]", "ctrs"}], ",", 
   RowBox[{"RegionFunction", "\[Rule]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"#1", "-", "250"}], ")"}], "^", "2"}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"#2", "-", "200"}], ")"}], "^", "2"}]}], "<", "30000"}], 
      "&"}], ")"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.3688135687706*^9, 3.36881361171235*^9}, {
   3.36881398014212*^9, 3.36881398153412*^9}, 3.36881407121308*^9, {
   3.36881412200611*^9, 3.368814129577*^9}, {3.36881419625287*^9, 
   3.36881419997823*^9}, {3.36881429291186*^9, 3.36881429319227*^9}, {
   3.36881564735946*^9, 3.36881564775002*^9}, {3.36881583184474*^9, 
   3.3688158969784*^9}, {3.3688159372463*^9, 3.36881604154628*^9}, {
   3.36881641015631*^9, 3.36881642439679*^9}, {3.36881648192951*^9, 
   3.36881648245026*^9}, {3.36882000108982*^9, 3.3688200574108*^9}, 
   3.3919299247797966`*^9, {3.391952772825585*^9, 3.391952784294335*^9}}],

Cell["\<\
It is possible to use this feature to explore arbitrary data.\
\>", "MathCaption",
 CellChangeTimes->{{3.39195297459121*^9, 3.391953003294335*^9}}],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", "\t", 
  RowBox[{
   RowBox[{"ListPlot3D", "[", 
    RowBox[{"Helen", ",", "\[IndentingNewLine]", "\t", 
     RowBox[{"MaxPlotPoints", "\[Rule]", "60"}], ",", 
     RowBox[{"ColorFunction", "\[Rule]", "\"\<BeachColors\>\""}], ",", 
     RowBox[{"Mesh", "\[Rule]", 
      RowBox[{"{", "ctrs", "}"}]}], ",", 
     RowBox[{"MeshFunctions", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"#3", "&"}], "}"}]}], ",", 
     RowBox[{"Axes", "\[Rule]", "None"}], ",", "\[IndentingNewLine]", "\t", 
     RowBox[{"RegionFunction", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"#1", "-", 
             RowBox[{"pp", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "^", "2"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"#2", "-", 
             RowBox[{"pp", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], ")"}], "^", "2"}]}], "<", 
         "6000"}], "&"}], ")"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\t", 
   RowBox[{"{", 
    RowBox[{"pp", ",", 
     RowBox[{"{", 
      RowBox[{"75", ",", "75"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"350", ",", "350"}], "}"}]}], "}"}]}], "\[IndentingNewLine]", 
  "]"}]], "Input",
 CellChangeTimes->{{3.391952823138085*^9, 3.391952848356835*^9}}],

Cell["", "Spacer"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Delaunay and Voronoi Diagrams for Irregular Data ",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]]
}], "Section"],

Cell["\<\
The basic operation needed to visualize irregular data is to construct a \
Delaunay triangulation.\
\>", "Text",
 CellChangeTimes->{{3.39195302587246*^9, 3.39195306618496*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"data", " ", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x", "=", 
        RowBox[{"RandomReal", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "1"}], "}"}], "]"}]}], ",", 
       RowBox[{"y", "=", 
        RowBox[{"RandomReal", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "1"}], ",", "1"}], "}"}], "]"}]}], ",", 
       RowBox[{"Exp", "[", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"x", "^", "2"}]}], "-", 
         RowBox[{"y", "^", "2"}]}], "]"}]}], "}"}], ",", 
     RowBox[{"{", "300", "}"}]}], "]"}]}], ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{"ListDensityPlot", "[", 
  RowBox[{"data", ",", 
   RowBox[{"InterpolationOrder", "\[Rule]", "None"}], ",", 
   RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
   RowBox[{"ColorFunction", "\[Rule]", "\"\<BeachColors\>\""}]}], 
  "]"}], "\n", 
 RowBox[{"ListDensityPlot", "[", 
  RowBox[{"data", ",", 
   RowBox[{"InterpolationOrder", "\[Rule]", "0"}], ",", 
   RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"ColorFunction", "\[Rule]", "\"\<BeachColors\>\""}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot3D", "[", 
  RowBox[{"data", ",", 
   RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
   RowBox[{"InterpolationOrder", "\[Rule]", "0"}], ",", 
   RowBox[{"ColorFunction", "\[Rule]", "\"\<BeachColors\>\""}], ",", 
   RowBox[{"Filling", "\[Rule]", "Bottom"}], ",", 
   RowBox[{"FillingStyle", "\[Rule]", "Pink"}]}], "]"}], "\n", 
 RowBox[{"ListPlot3D", "[", 
  RowBox[{"data", ",", 
   RowBox[{"Mesh", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Full", ",", "Full"}], "}"}]}], ",", 
   RowBox[{"InterpolationOrder", "\[Rule]", "0"}], ",", 
   RowBox[{"ColorFunction", "\[Rule]", "\"\<BeachColors\>\""}], ",", 
   RowBox[{"Filling", "\[Rule]", "None"}], ",", 
   RowBox[{"FillingStyle", "\[Rule]", "Pink"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.36949028647181*^9, 3.36949030974528*^9}, {
  3.36949034679856*^9, 3.36949040489209*^9}, {3.36949044962642*^9, 
  3.36949061775818*^9}, {3.3919300039135857`*^9, 3.391930028839427*^9}}],

Cell["\<\
The Delaunay and Voronoi Diagrams construction is highly optimized and can \
deal with highly complex data.\
\>", "MathCaption",
 CellChangeTimes->{{3.391953093388085*^9, 3.39195318252871*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ll", "=", 
   RowBox[{"N", "[", 
    RowBox[{"stars", "[", 
     RowBox[{"7", ",", "6"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ll", "=", 
   RowBox[{"Union", "[", "ll", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ll", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"LL", "[", "#", "]"}], "&"}], " ", "/@", " ", "ll"}]}], 
  ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{"ListDensityPlot", "[", 
  RowBox[{"ll", ",", 
   RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
   RowBox[{"ColorFunction", "\[Rule]", "\"\<BeachColors\>\""}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "600"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ListDensityPlot", "[", 
  RowBox[{"ll", ",", 
   RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
   RowBox[{"InterpolationOrder", "\[Rule]", "0"}], ",", 
   RowBox[{"ColorFunction", "\[Rule]", "\"\<BeachColors\>\""}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "600"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.36949002506593*^9, 3.36949002720901*^9}, {
  3.369615646007544*^9, 3.3696156810679584`*^9}, {3.3696157904752784`*^9, 
  3.369615793850131*^9}, {3.391930047786672*^9, 3.3919300524333534`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ll", "=", 
   RowBox[{"N", "[", 
    RowBox[{"stars", "[", 
     RowBox[{"17", ",", "4"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ll", "=", 
   RowBox[{"Union", "[", "ll", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ll", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"LL", "[", "#", "]"}], "&"}], " ", "/@", " ", "ll"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.36949005053255*^9, 3.36949005079292*^9}}],

Cell[BoxData[{
 RowBox[{"ListDensityPlot", "[", 
  RowBox[{"ll", ",", 
   RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
   RowBox[{"ColorFunction", "\[Rule]", "\"\<BeachColors\>\""}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "600"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ListDensityPlot", "[", 
  RowBox[{"ll", ",", 
   RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
   RowBox[{"InterpolationOrder", "\[Rule]", "0"}], ",", 
   RowBox[{"ColorFunction", "\[Rule]", "\"\<BeachColors\>\""}], ",", 
   RowBox[{"ImageSize", "\[Rule]", "600"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.3696157173401155`*^9, 3.369615735265891*^9}, {
  3.3696158065483904`*^9, 3.3696158091621485`*^9}, {3.3919300738741837`*^9, 
  3.3919300778398867`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Summary ",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]]
}], "Section",
 CellChangeTimes->{{3.391829646732645*^9, 3.3918296482247906`*^9}}],

Cell["\<\
Same concepts and methods consistent in all visualization functions.\
\>", "BulletedList",
 CellChangeTimes->{3.393084288609375*^9}],

Cell["Great flexibility and a plethora of new features", "BulletedList"],

Cell["High quality graphics with a minimum amount of coding", "BulletedList"],

Cell["State of the art algorithms and spatial data structures ", \
"BulletedList"],

Cell["\<\
Combination of numerical and symbolic methods provide the new set of \
visualization functions with unique features not found in any other algebraic \
computational system.\
\>", "BulletedList",
 CellChangeTimes->{{3.39308427253125*^9, 3.3930842828125*^9}}],

Cell["", "Spacer"],

Cell["", "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 StyleBox["Initialization",
  FontColor->GrayLevel[1],
  Background->GrayLevel[0.500008]],
 StyleBox[" ",
  Background->GrayLevel[0.500008]],
 " "
}], "Section"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"POrange", " ", "=", " ", 
   RowBox[{"RGBColor", "[", 
    RowBox[{
     RowBox[{"228.", "/", "255"}], ",", 
     RowBox[{"111.", "/", "255"}], ",", 
     RowBox[{"0.", "/", "255"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"POrangeO", " ", "=", " ", 
   RowBox[{"RGBColor", "[", 
    RowBox[{
     RowBox[{"228.", "/", "255"}], ",", 
     RowBox[{"111.", "/", "255"}], ",", 
     RowBox[{"0.", "/", "255"}], ",", "0.3"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"bmap", "=", "\"\<Breeze\>\""}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c1", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"143", ",", "79", ",", "186"}], "}"}], "/", "255."}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"mypurple", "=", 
   RowBox[{"RGBColor", "[", "c1", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"c2", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"217", ",", "34", ",", "135"}], "}"}], "/", "255."}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"myred", " ", "=", " ", 
   RowBox[{"RGBColor", "[", "c2", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"c3", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"188", ",", "243", ",", "0"}], "}"}], "/", "255."}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"mygreen", " ", "=", " ", 
   RowBox[{"RGBColor", "[", "c3", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"c4", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"59", ",", "94", ",", "255"}], "}"}], "/", "255."}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"myblue", "=", 
   RowBox[{"RGBColor", "[", "c4", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"c5", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"251", ",", "255", ",", "0"}], "}"}], "/", "255."}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"myyellow", "=", 
   RowBox[{"RGBColor", "[", "c5", "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"c6", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "168", ",", "245"}], "}"}], "/", "255."}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"mylightblue", "=", 
    RowBox[{"RGBColor", "[", "c6", "]"}]}], ";"}], 
  "\n"}], "\[IndentingNewLine]", 
 RowBox[{"Clear", "[", 
  RowBox[{"x", ",", "y"}], "]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ComparePlot", "[", 
    RowBox[{"f_", ",", " ", "x_", ",", " ", "opts___"}], "]"}], ":=", 
   RowBox[{"Grid", "[", 
    RowBox[{"{", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Plot", "[", 
        RowBox[{"f", ",", "x", ",", "opts", ",", " ", 
         RowBox[{"Method", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<pw\>\"", "\[Rule]", "False"}], "}"}]}], ",", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"POrange", ",", " ", 
            RowBox[{"Thickness", "[", "0.005", "]"}]}], "}"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "400"}], ",", 
         RowBox[{"Exclusions", "\[Rule]", "None"}], ",", 
         RowBox[{"FillingStyle", "->", "POrangeO"}]}], "]"}], ",", 
       RowBox[{"Plot", "[", 
        RowBox[{"f", ",", "x", ",", "opts", ",", " ", 
         RowBox[{"PlotStyle", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"POrange", ",", " ", 
            RowBox[{"Thickness", "[", "0.005", "]"}]}], "}"}]}], ",", 
         RowBox[{"FillingStyle", "->", "POrangeO"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "400"}], ",", 
         RowBox[{"Exclusions", "\[Rule]", "None"}], ",", 
         RowBox[{"Method", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<pw\>\"", "\[Rule]", "True"}], "}"}]}]}], "]"}]}], 
      "}"}], "}"}], "]"}]}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"plotstyle", " ", "=", " ", 
   RowBox[{"FaceForm", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Opacity", "[", "0.8", "]"}], ",", "POrange"}], "}"}], ",", 
     " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Opacity", "[", "0.8", "]"}], ",", "Purple"}], "}"}]}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ComparePlot3D", "[", 
    RowBox[{"f_", ",", " ", "x_", ",", " ", "y_", ",", " ", "opts___"}], 
    "]"}], ":=", 
   RowBox[{"Grid", "[", 
    RowBox[{"{", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Plot3D", "[", 
        RowBox[{"f", ",", "x", ",", "y", ",", "opts", ",", 
         RowBox[{"PlotStyle", "\[Rule]", "plotstyle"}], ",", 
         RowBox[{"BoundaryStyle", "\[Rule]", "None"}], ",", " ", 
         RowBox[{"ImageSize", "\[Rule]", "280"}], ",", 
         RowBox[{"Exclusions", "\[Rule]", "None"}], ",", 
         RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
         RowBox[{"Axes", "\[Rule]", "None"}], ",", 
         RowBox[{"Method", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<pw\>\"", "\[Rule]", "False"}], "}"}]}], ",", 
         RowBox[{"Mesh", "\[Rule]", "All"}]}], "]"}], ",", 
       RowBox[{"Plot3D", "[", 
        RowBox[{"f", ",", "x", ",", "y", ",", "opts", ",", 
         RowBox[{"PlotStyle", "\[Rule]", "plotstyle"}], ",", 
         RowBox[{"BoundaryStyle", "\[Rule]", "None"}], ",", " ", 
         RowBox[{"ImageSize", "\[Rule]", "280"}], ",", 
         RowBox[{"Exclusions", "\[Rule]", "None"}], ",", 
         RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
         RowBox[{"Axes", "\[Rule]", "None"}], ",", 
         RowBox[{"Mesh", "\[Rule]", "All"}]}], "]"}], ",", 
       RowBox[{"Plot3D", "[", 
        RowBox[{"f", ",", "x", ",", "y", ",", "opts", ",", 
         RowBox[{"PlotStyle", "\[Rule]", "plotstyle"}], ",", 
         RowBox[{"BoundaryStyle", "\[Rule]", "None"}], ",", " ", 
         RowBox[{"ImageSize", "\[Rule]", "280"}], ",", 
         RowBox[{"Exclusions", "\[Rule]", "None"}], ",", 
         RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
         RowBox[{"Axes", "\[Rule]", "None"}], ",", 
         RowBox[{"Mesh", "\[Rule]", "5"}]}], "]"}]}], "\[IndentingNewLine]", 
      "}"}], "}"}], "]"}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"CompareDensityPlot", "[", 
    RowBox[{"f_", ",", " ", "x_", ",", " ", "y_", ",", " ", "opts___"}], 
    "]"}], ":=", 
   RowBox[{"Grid", "[", 
    RowBox[{"{", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"DensityPlot", "[", 
        RowBox[{"f", ",", "x", ",", "y", ",", "opts", ",", 
         RowBox[{"ColorFunction", "\[Rule]", "\"\<BeachColors\>\""}], ",", 
         " ", 
         RowBox[{"BoundaryStyle", "\[Rule]", "None"}], ",", " ", 
         RowBox[{"ImageSize", "\[Rule]", "280"}], ",", 
         RowBox[{"Exclusions", "\[Rule]", "None"}], ",", 
         RowBox[{"Frame", "\[Rule]", "False"}], ",", 
         RowBox[{"Axes", "\[Rule]", "None"}], ",", 
         RowBox[{"Method", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<pw\>\"", "\[Rule]", "False"}], "}"}]}], ",", 
         RowBox[{"Mesh", "\[Rule]", "All"}]}], "]"}], ",", 
       RowBox[{"DensityPlot", "[", 
        RowBox[{"f", ",", "x", ",", "y", ",", "opts", ",", 
         RowBox[{"ColorFunction", "\[Rule]", "\"\<BeachColors\>\""}], ",", 
         " ", 
         RowBox[{"BoundaryStyle", "\[Rule]", "None"}], ",", " ", 
         RowBox[{"ImageSize", "\[Rule]", "280"}], ",", 
         RowBox[{"Exclusions", "\[Rule]", "None"}], ",", 
         RowBox[{"Frame", "\[Rule]", "False"}], ",", 
         RowBox[{"Axes", "\[Rule]", "None"}], ",", 
         RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
         RowBox[{"Method", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<pw\>\"", "\[Rule]", "True"}], "}"}]}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"DensityPlot", "[", 
        RowBox[{"f", ",", "x", ",", "y", ",", "opts", ",", 
         RowBox[{"ColorFunction", "\[Rule]", "\"\<BeachColors\>\""}], ",", 
         " ", 
         RowBox[{"BoundaryStyle", "\[Rule]", "None"}], ",", " ", 
         RowBox[{"ImageSize", "\[Rule]", "280"}], ",", 
         RowBox[{"Exclusions", "\[Rule]", "None"}], ",", 
         RowBox[{"Frame", "\[Rule]", "False"}], ",", 
         RowBox[{"Axes", "\[Rule]", "None"}], ",", 
         RowBox[{"Mesh", "\[Rule]", "5"}], ",", 
         RowBox[{"Method", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"\"\<pw\>\"", "\[Rule]", "True"}], "}"}]}]}], "]"}]}], 
      "\[IndentingNewLine]", "}"}], "}"}], "]"}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"plotstyleexcl", " ", "=", " ", 
   RowBox[{"FaceForm", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Opacity", "[", "0.8", "]"}], ",", "POrange"}], "}"}], ",", 
     " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Opacity", "[", "0.8", "]"}], ",", "Purple"}], "}"}]}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"imagesizeexc", " ", "=", " ", "200"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"cfunctionexc", "[", "v_", "]"}], ":=", 
   RowBox[{"RGBColor", "[", 
    RowBox[{"v", ",", "v", ",", "0"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"CompareExclusions", "[", 
    RowBox[{"f_", ",", " ", "x_", ",", " ", "y_", ",", " ", "opts___"}], 
    "]"}], ":=", 
   RowBox[{"Grid", "[", 
    RowBox[{"{", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Plot3D", "[", 
        RowBox[{"f", ",", "x", ",", "y", ",", "opts", ",", 
         RowBox[{"PlotStyle", "\[Rule]", "plotstyleexcl"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "imagesizeexc"}], ",", 
         RowBox[{"Exclusions", "\[Rule]", "None"}], ",", 
         RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
         RowBox[{"Axes", "\[Rule]", "None"}], ",", 
         RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
         RowBox[{"Method", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"pw", "\[Rule]", "False"}], "}"}]}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"DensityPlot", "[", 
        RowBox[{"f", ",", "x", ",", "y", ",", "opts", ",", 
         RowBox[{"ImageSize", "\[Rule]", "imagesizeexc"}], ",", 
         RowBox[{"Exclusions", "\[Rule]", "None"}], ",", 
         RowBox[{"Frame", "\[Rule]", "False"}], ",", 
         RowBox[{"Axes", "\[Rule]", "None"}], ",", 
         RowBox[{"Mesh", "\[Rule]", "None"}], ",", 
         RowBox[{"ColorFunction", "\[Rule]", "\"\<BeachColors\>\""}]}], "]"}],
        ",", "\[IndentingNewLine]", 
       RowBox[{"Plot3D", "[", 
        RowBox[{"f", ",", "x", ",", "y", ",", "opts", ",", 
         RowBox[{"PlotStyle", "\[Rule]", "plotstyleexcl"}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "imagesizeexc"}], ",", 
         RowBox[{"Exclusions", "\[Rule]", "Automatic"}], ",", 
         RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
         RowBox[{"Axes", "\[Rule]", "None"}], ",", 
         RowBox[{"Mesh", "\[Rule]", "4"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"DensityPlot", "[", 
        RowBox[{"f", ",", "x", ",", "y", ",", "opts", ",", 
         RowBox[{"ImageSize", "\[Rule]", "imagesizeexc"}], ",", 
         RowBox[{"Exclusions", "\[Rule]", "Automatic"}], ",", 
         RowBox[{"Frame", "\[Rule]", "False"}], ",", 
         RowBox[{"Axes", "\[Rule]", "None"}], ",", 
         RowBox[{"Mesh", "\[Rule]", "None"}], ",", 
         RowBox[{"ColorFunction", "\[Rule]", "\"\<BeachColors\>\""}]}], 
        "]"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", "}"}], "}"}], 
    "]"}]}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"imagesizeexc2", " ", "=", " ", "270"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"CompareExclusions2", "[", 
    RowBox[{"f_", ",", " ", "x_", ",", " ", "y_", ",", " ", "opts___"}], 
    "]"}], ":=", 
   RowBox[{"Grid", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Plot3D", "[", 
         RowBox[{"f", ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", " ", "Pi"}], ",", " ", "Pi"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
          RowBox[{"Exclusions", "\[Rule]", "None"}], ",", "opts", ",", 
          RowBox[{"PlotStyle", "\[Rule]", "plotstyleexcl"}], ",", 
          RowBox[{"ViewPoint", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "3"}], ",", 
             RowBox[{"-", "3"}], ",", "1"}], "}"}]}], ",", 
          RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
          RowBox[{"BoxRatios", "\[Rule]", "Automatic"}], ",", 
          RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
          RowBox[{"Axes", "\[Rule]", "None"}], ",", 
          RowBox[{"ImageSize", "\[Rule]", "imagesizeexc2"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"DensityPlot", "[", 
         RowBox[{"f", ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", " ", "Pi"}], ",", " ", "Pi"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
          RowBox[{"Exclusions", "\[Rule]", "None"}], ",", "opts", ",", 
          RowBox[{"Mesh", "\[Rule]", "None"}], ",", 
          RowBox[{"Frame", "\[Rule]", "False"}], ",", 
          RowBox[{"Axes", "\[Rule]", "None"}], ",", 
          RowBox[{"ImageSize", "\[Rule]", "imagesizeexc2"}], ",", 
          RowBox[{"BoundaryStyle", "\[Rule]", "Red"}], ",", 
          RowBox[{"ColorFunction", "\[Rule]", "\"\<BeachColors\>\""}]}], 
         "]"}]}], "}"}], ",", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Plot3D", "[", 
         RowBox[{"f", ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", " ", "Pi"}], ",", " ", "Pi"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", "opts", ",", 
          RowBox[{"PlotStyle", "\[Rule]", "plotstyleexcl"}], ",", 
          RowBox[{"ViewPoint", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"-", "3"}], ",", 
             RowBox[{"-", "3"}], ",", "1"}], "}"}]}], ",", 
          RowBox[{"BoxRatios", "\[Rule]", "Automatic"}], ",", 
          RowBox[{"Axes", "\[Rule]", "None"}], ",", 
          RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
          RowBox[{"BoundaryStyle", "\[Rule]", "Red"}], ",", 
          RowBox[{"ImageSize", "\[Rule]", "imagesizeexc2"}], ",", 
          RowBox[{"Mesh", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"4", ",", "10"}], "}"}]}]}], "]"}], ",", 
        RowBox[{"DensityPlot", "[", 
         RowBox[{"f", ",", 
          RowBox[{"{", 
           RowBox[{"x", ",", 
            RowBox[{"-", " ", "Pi"}], ",", " ", "Pi"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"y", ",", 
            RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", "opts", ",", 
          RowBox[{"Frame", "\[Rule]", "False"}], ",", 
          RowBox[{"Axes", "\[Rule]", "None"}], ",", 
          RowBox[{"Exclusions", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"x", "\[Equal]", 
                RowBox[{
                 RowBox[{"-", "Pi"}], "/", "2"}]}], ",", 
               RowBox[{
                RowBox[{"Abs", "[", "y", "]"}], ">", "cut"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"x", "\[Equal]", 
                RowBox[{"Pi", "/", "2"}]}], ",", 
               RowBox[{
                RowBox[{"Abs", "[", "y", "]"}], ">", "cut"}]}], "}"}]}], 
            "}"}]}], ",", 
          RowBox[{"BoundaryStyle", "\[Rule]", "Red"}], ",", 
          RowBox[{"ImageSize", "\[Rule]", "imagesizeexc2"}], ",", 
          RowBox[{"ColorFunction", "\[Rule]", "\"\<BeachColors\>\""}]}], 
         "]"}]}], "\[IndentingNewLine]", "}"}]}], "}"}], "]"}]}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"binimagesize", "=", 
   RowBox[{"{", 
    RowBox[{"400", ",", "Automatic"}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"binplotstyle", "=", 
   RowBox[{"FaceForm", "[", 
    RowBox[{
     RowBox[{"Directive", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Opacity", "[", "0.85", "]"}], ",", "POrange"}], "}"}], "]"}],
      ",", 
     RowBox[{"Directive", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Opacity", "[", "0.85", "]"}], ",", "Purple"}], "}"}], 
      "]"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Compare2Plot3D", "[", 
    RowBox[{"f_", ",", " ", "x_", ",", " ", "y_", ",", " ", "opts___"}], 
    "]"}], ":=", 
   RowBox[{"Grid", "[", 
    RowBox[{"{", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Plot3D", "[", 
        RowBox[{"f", ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "3.5"}], ",", "1.5"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"-", "2.5"}], ",", "1.5"}], "}"}], ",", "opts", ",", 
         RowBox[{"PlotStyle", "\[Rule]", "binplotstyle"}], ",", 
         RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
         RowBox[{"Axes", "\[Rule]", "None"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "6"}], ",", "6"}], "}"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "binimagesize"}], ",", 
         RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
         RowBox[{"ViewPoint", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"0.7", ",", 
            RowBox[{"-", "2.3"}], ",", "1.5"}], "}"}]}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Plot3D", "[", 
        RowBox[{
         RowBox[{"Binomial", "[", 
          RowBox[{"x", ",", "y"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", 
           RowBox[{"-", "3.5"}], ",", "1.5"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"y", ",", 
           RowBox[{"-", "2.5"}], ",", "1.5"}], "}"}], ",", "opts", ",", 
         RowBox[{"PlotStyle", "\[Rule]", "binplotstyle"}], ",", 
         RowBox[{"Mesh", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"Range", "[", 
            RowBox[{
             RowBox[{"-", "6.001"}], ",", "6", ",", "1"}], "]"}], "}"}]}], 
         ",", 
         RowBox[{"MeshFunctions", "\[Rule]", 
          RowBox[{"(", 
           RowBox[{"#3", "&"}], ")"}]}], ",", 
         RowBox[{"MeshStyle", "\[Rule]", "Black"}], ",", 
         RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
         RowBox[{"Axes", "\[Rule]", "None"}], ",", 
         RowBox[{"ClippingStyle", "\[Rule]", "False"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "6"}], ",", "6"}], "}"}]}], ",", 
         RowBox[{"ViewPoint", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"0.7", ",", 
            RowBox[{"-", "2.3"}], ",", "1.5"}], "}"}]}], ",", 
         RowBox[{"ImageSize", "\[Rule]", "binimagesize"}], ",", 
         RowBox[{"AxesEdge", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", 
              RowBox[{"-", "1"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", 
              RowBox[{"-", "1"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", 
              RowBox[{"-", "1"}]}], "}"}]}], "}"}]}], ",", 
         RowBox[{"Exclusions", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"x", "\[Equal]", 
             RowBox[{"-", "1"}]}], ",", 
            RowBox[{"x", "\[Equal]", 
             RowBox[{"-", "2"}]}], ",", 
            RowBox[{"x", "\[Equal]", 
             RowBox[{"-", "3"}]}]}], "}"}]}], ",", 
         RowBox[{"MaxRecursion", "\[Rule]", "3"}]}], "]"}], ",", 
       RowBox[{"Graphics3D", "[", 
        RowBox[{
         RowBox[{"{", "}"}], ",", 
         RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
         RowBox[{"Axes", "\[Rule]", "None"}]}], "]"}]}], "}"}], 
     "\[IndentingNewLine]", "}"}], "]"}]}], "\n", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"bticks", "[", 
    RowBox[{
    "xmin_", ",", "xmax_", ",", "step_", ",", "plen_", ",", "nlen_", ",", 
     "size_", ",", "col_", ",", "op_"}], "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"i", ",", 
         RowBox[{"FontColor", "\[Rule]", "col"}], ",", 
         RowBox[{"FontFamily", "\[Rule]", "\"\<Helvetica\>\""}], ",", 
         RowBox[{"FontSize", "\[Rule]", "size"}]}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"plen", ",", "nlen"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"col", ",", 
         RowBox[{"Opacity", "[", "op", "]"}]}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "xmin", ",", "xmax", ",", "step"}], "}"}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"xticks", "[", 
    RowBox[{"xmin_", ",", "xmax_", ",", "step_"}], "]"}], ":=", 
   RowBox[{"bticks", "[", 
    RowBox[{
    "xmin", ",", "xmax", ",", "step", ",", ".02", ",", ".02", ",", "16", ",", 
     "Black", ",", ".4"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"yticks", "[", 
    RowBox[{"ymin_", ",", "ymax_", ",", "step_"}], "]"}], ":=", 
   RowBox[{"bticks", "[", 
    RowBox[{
    "ymin", ",", "ymax", ",", "step", ",", ".98", ",", ".02", ",", "16", ",", 
     "Black", ",", ".2"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"fticks", "[", 
    RowBox[{"xmin_", ",", "xmax_", ",", "step_"}], "]"}], ":=", 
   RowBox[{"bticks", "[", 
    RowBox[{
    "xmin", ",", "xmax", ",", "step", ",", ".01", ",", "0.", ",", "15", ",", 
     "Black", ",", "1."}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"cpts", "[", 
    RowBox[{"data_", ",", "col_", ",", "op_", ",", "size_"}], "]"}], ":=", 
   RowBox[{"Sequence", "[", 
    RowBox[{
     RowBox[{"Mesh", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Range", "[", 
        RowBox[{"Length", "[", "data", "]"}], "]"}], "}"}]}], ",", 
     RowBox[{"MeshFunctions", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"#1", "&"}], "}"}]}], ",", 
     RowBox[{"MeshStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"{", 
        RowBox[{"col", ",", 
         RowBox[{"Opacity", "[", "op", "]"}], ",", 
         RowBox[{"PointSize", "[", "size", "]"}]}], "}"}], "}"}]}]}], "]"}]}],
   ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"cpts3d", "[", 
    RowBox[{"data_", ",", "col_", ",", "op_", ",", "size_"}], "]"}], ":=", 
   RowBox[{"Graphics3D", "[", 
    RowBox[{"{", 
     RowBox[{"col", ",", 
      RowBox[{"Opacity", "[", "op", "]"}], ",", 
      RowBox[{"PointSize", "[", "size", "]"}], ",", 
      RowBox[{"Flatten", "[", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Point", "[", 
          RowBox[{"{", 
           RowBox[{"j", ",", "i", ",", 
            RowBox[{"data", "[", 
             RowBox[{"[", 
              RowBox[{"i", ",", "j"}], "]"}], "]"}]}], "}"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"i", ",", 
           RowBox[{"Length", "[", "data", "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"j", ",", 
           RowBox[{"Length", "[", 
            RowBox[{"First", "[", "data", "]"}], "]"}]}], "}"}]}], "]"}], 
       "]"}]}], "}"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"mesh3d", "[", "data_", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Length", "[", 
       RowBox[{"First", "[", "data", "]"}], "]"}], "-", "2"}], ",", 
     RowBox[{
      RowBox[{"Length", "[", "data", "]"}], "-", "2"}]}], "}"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"terrainColor", "[", "v_", "]"}], ":=", 
    RowBox[{"Blend", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"Brown", ",", 
        RowBox[{"Darker", "[", 
         RowBox[{"Green", ",", ".75"}], "]"}], ",", "White"}], "}"}], ",", 
      RowBox[{"v", "+", 
       RowBox[{"RandomReal", "[", ".2", "]"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{
   "plot1style", ",", "image1style", ",", "label1style", ",", "plot2style"}], 
   "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"plot1style", "[", "clist_", "]"}], ":=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Thickness", "[", ".005", "]"}], ",", 
       RowBox[{"Opacity", "[", ".7", "]"}], ",", 
       RowBox[{"Darker", "[", 
        RowBox[{
         RowBox[{"clist", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", ".3"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", 
       RowBox[{"Length", "[", "clist", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"image1style", "[", 
    RowBox[{"min_", ",", "max_"}], "]"}], ":=", 
   RowBox[{"Sequence", "[", 
    RowBox[{
     RowBox[{"Filling", "\[Rule]", "True"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "500"}], ",", 
     RowBox[{"ImageMargins", "\[Rule]", "15"}], ",", 
     RowBox[{"Background", "\[Rule]", 
      RowBox[{"Lighter", "[", 
       RowBox[{"Gray", ",", ".9"}], "]"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"min", ",", "max"}], "}"}]}], ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}]}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"label1style", "=", 
   RowBox[{"Sequence", "[", 
    RowBox[{
     RowBox[{"FontColor", "\[Rule]", "Black"}], ",", 
     RowBox[{"FontFamily", "\[Rule]", "\"\<Trebuchet MS\>\""}], ",", 
     RowBox[{"FontSize", "\[Rule]", "24"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"plot2style", "=", 
   RowBox[{"Sequence", "[", 
    RowBox[{
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Yellow", ",", 
        RowBox[{"Specularity", "[", 
         RowBox[{"White", ",", "50"}], "]"}], ",", 
        RowBox[{"Opacity", "[", ".7", "]"}]}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "450"}], ",", 
     RowBox[{"ImageMargins", "\[Rule]", "15"}], ",", 
     RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
     RowBox[{"Axes", "\[Rule]", "True"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"plot3style", "=", 
    RowBox[{"Sequence", "[", 
     RowBox[{
      RowBox[{"ImageSize", "\[Rule]", "400"}], ",", 
      RowBox[{"ImageMargins", "\[Rule]", "15"}], ",", 
      RowBox[{"Frame", "\[Rule]", "True"}], ",", 
      RowBox[{"Axes", "\[Rule]", "False"}]}], "]"}]}], ";"}], "\n", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.36896429468805*^9, 3.36896436246551*^9}, {
   3.36896444683683*^9, 3.36896445416737*^9}, {3.36896451894051*^9, 
   3.36896455039574*^9}, {3.36896713433126*^9, 3.3689671351925*^9}, {
   3.36896722174696*^9, 3.368967287151*^9}, {3.36896732043887*^9, 
   3.36896735649071*^9}, {3.36896747368923*^9, 3.36896751828336*^9}, {
   3.36896781030326*^9, 3.36896781354793*^9}, {3.36896793217851*^9, 
   3.36896794157201*^9}, {3.36896806661181*^9, 3.36896810460645*^9}, 
   3.36896817629954*^9, {3.36896821789935*^9, 3.36896822311686*^9}, 
   3.36896831997613*^9, {3.36896848560429*^9, 3.36896853919135*^9}, {
   3.36948288509682*^9, 3.36948288685935*^9}, {3.36948335481223*^9, 
   3.36948335623428*^9}, {3.36948345623808*^9, 3.36948345724953*^9}, {
   3.36948351511273*^9, 3.36948352050048*^9}, {3.36948406721662*^9, 
   3.36948406806784*^9}, {3.36948411409403*^9, 3.36948411521564*^9}, {
   3.36948675869912*^9, 3.36948675893947*^9}, 3.36948679219729*^9, {
   3.36948993430542*^9, 3.36948995667759*^9}, {3.369612388173008*^9, 
   3.3696124181761503`*^9}, {3.369612468388352*^9, 3.3696124723340254`*^9}, {
   3.369612534253061*^9, 3.3696125435364094`*^9}, {3.3696125867986174`*^9, 
   3.369612596592701*^9}, {3.3696126873932657`*^9, 3.369612697978486*^9}, {
   3.36961376210863*^9, 3.3696137623790193`*^9}, {3.391926638664595*^9, 
   3.391926658693395*^9}, {3.391926694364688*^9, 3.3919266957466755`*^9}, {
   3.3919283631042175`*^9, 3.3919283694833903`*^9}, {3.391928430050482*^9, 
   3.391928431532613*^9}, {3.391928464359816*^9, 3.391928498609064*^9}, {
   3.3919285878874397`*^9, 3.3919285916528544`*^9}, {3.3919286291868258`*^9, 
   3.391928640262752*^9}, {3.391928966531904*^9, 3.3919289848582563`*^9}, {
   3.391954725388085*^9, 3.39195475771621*^9}, 3.3921655113714657`*^9}],

Cell[CellGroupData[{

Cell["Data", "Subsection",
 CellChangeTimes->{{3.3919272519063935`*^9, 3.391927262541686*^9}, {
  3.3919285083430605`*^9, 3.391928508703579*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"filedir", "=", 
    RowBox[{"ToFileName", "[", 
     RowBox[{
      RowBox[{"NotebookInformation", "[", "]"}], "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "2", ",", "1"}], "]"}], "]"}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SetDirectory", "[", "filedir", "]"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"rawHelen", "=", 
     RowBox[{"Developer`ToPackedArray", "[", 
      RowBox[{"Get", "[", "\"\<Helens.dat\>\"", "]"}], "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"cx", "=", "600"}], ";", " ", 
    RowBox[{"cy", "=", "300"}], ";", " ", 
    RowBox[{"mm", "=", "500"}], ";", " ", 
    RowBox[{"nn", "=", "400"}], ";"}], "\n", 
   RowBox[{
    RowBox[{"Helen", "=", 
     RowBox[{"Developer`ToPackedArray", "[", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"rawHelen", "[", 
         RowBox[{"[", 
          RowBox[{
           RowBox[{"cx", "+", "i"}], ",", 
           RowBox[{"cy", "+", "j"}]}], "]"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "0", ",", "mm"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"j", ",", "0", ",", "nn"}], "}"}]}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\n", 
   RowBox[{
    RowBox[{"SampleData", "[", 
     RowBox[{"data_", ",", "n_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "dx", ",", "dy", ",", " ", "temp", ",", " ", "temp2", ",", "i", ",", 
        "j"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"dx", ",", "dy"}], "}"}], " ", "=", " ", 
        RowBox[{"Dimensions", "[", "data", "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"temp", " ", "=", " ", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"i", "=", 
             RowBox[{"RandomInteger", "[", 
              RowBox[{"{", 
               RowBox[{"1", ",", "dx"}], "}"}], "]"}]}], ",", 
            RowBox[{"j", "=", 
             RowBox[{"RandomInteger", "[", 
              RowBox[{"{", 
               RowBox[{"1", ",", "dy"}], "}"}], "]"}]}], ",", 
            RowBox[{"data", "[", 
             RowBox[{"[", 
              RowBox[{"i", ",", "j"}], "]"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", "n", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"temp2", " ", "=", " ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "1", ",", 
            RowBox[{"data", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "dy", ",", 
            RowBox[{"data", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "dy"}], "]"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"dx", ",", "dy", ",", 
            RowBox[{"data", "[", 
             RowBox[{"[", 
              RowBox[{"dx", ",", "dy"}], "]"}], "]"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"dx", ",", "1", ",", 
            RowBox[{"data", "[", 
             RowBox[{"[", 
              RowBox[{"dx", ",", "1"}], "]"}], "]"}]}], "}"}]}], "}"}]}], ";",
        "\[IndentingNewLine]", 
       RowBox[{"Union", "[", 
        RowBox[{"Join", "[", 
         RowBox[{"temp", ",", "temp2"}], "]"}], "]"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "\n", 
   RowBox[{
    RowBox[{"ctrs", " ", "=", " ", 
     RowBox[{"Table", "[", 
      RowBox[{"i", ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "5000", ",", "7800", ",", "200"}], "}"}]}], "]"}]}],
     ";"}], "\n", 
   RowBox[{
    RowBox[{"blendmap", " ", "=", " ", "\"\<Topographic\>\""}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"stars", "[", 
      RowBox[{"side_", ",", "0"}], "]"}], ":=", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "1"}], "}"}], "}"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"stars", "[", 
     RowBox[{"sides_", ",", "lvl_"}], "]"}], ":=", 
    RowBox[{"Union", "[", 
     RowBox[{"Flatten", "[", 
      RowBox[{
       RowBox[{"Chop", "[", 
        RowBox[{"(", 
         RowBox[{"Map", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"starhelp", "[", 
             RowBox[{"sides", ",", "#"}], "]"}], "&"}], ",", 
           RowBox[{"stars", "[", 
            RowBox[{"sides", ",", 
             RowBox[{"lvl", "-", "1"}]}], "]"}]}], "]"}], ")"}], "]"}], ",", 
       "1"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"starhelp", "[", 
     RowBox[{"sides_", ",", "center_List"}], "]"}], ":=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"center", "+", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Re", "[", "#", "]"}], ",", 
           RowBox[{"Im", "[", "#", "]"}], ",", "1"}], "}"}]}], "&"}], "[", 
       RowBox[{"Exp", "[", 
        RowBox[{"2", " ", "Pi", " ", "I", " ", 
         RowBox[{"k", "/", "sides"}]}], "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "0", ",", 
        RowBox[{"sides", "-", "1"}]}], "}"}]}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LL", "[", 
     RowBox[{"{", 
      RowBox[{"x_", ",", "y_", ",", "z_"}], "}"}], "]"}], ":=", 
    RowBox[{"{", 
     RowBox[{"x", ",", "y", ",", 
      RowBox[{"Norm", "[", 
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}], "]"}]}], "}"}]}], 
   "\[IndentingNewLine]"}]}]], "Input",
 InitializationCell->True]
}, Open  ]],

Cell[CellGroupData[{

Cell["Default Styles.", "Subsection",
 CellChangeTimes->{{3.3919272519063935`*^9, 3.391927262541686*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"SemStyle1", " ", ":=", " ", 
    RowBox[{"Sequence", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Boxed", "\[Rule]", "False"}], ",", 
       RowBox[{"MeshStyle", "\[Rule]", "Black"}], ",", 
       RowBox[{"Mesh", "\[Rule]", "All"}], ",", 
       RowBox[{"Axes", "\[Rule]", "None"}], ",", 
       RowBox[{"BoundaryStyle", "\[Rule]", "None"}]}], "}"}], "]"}]}], 
   ";"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.3919272394284515`*^9, 3.3919272662570286`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Lastly", "Subsection"],

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{
   RowBox[{"$Line", "=", "0"}], ";"}]}]], "Input",
 InitializationCell->True]
}, Open  ]]
}, Closed]]
},
AutoGeneratedPackage->None,
ScreenStyleEnvironment->"SlideShow",
WindowSize->{1154, 840},
WindowMargins->{{18, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
PageHeaders->{{
   Cell[
    TextData[
     StyleBox["MATHEMATICA", FontSlant -> "Italic"], 
     ": A TECHNICAL OVERVIEW"], "Header"], Inherited, Inherited}, {
  Inherited, Inherited, 
   Cell[
    TextData[
     StyleBox["MATHEMATICA", FontSlant -> "Italic"], 
     ": A TECHNICAL OVERVIEW"], "Header"]}},
ShowSelection->True,
Magnification->1.,
FrontEndVersion->"6.0 for Mac OS X x86 (32-bit) (June 19, 2007)",
StyleDefinitions->Notebook[{
   Cell[
    CellGroupData[{
      Cell[
       TextData[{"Style Definitions for \n", 
         StyleBox["Wolfram Education seminars", FontSlant -> "Italic"]}], 
       "Subtitle"], 
      Cell[
       StyleData[StyleDefinitions -> "Default.nb"]], 
      Cell[
       StyleData[StyleDefinitions -> "StyleMenuClear.nb"]], 
      Cell[
       CellGroupData[{
         Cell["Style Environment Names", "Section"], 
         Cell[
          StyleData[All, "Printout"], PageWidth -> PaperWidth, 
          ShowCellBracket -> True, 
          CellLabelMargins -> {{36, Inherited}, {Inherited, Inherited}}, 
          LineSpacing -> {1, 2}, ScriptMinSize -> 5, 
          PrivateFontOptions -> {"FontType" -> "Outline"}, Magnification -> 
          1]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Notebook Options", "Section"], 
         Cell[
         "The options defined for the style below will be used at the \
Notebook level.", "Text"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Notebook"]], 
            Cell[
             StyleData["Notebook", "Printout"], PageHeaders -> {{
                Cell[
                 TextData["CHAPTER TITLE"], "Header"], None, None}, {
               None, None, 
                Cell[
                 TextData["CHAPTER TITLE"], "Header"]}}, PageFooters -> {{
                Cell[
                 TextData[{
                   CounterBox["Page"]}], "PageNumber"], None, None}, {
               None, None, 
                Cell[
                 TextData[{
                   CounterBox["Page"]}], "PageNumber"]}}, 
             PageHeaderLines -> {False, False}, 
             PageFooterLines -> {False, False}, 
             PrintingOptions -> {
              "CellBackgroundHalftoneAngle" -> Automatic, 
               "CellBackgroundHalftoneDensity" -> Automatic, "FacingPages" -> 
               True, "FirstPageFace" -> Right, "FirstPageFooter" -> True, 
               "FirstPageHeader" -> False, "GraphicsPrintingFormat" -> 
               "Automatic", "PageFooterMargins" -> {Automatic, Automatic}, 
               "PageHeaderMargins" -> {Automatic, Automatic}, 
               "PageSize" -> {504, 576}, "PaperOrientation" -> "Portrait", 
               "PaperSize" -> {Automatic, Automatic}, "PostScriptOutputFile" :> 
               "Automatic", "PrintCellBrackets" -> False, 
               "PrintMultipleHorizontalPages" -> False, 
               "PrintRegistrationMarks" -> True, "PrintSelectionHighlighting" -> 
               False, "PrintingMargins" -> {{54, 54}, {72, 72}}, 
               "RestPagesFooter" -> True, "RestPagesHeader" -> True, 
               "UnixShellPrintingCommand" -> Automatic, 
               "UsePostScriptOutputFile" -> False, 
               "UseUnixShellPrintingCommand" -> False}, CellFrameLabelMargins -> 
             6]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Headings", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Title"], CellFrame -> {{0, 0}, {2, 0}}, 
             ShowCellBracket -> True, 
             CellMargins -> {{48, 0}, {Inherited, 0}}, 
             CellGroupingRules -> {"TitleGrouping", 30}, PageBreakBelow -> 
             False, CellFrameColor -> GrayLevel[0.4], 
             LineSpacing -> {1.125, 0}, CounterIncrements -> "Title", 
             CounterAssignments -> {{"Subtitle", 0}, {"Section", 0}, {
               "Subsection", 0}, {"Subsubsection", 0}, {"List", 0}, {
               "NumberedFigure", 0}, {"NumberedTable", 0}, {
               "NumberedProgram", 0}, {"Equation", 0}, {"Text", 0}, {
               "SmallText", 0}, {"Reference", 0}}, MenuPosition -> 1100, 
             MenuCommandKey -> "1", FontFamily -> "Times", FontSize -> 24, 
             FontSlant -> "Italic", FontColor -> GrayLevel[1], Background -> 
             RGBColor[0.529412, 0.568627, 0.780392]], 
            Cell[
             StyleData["Title", "Presentation"], ShowCellBracket -> False, 
             CellFrameMargins -> {{50, Inherited}, {20, 30}}, 
             LineSpacing -> {1, 2}, FontSize -> 40, FontSlant -> "Italic"], 
            Cell[
             StyleData["Title", "SlideShow"], ShowCellBracket -> False, 
             CellMargins -> {{0, 0}, {Inherited, 0}}, 
             CellFrameMargins -> {{48, 0}, {20, 20}}, LineSpacing -> {1, 2}, 
             FontSize -> 35, FontSlant -> "Italic"], 
            Cell[
             StyleData["Title", "Printout"], 
             CellMargins -> {{54, 0}, {Inherited, Inherited}}, 
             CellFrameMargins -> False, LineSpacing -> {0.95, 0}, FontFamily -> 
             "Times", FontColor -> GrayLevel[0], Background -> None]}, 
           Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subtitle"], CellFrame -> {{0, 0}, {1, 0}}, 
             CellMargins -> {{48, 244}, {0, 60}}, 
             CellGroupingRules -> {"SectionGrouping", 30}, CellFrameMargins -> 
             2, CellFrameColor -> RGBColor[0.498039, 0.505882, 0.517647], 
             MenuPosition -> 1150, MenuCommandKey -> "2", FontFamily -> 
             "Times", FontSize -> 17, FontWeight -> "Bold", FontSlant -> 
             "Italic", FontColor -> RGBColor[1, 0.329412, 0]], 
            Cell[
             StyleData["Subtitle", "Presentation"], FontSize -> 36], 
            Cell[
             StyleData["Subtitle", "SlideShow"], ShowCellBracket -> False, 
             CellMargins -> {{48, 434}, {0, 48}}, FontSize -> 23, FontWeight -> 
             "Bold"], 
            Cell[
             StyleData["Subtitle", "Printout"], 
             CellMargins -> {{54, 0}, {10, 10}}, FontSize -> 12]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubtitle"], CellMargins -> {{48, 25}, {0, 4}}, 
             CellGroupingRules -> {"TitleGrouping", 30}, 
             LineSpacing -> {1, 0}, CounterIncrements -> "Subtitle", 
             FontFamily -> "Helvetica", FontSize -> 18], 
            Cell[
             StyleData["Subsubtitle", "Presentation"]], 
            Cell[
             StyleData["Subsubtitle", "SlideShow"], ShowCellBracket -> False, 
             FontSize -> 23, FontWeight -> "Bold"], 
            Cell[
             StyleData["Subsubtitle", "Printout"], 
             CellMargins -> {{54, 0}, {Inherited, Inherited}}, FontSize -> 
             16]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Section"], CellFrame -> {{0, 0}, {0, 0.5}}, 
             CellMargins -> {{54, 25}, {10, 30}}, 
             CellGroupingRules -> {"SectionGrouping", 30}, PageBreakBelow -> 
             False, CellFrameMargins -> 1, CellFrameColor -> 
             GrayLevel[0.500008], CounterIncrements -> "Section", 
             CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}}, 
             MenuPosition -> 1250, MenuCommandKey -> "4", FontFamily -> 
             "Helvetica", FontSize -> 18, FontWeight -> "Bold"], 
            Cell[
             StyleData["Section", "Presentation"], 
             CellFrameMargins -> {{0, 0}, {12, 12}}, FontSize -> 28], 
            Cell[
             StyleData["Section", "SlideShow"], 
             CellMargins -> {{52, 25}, {30, 30}}, FontSize -> 25], 
            Cell[
             StyleData["Section", "Printout"], 
             CellMargins -> {{54, 24}, {3, 15}}, CellFrameMargins -> False, 
             CellFrameColor -> GrayLevel[0], FontSize -> 14]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsection"], CellDingbat -> None, 
             CellMargins -> {{54, 25}, {10, 26}}, 
             CellGroupingRules -> {"SectionGrouping", 40}, PageBreakBelow -> 
             False, CounterIncrements -> "Subsection", 
             CounterAssignments -> {{"Subsubsection", 0}}, MenuPosition -> 
             1300, MenuCommandKey -> "5", FontFamily -> "Helvetica", FontSize -> 
             14, FontWeight -> "Bold", FontSlant -> "Italic"], 
            Cell[
             StyleData["Subsection", "Presentation"], CellDingbat -> None, 
             CellMargins -> {{74, 25}, {10, 26}}, FontSize -> 18], 
            Cell[
             StyleData["Subsection", "SlideShow"], 
             CellFrame -> {{0, 0}, {0, 0.5}}, 
             CellMargins -> {{52, 25}, {16, 26}}, CellFrameColor -> 
             RGBColor[0.668009, 0.669383, 0.345068], FontSize -> 25], 
            Cell[
             StyleData["Subsection", "Printout"], 
             CellMargins -> {{54, 24}, {Inherited, Inherited}}, FontSize -> 
             12]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Subsubsection"], CellMargins -> {{54, 25}, {6, 20}}, 
             CellGroupingRules -> {"SectionGrouping", 60}, PageBreakBelow -> 
             False, CounterIncrements -> "Subsubsection", FontFamily -> 
             "Helvetica", FontSize -> 13, FontWeight -> "Bold", FontColor -> 
             RGBColor[0.269902, 0.558434, 0.715618]], 
            Cell[
             StyleData["Subsubsection", "Presentation"]], 
            Cell[
             StyleData["Subsubsection", "SlideShow"], FontSize -> 23], 
            Cell[
             StyleData["Subsubsection", "Printout"], 
             CellMargins -> {{54, 24}, {Inherited, Inherited}}, FontSize -> 
             10]}, Closed]]}, Open]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Body Text", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Text"], 
             CellMargins -> {{54, 24}, {Inherited, Inherited}}, 
             LineSpacing -> {1, 4}, CounterIncrements -> "Text", MenuPosition -> 
             1400, MenuCommandKey -> "7", FontFamily -> "Georgia", FontSize -> 
             12], 
            Cell[
             StyleData["Text", "Presentation"], 
             CellMargins -> {{Inherited, Inherited}, {6, 24}}, FontSize -> 
             24], 
            Cell[
             StyleData["Text", "SlideShow"], 
             CellMargins -> {{54, Inherited}, {6, 36}}, FontSize -> 19], 
            Cell[
             StyleData["Text", "Printout"], 
             CellMargins -> {{54, 24}, {Inherited, 0}}, LineSpacing -> {1, 3},
              FontFamily -> "Times", FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["MathCaption"], CellFrame -> {{0, 0}, {0, 0.5}}, 
             CellMargins -> {{72, 12}, {2, 20}}, PageBreakBelow -> False, 
             CellFrameMargins -> {{8, 8}, {8, 2}}, CellFrameColor -> 
             RGBColor[0.819455, 0.804242, 0.663142], CellFrameLabelMargins -> 
             4, LineSpacing -> {1, 4}, ParagraphSpacing -> {0, 8}, 
             MenuPosition -> 1600, MenuCommandKey -> "8", FontFamily -> 
             "Georgia", FontSize -> 12], 
            Cell[
             StyleData["MathCaption", "Presentation"], FontSize -> 24], 
            Cell[
             StyleData["MathCaption", "SlideShow"], 
             CellMargins -> {{72, 36}, {0, 36}}, FontSize -> 19], 
            Cell[
             StyleData["MathCaption", "Printout"], 
             CellMargins -> {{54, 0}, {0, 14}}, Hyphenation -> True, 
             FontFamily -> "Times", FontSize -> 10, FontColor -> 
             GrayLevel[0]]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["BulletedList"], CellDingbat -> "\[FilledSmallCircle]",
              CellMargins -> {{86, 10}, {Inherited, Inherited}}, FontFamily -> 
             "Georgia", FontSize -> 12], 
            Cell[
             StyleData["BulletedList", "Presentation"], FontSize -> 24], 
            Cell[
             StyleData["BulletedList", "SlideShow"], 
             CellMargins -> {{86, 10}, {14, Inherited}}, FontSize -> 19], 
            Cell[
             StyleData["BulletedList", "Printout"], FontFamily -> "Times", 
             FontSize -> 10]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Input/Output", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Input"], CellFrame -> {{0.25, 0.25}, {0, 0.25}}, 
             CellMargins -> {{72, 24}, {0, 10}}, MenuPosition -> 1700, 
             MenuCommandKey -> "9", FontSize -> 12, FontWeight -> "Bold", 
             Background -> RGBColor[0.799313, 0.800504, 0.879561]], 
            Cell[
             StyleData["Input", "Presentation"], FontSize -> 22], 
            Cell[
             StyleData["Input", "SlideShow"], ShowCellBracket -> True, 
             CellMargins -> {{72, Inherited}, {0, 18}}, FontSize -> 19], 
            Cell[
             StyleData["Input", "Printout"], 
             CellMargins -> {{54, 24}, {-1, 10}}, FontSize -> 9, Background -> 
             None]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Output"], CellFrame -> {{0.25, 0.25}, {0.25, 0}}, 
             CellMargins -> {{72, 24}, {10, 0}}, 
             CellLabelMargins -> {{23, Inherited}, {Inherited, Inherited}}, 
             FontSize -> 12, Background -> 
             RGBColor[0.930663, 0.899779, 0.852537]], 
            Cell[
             StyleData["Output", "Presentation"], FontSize -> 22], 
            Cell[
             StyleData["Output", "SlideShow"], ShowCellBracket -> True, 
             CellMargins -> {{72, Inherited}, {Inherited, 0}}, FontSize -> 
             19], 
            Cell[
             StyleData["Output", "Printout"], 
             CellMargins -> {{54, 24}, {10, -2}}, FontSize -> 9, Background -> 
             None]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Message"], CellFrame -> {{0.25, 0.25}, {0, 0}}, 
             CellDingbat -> "\[WarningSign]", 
             CellMargins -> {{72, 24}, {0, 0}}, CellGroupingRules -> 
             "OutputGrouping", PageBreakWithin -> False, GroupPageBreakWithin -> 
             False, GeneratedCell -> True, CellAutoOverwrite -> True, 
             ShowCellLabel -> False, 
             CellLabelMargins -> {{23, Inherited}, {Inherited, Inherited}}, 
             CellFrameLabelMargins -> -9, DefaultFormatType -> 
             DefaultOutputFormatType, AutoItalicWords -> {}, 
             CounterIncrements -> "Message", StyleMenuListing -> None, 
             FontFamily -> "Helvetica", FontSize -> 10, FontColor -> 
             RGBColor[0, 0, 1], Background -> 
             RGBColor[0.930663, 0.899779, 0.852537]], 
            Cell[
             StyleData["Message", "Presentation"], FontSize -> 12], 
            Cell[
             StyleData["Message", "SlideShow"], FontSize -> 19], 
            Cell[
             StyleData["Message", "Printout"], 
             CellMargins -> {{54, 24}, {0, 0}}, FontSize -> 8, FontColor -> 
             GrayLevel[0], Background -> None]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Print"], CellFrame -> True, 
             CellMargins -> {{72, 24}, {1, 6}}, CellGroupingRules -> 
             "OutputGrouping", CellHorizontalScrolling -> True, 
             PageBreakWithin -> False, GroupPageBreakWithin -> False, 
             GeneratedCell -> True, CellAutoOverwrite -> True, ShowCellLabel -> 
             False, CellLabelMargins -> {{23, Inherited}, {
               Inherited, Inherited}}, CellFrameColor -> 
             RGBColor[0.718318, 0.694575, 0.474449], DefaultFormatType -> 
             DefaultOutputFormatType, AutoItalicWords -> {}, 
             CounterIncrements -> "Print", StyleMenuListing -> None, FontSize -> 
             10], 
            Cell[
             StyleData["Print", "Presentation"], CellFrame -> 2, 
             CellMargins -> {{Inherited, Inherited}, {24, 6}}, FontSize -> 18,
              Background -> None], 
            Cell[
             StyleData["Print", "SlideShow"], CellFrame -> 2, 
             CellMargins -> {{Inherited, Inherited}, {24, 6}}, FontSize -> 19,
              Background -> None], 
            Cell[
             StyleData["Print", "Printout"], 
             CellMargins -> {{54, 24}, {2, 6}}, CellFrameColor -> 
             GrayLevel[0], FontSize -> 8]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Graphics"], CellFrame -> {{0.25, 0.25}, {0, 0}}, 
             CellMargins -> {{72, 24}, {0, 0}}, 
             PrivateCellOptions -> {"DefaultCellGroupOpen" -> False}, 
             CellGroupingRules -> "GraphicsGrouping", CellHorizontalScrolling -> 
             True, PageBreakWithin -> False, GeneratedCell -> True, 
             CellAutoOverwrite -> True, ShowCellLabel -> False, 
             CellLabelAutoDelete -> True, DefaultFormatType -> 
             DefaultOutputFormatType, CounterIncrements -> "Graphics", 
             ImageMargins -> {{0, 0}, {0, 0}}, StyleMenuListing -> None, 
             Background -> None], 
            Cell[
             StyleData["Graphics", "Presentation"], 
             CellMargins -> {{Inherited, Inherited}, {12, 0}}, 
             ImageSize -> {340, 340}], 
            Cell[
             StyleData["Graphics", "SlideShow"], 
             CellMargins -> {{Inherited, Inherited}, {12, 0}}, 
             ImageSize -> {420, 420}], 
            Cell[
             StyleData["Graphics", "Printout"], CellFrame -> False, 
             CellMargins -> {{108, 48}, {-1, -2}}, ImageSize -> {266, 266}, 
             ImageMargins -> {{40, Inherited}, {Inherited, Inherited}}, 
             Magnification -> 0.5, Background -> None]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["LargeGraphics"], CellFrame -> {{0.25, 0.25}, {0, 0}}, 
             CellMargins -> {{72, 24}, {0, 0}}, CellGroupingRules -> 
             "GraphicsGrouping", CellHorizontalScrolling -> True, 
             PageBreakWithin -> False, GeneratedCell -> True, 
             CellAutoOverwrite -> True, ShowCellLabel -> False, 
             CellLabelAutoDelete -> True, DefaultFormatType -> 
             DefaultOutputFormatType, CounterIncrements -> "Graphics", 
             ImageMargins -> {{0, 0}, {0, 0}}, StyleMenuListing -> None, 
             Magnification -> 0.9, Background -> 
             RGBColor[0.930663, 0.899779, 0.852537]], 
            Cell[
             StyleData["LargeGraphics", "Presentation"], 
             CellMargins -> {{Inherited, Inherited}, {12, 0}}, 
             ImageSize -> {340, 340}], 
            Cell[
             StyleData["LargeGraphics", "SlideShow"], 
             CellMargins -> {{Inherited, Inherited}, {12, 0}}, 
             ImageSize -> {420, 420}], 
            Cell[
             StyleData["LargeGraphics", "Printout"], CellFrame -> False, 
             CellMargins -> {{216, 48}, {-1, -2}}, ImageSize -> {266, 266}, 
             ImageMargins -> {{40, Inherited}, {Inherited, Inherited}}, 
             Magnification -> 0.25, Background -> GrayLevel[0.899001]]}, 
           Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["CellLabel"], 
             CellMargins -> {{5, Inherited}, {Inherited, Inherited}}, 
             StyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 
             8, FontSlant -> "Oblique", FontColor -> 
             RGBColor[0.407843, 0.411765, 0.670588]], 
            Cell[
             StyleData["CellLabel", "Presentation"], FontSize -> 10], 
            Cell[
             StyleData["CellLabel", "SlideShow"], FontSize -> 10], 
            Cell[
             StyleData["CellLabel", "Printout"], FontSize -> 6, FontColor -> 
             GrayLevel[0]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Automatic Numbering", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["NumberedEquation"], 
             CellMargins -> {{54, 24}, {5, 10}}, CellFrameLabels -> {{None, 
                Cell[
                 TextData[{"(", 
                   CounterBox["NumberedEquation"], ")"}]]}, {None, None}}, 
             DefaultFormatType -> TraditionalForm, TextAlignment -> Center, 
             SingleLetterItalics -> True, SpanMaxSize -> Infinity, 
             CounterIncrements -> "NumberedEquation", FormatTypeAutoConvert -> 
             False, FontFamily -> "Times", FontSize -> 12, 
             UnderoverscriptBoxOptions -> {LimitsPositioning -> True}], 
            Cell[
             StyleData["NumberedEquation", "Presentation"], 
             CellFrameLabels -> {{None, 
                Cell[
                 TextData[{"(", 
                   CounterBox["NumberedEquation"], ")"}]]}, {None, None}}, 
             FontSize -> 14], 
            Cell[
             StyleData["NumberedEquation", "Printout"], 
             CellMargins -> {{Inherited, Inherited}, {10, Inherited}}, 
             CellFrameLabels -> {{None, 
                Cell[
                 TextData[{"(", 
                   CounterBox["NumberedEquation"], ")"}]]}, {None, None}}, 
             FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["NumberedFigure"], CellMargins -> {{54, 24}, {5, 10}}, 
             CellLabelAutoDelete -> True, CellFrameLabels -> {{None, None}, {
                Cell[
                 TextData[{"Figure ", 
                   CounterBox["NumberedFigure"], "."}], FontFamily -> 
                 "Helvetica", FontSize -> 10, FontWeight -> "Bold"], None}}, 
             CounterIncrements -> "NumberedFigure", StyleMenuListing -> None],
             
            Cell[
             StyleData["NumberedFigure", "Presentation"], 
             CellMargins -> {{54, 25}, {2, 10}}, 
             CellFrameLabels -> {{None, None}, {
                Cell[
                 TextData[{"Figure ", 
                   CounterBox["NumberedFigure"], "."}], FontFamily -> 
                 "Helvetica", FontSize -> 12, FontWeight -> "Bold"], None}}], 
            
            Cell[
             StyleData["NumberedFigure", "Printout"], 
             CellFrameLabels -> {{None, None}, {
                Cell[
                 TextData[{"Figure ", 
                   CounterBox["NumberedFigure"], "."}], FontFamily -> 
                 "Helvetica", FontSize -> 8, FontWeight -> "Bold"], None}}]}, 
           Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Table"], CellMargins -> {{54, 24}, {5, 10}}, 
             TextAlignment -> Center, FontFamily -> "Times", FontSize -> 12, 
             Background -> GrayLevel[0.899001]], 
            Cell[
             StyleData["Table", "Presentation"], FontSize -> 14], 
            Cell[
             StyleData["Table", "Printout"], FontSize -> 10, Background -> 
             None]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["DefinitionBox"], CellFrame -> 0.5, 
             CellMargins -> {{54, 24}, {5, 10}}, CellHorizontalScrolling -> 
             True, AutoIndent -> False, AutoSpacing -> False, 
             SingleLetterItalics -> False, LineIndent -> 0, FontFamily -> 
             "Times", FontSize -> 12, Background -> GrayLevel[0.899001], 
             GridBoxOptions -> {
              GridBoxAlignment -> {
                "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, 
                 "Rows" -> {{Baseline}}, "RowsIndexed" -> {}}, 
               GridBoxItemSize -> {"Columns" -> {
                   Scaled[0.4], {
                    Scaled[0.6]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
                 "RowsIndexed" -> {}}, GridBoxSpacings -> {"Columns" -> {
                   Offset[0.27999999999999997`], {
                    Offset[0.7]}, 
                   Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, 
                 "Rows" -> {
                   Offset[0.2], {
                    Offset[0.6]}, 
                   Offset[0.2]}, "RowsIndexed" -> {}}}], 
            Cell[
             StyleData["DefinitionBox", "Presentation"], FontSize -> 14], 
            Cell[
             StyleData["DefinitionBox", "Printout"], FontSize -> 10, 
             Background -> None]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["NumberedTable"], CellMargins -> {{54, 24}, {5, 10}}, 
             CellFrameLabels -> {{None, None}, {
                Cell[
                 TextData[{"Table ", 
                   CounterBox["NumberedTable"], "."}], FontFamily -> 
                 "Helvetica", FontSize -> 10, FontWeight -> "Bold"], None}}, 
             CounterIncrements -> "NumberedTable", StyleMenuListing -> None], 
            
            Cell[
             StyleData["NumberedTable", "Presentation"], 
             CellMargins -> {{54, 25}, {2, 10}}, 
             CellFrameLabels -> {{None, None}, {
                Cell[
                 TextData[{"Table ", 
                   CounterBox["NumberedTable"], "."}], FontFamily -> 
                 "Helvetica", FontSize -> 12, FontWeight -> "Bold"], None}}], 
            
            Cell[
             StyleData["NumberedTable", "Printout"], 
             CellFrameLabels -> {{None, None}, {
                Cell[
                 TextData[{"Table ", 
                   CounterBox["NumberedTable"], "."}], FontFamily -> 
                 "Helvetica", FontSize -> 8, FontWeight -> "Bold"], None}}]}, 
           Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["NumberedFigureCaption"], CellDingbat -> 
             "\[FilledUpTriangle]", CellMargins -> {{54, 24}, {5, 10}}, 
             CellLabelPositioning -> Left, 
             CellFrameLabels -> {{None, None}, {None, None}}, TextAlignment -> 
             Left, CounterIncrements -> "NumberedFigure", 
             FormatTypeAutoConvert -> False, FontFamily -> "Helvetica"], 
            Cell[
             StyleData["NumberedFigureCaption", "Presentation"], 
             CellMargins -> {{54, 24}, {24, 10}}, FontSize -> 18], 
            Cell[
             StyleData["NumberedFigureCaption", "SlideShow"], 
             CellMargins -> {{54, 24}, {24, 10}}, FontSize -> 18], 
            Cell[
             StyleData["NumberedFigureCaption", "Printout"], 
             CellFrameLabels -> {{None, None}, {None, None}}, FontSize -> 8]},
            Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Caption"], CellDingbat -> "\[FilledUpTriangle]", 
             CellMargins -> {{54, 24}, {Inherited, 5}}, PageBreakAbove -> 
             False, StyleMenuListing -> None, FontFamily -> "Helvetica"], 
            Cell[
             StyleData["Caption", "Presentation"], FontSize -> 14], 
            Cell[
             StyleData["Caption", "Printout"], CellDingbat -> 
             "\[FilledUpTriangle]", CellMargins -> {{54, 24}, {10, 10}}, 
             FontSize -> 8]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["NumberedList"], CellMargins -> {{70, 10}, {0, 12}}, 
             CellFrameLabels -> {{
                Cell[
                 TextData[{
                   CounterBox["ItemNumber"], "."}], "ExerciseItemNumber", 
                 CellBaseline -> Baseline], None}, {None, None}}, 
             CounterIncrements -> "ItemNumber", FontFamily -> "Georgia", 
             FontSize -> 12], 
            Cell[
             StyleData["NumberedList", "Presentation"], FontSize -> 24], 
            Cell[
             StyleData["NumberedList", "SlideShow"], FontSize -> 19], 
            Cell[
             StyleData["NumberedList", "Printout"], FontFamily -> "Times", 
             FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Reference"], 
             CellMargins -> {{54, 25}, {Inherited, Inherited}}, 
             LineSpacing -> {1, 3}, CounterIncrements -> "Reference", 
             FontFamily -> "Helvetica", FontSize -> 10], 
            Cell[
             StyleData["Reference", "Presentation"], 
             CellMargins -> {{56, 25}, {Inherited, Inherited}}, FontFamily -> 
             "Helvetica", FontSize -> 14], 
            Cell[
             StyleData["Reference", "SlideShow"], 
             CellMargins -> {{56, 25}, {Inherited, 10}}, FontFamily -> 
             "Helvetica", FontSize -> 14], 
            Cell[
             StyleData["Reference", "Printout"], FontSize -> 8]}, Closed]]}, 
        Closed]], 
      Cell[
       CellGroupData[{
         Cell["Unique Styles", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Quote"], 
             CellMargins -> {{90, 80}, {Inherited, Inherited}}, 
             TextJustification -> 0, LineSpacing -> {1, 3}, FontSize -> 12], 
            Cell[
             StyleData["Quote", "Presentation"], FontSize -> 22], 
            Cell[
             StyleData["Quote", "SlideShow"], CellFrame -> 1, 
             CellMargins -> {{90, 120}, {24, 24}}, CellFrameMargins -> 20, 
             FontFamily -> "Georgia", FontSize -> 24, Background -> 
             RGBColor[1, 1, 0.501961]], 
            Cell[
             StyleData["Quote", "Printout"], 
             CellMargins -> {{70, 40}, {Inherited, Inherited}}, FontSize -> 
             10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Editorial"], 
             CellMargins -> {{54, 24}, {Inherited, Inherited}}, 
             LineSpacing -> {1, 4}, CounterIncrements -> "Text", FontSize -> 
             12, FontColor -> RGBColor[1, 0, 0]], 
            Cell[
             StyleData["Editorial", "Presentation"], 
             CellMargins -> {{Inherited, Inherited}, {6, 24}}, FontSize -> 
             24], 
            Cell[
             StyleData["Editorial", "SlideShow"], 
             CellMargins -> {{Inherited, Inherited}, {6, 36}}, FontSize -> 
             24], 
            Cell[
             StyleData["Editorial", "Printout"], 
             CellMargins -> {{54, 24}, {Inherited, 0}}, LineSpacing -> {1, 3},
              FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["NonSlideShowSection"], 
             CellFrame -> {{0, 0}, {0, 0.5}}, 
             CellMargins -> {{54, 25}, {10, 30}}, 
             CellGroupingRules -> {"SectionGrouping", 40}, PageBreakBelow -> 
             False, CellFrameMargins -> 2, CellFrameColor -> 
             RGBColor[0.668009, 0.669383, 0.345068], CounterIncrements -> 
             "Section", 
             CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}}, 
             FontFamily -> "Helvetica", FontSize -> 18, FontWeight -> "Bold"],
             
            Cell[
             StyleData["NonSlideShowSection", "Presentation"], 
             CellFrameMargins -> {{0, 0}, {12, 12}}, FontSize -> 28], 
            Cell[
             StyleData["NonSlideShowSection", "SlideShow"], ShowCellBracket -> 
             False, CellMargins -> {{Inherited, Inherited}, {0, 0}}, 
             CellElementSpacings -> {
              "CellMinHeight" -> 1, "ClosedCellHeight" -> 0}, CellOpen -> 
             False], 
            Cell[
             StyleData["NonSlideShowSection", "Printout"], 
             CellMargins -> {{54, 24}, {3, 15}}, 
             CellFrameMargins -> {{0, 0}, {0, 5}}, CellFrameColor -> 
             GrayLevel[0], FontSize -> 14]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Solution"], ShowCellBracket -> True, 
             CellMargins -> {{40, 10}, {12, 12}}, TextAlignment -> Right, 
             LineSpacing -> {1, 2}, StyleMenuListing -> None, 
             ButtonBoxOptions -> {
              Active -> True, ButtonFrame -> "DialogBox", 
               ButtonFunction :> (NotebookPut[
                 
                 Notebook[#2, WindowSize -> {640, 400}, StyleDefinitions -> 
                  "Default.nb", Saveable -> False, WindowTitle -> StringJoin[
                    Cases[{#}, 
                    Blank[String], Infinity]]]]& ), ButtonSource -> 
               ButtonContents, Evaluator -> Automatic}], 
            Cell[
             StyleData["Solution", "Presentation"], ShowCellBracket -> False, 
             FontSize -> 16], 
            Cell[
             StyleData["Solution", "SlideShow"], ShowCellBracket -> False, 
             FontSize -> 16], 
            Cell[
             StyleData["Solution", "Printout"], 
             CellMargins -> {{Inherited, Inherited}, {0, 0}}, 
             CellElementSpacings -> {
              "CellMinHeight" -> 1, "ClosedCellHeight" -> 0}, CellOpen -> 
             False]}, Closed]], 
         Cell[
          StyleData["ExerciseButton"], StyleMenuListing -> None, 
          ButtonStyleMenuListing -> None, FontFamily -> "Helvetica", FontSize -> 
          12, ButtonBoxOptions -> {
           Background -> RGBColor[0.59765, 0.59765, 0.796872], ButtonMargins -> 
            4}], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Picture"], CellMargins -> {{72, 24}, {0, 0}}, 
             CellGroupingRules -> "GraphicsGrouping", CellHorizontalScrolling -> 
             True, ShowCellLabel -> False], 
            Cell[
             StyleData["Picture", "SlideShow"], 
             CellMargins -> {{72, 0}, {0, 0}}, Magnification -> 1], 
            Cell[
             StyleData["Picture", "Printout"], 
             CellMargins -> {{108, 48}, {-1, -2}}, Magnification -> 0.5]}, 
           Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Display Formulas and Programs", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["DisplayFormula"], CellMargins -> {{54, 25}, {2, 24}}, 
             CellHorizontalScrolling -> True, DefaultFormatType -> 
             TraditionalForm, TextAlignment -> Center, ScriptLevel -> 0, 
             SingleLetterItalics -> True, SpanMaxSize -> Infinity, FontFamily -> 
             "Times", FontSize -> 14, 
             UnderoverscriptBoxOptions -> {LimitsPositioning -> True}], 
            Cell[
             StyleData["DisplayFormula", "Presentation"], FontSize -> 25], 
            Cell[
             StyleData["DisplayFormula", "SlideShow"], FontSize -> 21], 
            Cell[
             StyleData["DisplayFormula", "Printout"], 
             CellMargins -> {{54, Inherited}, {Inherited, Inherited}}, 
             FontSize -> 10]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Program"], CellMargins -> {{54, 25}, {Inherited, 6}}, 
             FontFamily -> "Courier", FontSize -> 10], 
            Cell[
             StyleData["Program", "Presentation"], FontFamily -> "Courier", 
             FontSize -> 12], 
            Cell[
             StyleData["Program", "Printout"], 
             CellMargins -> {{54, 30}, {Inherited, 4}}, FontSize -> 9]}, 
           Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Styles for Headers and Footers", "Section"], 
         Cell[
          StyleData["Header"], CellMargins -> {{54, 24}, {0, 0}}, 
          StyleMenuListing -> None, FontFamily -> "Times", FontSize -> 9, 
          FontSlant -> "Italic"], 
         Cell[
          StyleData["PageNumber"], StyleMenuListing -> None, FontFamily -> 
          "Times", FontSize -> 9, FontWeight -> "Bold"], 
         Cell[
          StyleData["Footer"], 
          CellMargins -> {{54, 24}, {Inherited, Inherited}}, StyleMenuListing -> 
          None, FontFamily -> "Helvetica", FontSize -> 7, FontSlant -> 
          "Italic"]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["FormatType Styles", "Section"], 
         Cell[
         "These cells define styles that are mixed in with most other cells.  \
If the FormatType of a cell style matches the name of one of the styles \
defined below, then that style is applied along with the local cell style \
definitions. This is particularly true of Input and Output.", "Text", 
          CellMargins -> {{24, 0}, {Inherited, Inherited}}], 
         Cell[
          StyleData["CellExpression"], CellMargins -> {{54, 24}, {2, 4}}, 
          ShowCellLabel -> False, ShowSpecialCharacters -> False, 
          AllowInlineCells -> False, Hyphenation -> False, 
          AutoItalicWords -> {}, StyleMenuListing -> None, FontFamily -> 
          "Courier", FontSize -> 10, Background -> GrayLevel[1]], 
         Cell[
          StyleData["InputForm"], AllowInlineCells -> False, Hyphenation -> 
          False, LineSpacing -> {1.25, 0}, StyleMenuListing -> None, 
          FontFamily -> "Courier", 
          FontProperties -> {
           "FontMonospaced" -> True, "FontSerifed" -> True}], 
         Cell[
          StyleData["OutputForm"], LineSpacing -> {1.25, 0}, StyleMenuListing -> 
          None, FontFamily -> "Courier", 
          FontProperties -> {
           "FontMonospaced" -> True, "FontSerifed" -> True}], 
         Cell[
          StyleData["StandardForm"], LineSpacing -> {1.25, 0}, 
          SingleLetterItalics -> False, StyleMenuListing -> None, FontFamily -> 
          "Courier", 
          FontProperties -> {
           "FontMonospaced" -> True, "FontSerifed" -> True}], 
         Cell[
          StyleData["TraditionalForm"], LineSpacing -> {1.25, 0}, 
          SingleLetterItalics -> True, TraditionalFunctionNotation -> True, 
          DelimiterMatching -> None, ZeroWidthTimes -> False, 
          StyleMenuListing -> None, FontFamily -> "Times", 
          FontProperties -> {
           "FontMonospaced" -> False, "FontSerifed" -> True}], 
         Cell[
         "The style defined below is mixed in to any cell that is in an \
inline cell within another.", "Text", 
          CellMargins -> {{24, 0}, {Inherited, Inherited}}], 
         Cell[
          StyleData["InlineCell"], TextAlignment -> Left, ScriptLevel -> 1, 
          StyleMenuListing -> None], 
         Cell[
          StyleData["InlineCellEditing"], StyleMenuListing -> None, 
          Background -> RGBColor[1, 0.749996, 0.8]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Inline Formatting", "Section"], 
         Cell[
         "These styles are for modifying individual words or letters in a \
cell exclusive of the cell style.", "Text"], 
         Cell[
          StyleData["RM"], FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["BF"], FontWeight -> "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["IT"], FontWeight -> "Plain", FontSlant -> "Italic"], 
         Cell[
          StyleData["BFI"], FontWeight -> "Bold", FontSlant -> "Italic"], 
         Cell[
          StyleData["TR"], FontFamily -> "Times", FontWeight -> "Plain", 
          FontSlant -> "Plain"], 
         Cell[
          StyleData["TI"], FontFamily -> "Times", FontWeight -> "Plain", 
          FontSlant -> "Italic"], 
         Cell[
          StyleData["TB"], FontFamily -> "Times", FontWeight -> "Bold", 
          FontSlant -> "Plain"], 
         Cell[
          StyleData["TBI"], FontFamily -> "Times", FontWeight -> "Bold", 
          FontSlant -> "Italic"], 
         Cell[
          StyleData["MR"], StyleMenuListing -> None, FontFamily -> "Courier", 
          FontWeight -> "Plain", FontSlant -> "Plain"], 
         Cell[
          StyleData["MO"], StyleMenuListing -> None, FontFamily -> "Courier", 
          FontWeight -> "Plain", FontSlant -> "Oblique"], 
         Cell[
          StyleData["MB"], StyleMenuListing -> None, FontFamily -> "Courier", 
          FontWeight -> "Bold", FontSlant -> "Plain"], 
         Cell[
          StyleData["MBO"], StyleMenuListing -> None, FontFamily -> "Courier",
           FontWeight -> "Bold", FontSlant -> "Oblique"], 
         Cell[
          StyleData["SR"], FontFamily -> "Helvetica", FontWeight -> "Plain", 
          FontSlant -> "Plain"], 
         Cell[
          StyleData["SO"], FontFamily -> "Helvetica", FontWeight -> "Plain", 
          FontSlant -> "Oblique"], 
         Cell[
          StyleData["SB"], FontFamily -> "Helvetica", FontWeight -> "Bold", 
          FontSlant -> "Plain"], 
         Cell[
          StyleData["SBO"], FontFamily -> "Helvetica", FontSize -> 10, 
          FontWeight -> "Bold", FontSlant -> "Oblique"], 
         Cell[
          StyleData["SCL"], FontFamily -> "Helvetica", FontTracking -> 
          "Condensed"], 
         Cell[
          StyleData["SCLO"], FontFamily -> "Helvetica", FontSlant -> "Italic",
           FontTracking -> "Condensed"], 
         Cell[
          StyleData["SCB"], FontFamily -> "Helvetica", FontWeight -> "Bold", 
          FontTracking -> "Condensed"], 
         Cell[
          StyleData["SCBO"], FontFamily -> "Helvetica", FontWeight -> "Bold", 
          FontSlant -> "Italic", FontTracking -> "Condensed"], 
         Cell[
          StyleData["SXR"], FontFamily -> "Helvetica", FontWeight -> "Bold", 
          FontTracking -> "Extended"], 
         Cell[
          StyleData["SXO"], FontFamily -> "Helvetica", FontWeight -> "Bold", 
          FontSlant -> "Italic", FontTracking -> "Extended"], 
         Cell[
          StyleData["Color1"], StyleMenuListing -> None, FontSlant -> 
          "Italic", FontColor -> RGBColor[1, 0.352941, 0]], 
         Cell[
          StyleData["Color2"], StyleMenuListing -> None, FontSlant -> 
          "Italic", FontColor -> RGBColor[0.937255, 0.588235, 0.137255]], 
         Cell[
          StyleData["Color3"], StyleMenuListing -> None, FontColor -> 
          RGBColor[0.498039, 0.505882, 0.517647]], 
         Cell[
          StyleData["Color4"], StyleMenuListing -> None, FontColor -> 
          RGBColor[0.529412, 0.568627, 0.780392]], 
         Cell[
          StyleData["Color5"], StyleMenuListing -> None, FontColor -> 
          RGBColor[0.937255, 0.666667, 0.137255]], 
         Cell[
          StyleData["Color6"], StyleMenuListing -> None, FontColor -> 
          RGBColor[0.576471, 0.584314, 0.596078]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["NonPrint Styles", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["NonPrintSection"], CellFrame -> {{0, 0}, {0, 0.5}}, 
             CellMargins -> {{54, 25}, {10, 30}}, 
             CellGroupingRules -> {"SectionGrouping", 40}, PageBreakBelow -> 
             False, CellFrameMargins -> 1, CellFrameColor -> 
             GrayLevel[0.500008], CounterIncrements -> "Section", 
             CounterAssignments -> {{"Subsection", 0}, {"Subsubsection", 0}}, 
             FontFamily -> "Helvetica", FontSize -> 18, FontWeight -> "Bold"],
             
            Cell[
             StyleData["NonPrintSection", "Presentation"], 
             CellFrameMargins -> {{0, 0}, {12, 12}}, FontSize -> 28], 
            Cell[
             StyleData["NonPrintSection", "SlideShow"], 
             CellMargins -> {{52, 25}, {30, 30}}, FontSize -> 21], 
            Cell[
             StyleData["NonPrintSection", "Printout"], 
             CellMargins -> {{Inherited, Inherited}, {0, 0}}, 
             CellElementSpacings -> {
              "CellMinHeight" -> 1, "ClosedCellHeight" -> 0}, CellOpen -> 
             False]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["NonPrintSubsection"], 
             CellMargins -> {{54, 25}, {10, 26}}, 
             CellGroupingRules -> {"SectionGrouping", 50}, PageBreakBelow -> 
             False, CounterIncrements -> "Subsection", 
             CounterAssignments -> {{"Subsubsection", 0}}, FontFamily -> 
             "Helvetica", FontSize -> 14, FontWeight -> "Bold", FontSlant -> 
             "Italic"], 
            Cell[
             StyleData["NonPrintSubsection", "Presentation"], CellDingbat -> 
             "\[GraySquare]", CellMargins -> {{74, 25}, {10, 26}}, FontSize -> 
             18], 
            Cell[
             StyleData["NonPrintSubsection", "SlideShow"], 
             CellFrame -> {{0, 0}, {0, 0.5}}, 
             CellMargins -> {{52, 25}, {16, 26}}, CellFrameColor -> 
             RGBColor[0.668009, 0.669383, 0.345068], FontSize -> 25], 
            Cell[
             StyleData["NonPrintSubsection", "Printout"], 
             CellMargins -> {{Inherited, Inherited}, {0, 0}}, 
             CellElementSpacings -> {
              "CellMinHeight" -> 1, "ClosedCellHeight" -> 0}, CellOpen -> 
             False], 
            Cell[
             StyleData["SlideShowNavigationBar", "SlideShow"], Deletable -> 
             False, CellFrame -> False, ShowCellBracket -> False, 
             CellMargins -> {{0, 0}, {0, 0}}, PageBreakAbove -> True, 
             CellFrameMargins -> {{34, 0}, {0, 0}}, Background -> 
             RGBColor[0.529412, 0.568627, 0.780392]]}, Closed]]}, Closed]], 
      Cell[
       CellGroupData[{
         Cell["Slide Show Styles", "Section"], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["SlideShowNavigationBar"], Editable -> False, 
             Selectable -> False, CellFrame -> {{0, 0}, {0, 1}}, 
             CellMargins -> {{0, 0}, {3, 3}}, 
             CellElementSpacings -> {"ClosedCellHeight" -> 4}, CellOpen -> 
             False, CellGroupingRules -> {"SectionGrouping", 45}, 
             PageBreakAbove -> True, CellFrameMargins -> 0, CellFrameColor -> 
             GrayLevel[0.6], CellFrameLabelMargins -> 0, TextAlignment -> 
             Center, CounterIncrements -> "SlideShowNavigationBar", 
             StyleMenuListing -> None, Magnification -> 1, Background -> 
             GrayLevel[0.8]], 
            Cell[
             StyleData["SlideShowNavigationBar", "SlideShow"], Deletable -> 
             False, CellFrame -> 0, ShowCellBracket -> False, 
             CellMargins -> {{-1, -1}, {-1, -1}}, 
             CellFrameMargins -> {{1, 1}, {0, 0}}, CellFrameColor -> 
             RGBColor[0.529412, 0.568627, 0.780392], Background -> 
             RGBColor[0.529412, 0.568627, 0.780392]], 
            Cell[
             StyleData["SlideShowNavigationBar", "Printout"], 
             CellMargins -> {{Inherited, Inherited}, {0, 0}}, 
             CellElementSpacings -> {
              "CellMinHeight" -> 1, "ClosedCellHeight" -> 0}, CellOpen -> 
             False]}, Closed]], 
         Cell[
          CellGroupData[{
            Cell[
             StyleData["Spacer"], 
             CellMargins -> {{Inherited, Inherited}, {0, 0}}, 
             CellElementSpacings -> {
              "CellMinHeight" -> 10, "ClosedCellHeight" -> 10}, CellOpen -> 
             True, CellEditable -> False], 
            Cell[
             StyleData["Spacer", "SlideShow"], 
             CellMargins -> {{Inherited, Inherited}, {0, 0}}, 
             CellElementSpacings -> {
              "CellMinHeight" -> 20, "ClosedCellHeight" -> 30}, CellOpen -> 
             False, CellEditable -> False, ShowCellBrackets -> False], 
            Cell[
             StyleData["Spacer", "Printout"], 
             CellMargins -> {{Inherited, Inherited}, {0, 0}}, 
             CellElementSpacings -> {
              "CellMinHeight" -> 1, "ClosedCellHeight" -> 0}, CellOpen -> 
             False]}, Closed]]}, Closed]]}, Open]]}, Visible -> False, 
  FrontEndVersion -> "6.0 for Mac OS X x86 (32-bit) (June 19, 2007)", 
  StyleDefinitions -> "PrivateStylesheetFormatting.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "SlideShowHeader"->{
  Cell[568, 21, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[233068, 3146, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[235484, 3208, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[238520, 3313, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[241185, 3402, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[242207, 3436, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[245653, 3539, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[252673, 3719, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[257113, 3857, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[261657, 3991, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[266807, 4142, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[272304, 4300, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[277691, 4452, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[283195, 4602, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[287442, 4733, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[296131, 4999, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[300334, 5138, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[302227, 5203, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[304766, 5293, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[306189, 5344, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[309863, 5467, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[314028, 5586, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[325559, 5898, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[328008, 5989, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[330459, 6074, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[331413, 6110, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[337617, 6299, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[341638, 6418, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[345019, 6517, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[351042, 6677, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[359401, 6893, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"],
  Cell[371085, 7221, 64, 1, 5, "SlideShowNavigationBar",
   CellTags->"SlideShowHeader"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"SlideShowHeader", 454825, 9178}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[568, 21, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[635, 24, 316, 7, 81, "Title"],
Cell[CellGroupData[{
Cell[976, 35, 29, 0, 74, "Subtitle"],
Cell[1008, 37, 271, 7, 50, "Subsubtitle"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1316, 49, 84, 1, 74, "Subtitle"],
Cell[1403, 52, 143, 12, 27, "Subsubtitle"],
Cell[CellGroupData[{
Cell[1571, 68, 179, 5, 161, "Input"],
Cell[1753, 75, 231300, 3068, 37, "Picture"]
}, Open  ]],
Cell[233068, 3146, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],
Cell[CellGroupData[{
Cell[233169, 3152, 408, 14, 86, "Section"],
Cell[233580, 3168, 1278, 22, 213, "Text"],
Cell[234861, 3192, 599, 12, 88, "Text"],
Cell[235463, 3206, 18, 0, 30, "Spacer"],
Cell[235484, 3208, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[235573, 3213, 473, 15, 53, "Subsection"],
Cell[236049, 3230, 485, 11, 113, "Text"],
Cell[236537, 3243, 190, 3, 59, "MathCaption"],
Cell[236730, 3248, 28, 0, 39, "BulletedList"],
Cell[236761, 3250, 38, 0, 39, "BulletedList"],
Cell[236802, 3252, 107, 1, 39, "BulletedList"],
Cell[236912, 3255, 104, 1, 39, "BulletedList"],
Cell[237019, 3258, 30, 0, 39, "BulletedList"],
Cell[237052, 3260, 40, 0, 39, "BulletedList"],
Cell[237095, 3262, 35, 0, 39, "BulletedList"],
Cell[237133, 3264, 35, 0, 39, "BulletedList"],
Cell[237171, 3266, 37, 0, 39, "BulletedList"],
Cell[237211, 3268, 34, 0, 39, "BulletedList"],
Cell[237248, 3270, 36, 0, 39, "BulletedList"],
Cell[237287, 3272, 107, 1, 39, "BulletedList"],
Cell[237397, 3275, 109, 1, 39, "BulletedList"],
Cell[237509, 3278, 226, 4, 59, "MathCaption"],
Cell[237738, 3284, 32, 0, 39, "BulletedList"],
Cell[237773, 3286, 36, 0, 39, "BulletedList"],
Cell[237812, 3288, 103, 1, 39, "BulletedList"],
Cell[237918, 3291, 34, 0, 39, "BulletedList"],
Cell[237955, 3293, 39, 0, 39, "BulletedList"],
Cell[237997, 3295, 39, 0, 39, "BulletedList"],
Cell[238039, 3297, 41, 0, 39, "BulletedList"],
Cell[238083, 3299, 111, 1, 39, "BulletedList"],
Cell[238197, 3302, 107, 1, 39, "BulletedList"],
Cell[238307, 3305, 33, 0, 39, "BulletedList"],
Cell[238343, 3307, 153, 2, 39, "BulletedList"],
Cell[238499, 3311, 18, 0, 30, "Spacer"],
Cell[238520, 3313, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],
Cell[CellGroupData[{
Cell[238621, 3319, 522, 16, 75, "Subsection"],
Cell[239146, 3337, 312, 6, 63, "Text"],
Cell[239461, 3345, 73, 1, 59, "MathCaption"],
Cell[239537, 3348, 43, 0, 39, "BulletedList"],
Cell[239583, 3350, 123, 1, 39, "BulletedList"],
Cell[239709, 3353, 37, 0, 39, "BulletedList"],
Cell[239749, 3355, 35, 0, 39, "BulletedList"],
Cell[239787, 3357, 68, 0, 39, "BulletedList"],
Cell[239858, 3359, 106, 1, 39, "BulletedList"],
Cell[239967, 3362, 163, 3, 39, "BulletedList"],
Cell[240133, 3367, 93, 1, 39, "BulletedList"],
Cell[240229, 3370, 89, 1, 39, "BulletedList"],
Cell[240321, 3373, 71, 1, 59, "MathCaption"],
Cell[240395, 3376, 115, 1, 39, "BulletedList"],
Cell[240513, 3379, 91, 1, 39, "BulletedList"],
Cell[240607, 3382, 82, 1, 39, "BulletedList"],
Cell[240692, 3385, 72, 1, 59, "MathCaption"],
Cell[240767, 3388, 97, 1, 39, "BulletedList"],
Cell[240867, 3391, 52, 0, 39, "BulletedList"],
Cell[240922, 3393, 136, 1, 39, "BulletedList"],
Cell[241061, 3396, 46, 0, 39, "BulletedList"],
Cell[241110, 3398, 51, 0, 39, "BulletedList"],
Cell[241164, 3400, 18, 0, 30, "Spacer"],
Cell[241185, 3402, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[241298, 3409, 339, 11, 86, "Section"],
Cell[241640, 3422, 564, 12, 114, "Text"],
Cell[242207, 3436, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[242296, 3441, 343, 10, 53, "Subsection"],
Cell[242642, 3453, 290, 7, 64, "Text"],
Cell[242935, 3462, 2694, 73, 326, "Input"],
Cell[245632, 3537, 18, 0, 30, "Spacer"],
Cell[245653, 3539, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],
Cell[CellGroupData[{
Cell[245754, 3545, 382, 11, 75, "Subsection"],
Cell[246139, 3558, 520, 11, 89, "Text"],
Cell[246662, 3571, 3403, 80, 246, "Input"],
Cell[250068, 3653, 236, 5, 59, "MathCaption"],
Cell[250307, 3660, 2342, 55, 198, "Input"],
Cell[252652, 3717, 18, 0, 30, "Spacer"],
Cell[252673, 3719, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],
Cell[CellGroupData[{
Cell[252774, 3725, 409, 12, 75, "Subsection"],
Cell[253186, 3739, 419, 10, 89, "Text"],
Cell[253608, 3751, 3481, 102, 346, "Input"],
Cell[257092, 3855, 18, 0, 30, "Spacer"],
Cell[257113, 3857, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],
Cell[CellGroupData[{
Cell[257214, 3863, 420, 12, 75, "Subsection"],
Cell[257637, 3877, 432, 9, 89, "Text"],
Cell[258072, 3888, 3561, 99, 361, "Input"],
Cell[261636, 3989, 18, 0, 30, "Spacer"],
Cell[261657, 3991, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],
Cell[CellGroupData[{
Cell[261758, 3997, 415, 12, 75, "Subsection"],
Cell[262176, 4011, 340, 10, 64, "Text"],
Cell[262519, 4023, 324, 11, 82, "Input"],
Cell[262846, 4036, 1113, 29, 143, "Input"],
Cell[263962, 4067, 1980, 53, 235, "Input"],
Cell[265945, 4122, 838, 16, 53, "Input"],
Cell[266786, 4140, 18, 0, 30, "Spacer"],
Cell[266807, 4142, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],
Cell[CellGroupData[{
Cell[266908, 4148, 441, 12, 75, "Subsection"],
Cell[267352, 4162, 372, 10, 64, "Text"],
Cell[267727, 4174, 2216, 61, 204, "Input"],
Cell[269946, 4237, 2334, 59, 198, "Input"],
Cell[272283, 4298, 18, 0, 30, "Spacer"],
Cell[272304, 4300, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[272417, 4307, 230, 9, 86, "Section"],
Cell[272650, 4318, 1048, 24, 140, "Text"],
Cell[273701, 4344, 3597, 93, 294, "Input"],
Cell[277301, 4439, 366, 9, 64, "Text"],
Cell[277670, 4450, 18, 0, 30, "Spacer"],
Cell[277691, 4452, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[277758, 4455, 352, 11, 5, "NonSlideShowSection"],
Cell[CellGroupData[{
Cell[278135, 4470, 407, 13, 53, "Subsection"],
Cell[278545, 4485, 314, 8, 64, "Text"],
Cell[278862, 4495, 4309, 103, 534, "Input"],
Cell[283174, 4600, 18, 0, 30, "Spacer"],
Cell[283195, 4602, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],
Cell[CellGroupData[{
Cell[283296, 4608, 405, 13, 75, "Subsection"],
Cell[283704, 4623, 315, 9, 64, "Text"],
Cell[284022, 4634, 3396, 95, 324, "Input"],
Cell[287421, 4731, 18, 0, 30, "Spacer"],
Cell[287442, 4733, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],
Cell[CellGroupData[{
Cell[287543, 4739, 451, 14, 75, "Subsection"],
Cell[287997, 4755, 349, 9, 64, "Text"],
Cell[288349, 4766, 6369, 188, 292, "Input"],
Cell[294721, 4956, 1346, 38, 126, "Input"],
Cell[296070, 4996, 58, 1, 63, "Text"],
Cell[296131, 4999, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],
Cell[CellGroupData[{
Cell[296232, 5005, 424, 14, 75, "Subsection"],
Cell[296659, 5021, 476, 13, 64, "Text"],
Cell[297138, 5036, 1912, 61, 202, "Input"],
Cell[299053, 5099, 1257, 35, 126, "Input"],
Cell[300313, 5136, 18, 0, 30, "Spacer"],
Cell[300334, 5138, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[300447, 5145, 231, 9, 86, "Section"],
Cell[300681, 5156, 248, 5, 88, "Text"],
Cell[300932, 5163, 459, 11, 53, "Input"],
Cell[301394, 5176, 333, 9, 60, "MathCaption"],
Cell[301730, 5187, 473, 12, 53, "Input"],
Cell[302206, 5201, 18, 0, 30, "Spacer"],
Cell[302227, 5203, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],
Cell[CellGroupData[{
Cell[302328, 5209, 236, 9, 86, "Section"],
Cell[302567, 5220, 430, 9, 83, "BulletedList"],
Cell[303000, 5231, 377, 9, 62, "BulletedList"],
Cell[303380, 5242, 51, 0, 63, "Text"],
Cell[303434, 5244, 499, 16, 76, "Input"],
Cell[303936, 5262, 335, 11, 64, "Input"],
Cell[304274, 5275, 468, 14, 75, "Input"],
Cell[304745, 5291, 18, 0, 30, "Spacer"],
Cell[304766, 5293, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],
Cell[CellGroupData[{
Cell[304867, 5299, 257, 9, 86, "Section"],
Cell[305127, 5310, 222, 6, 63, "Text"],
Cell[305352, 5318, 369, 6, 88, "Text"],
Cell[305724, 5326, 420, 12, 61, "Input"],
Cell[306147, 5340, 18, 0, 30, "Spacer"],
Cell[306168, 5342, 18, 0, 30, "Spacer"],
Cell[306189, 5344, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],
Cell[CellGroupData[{
Cell[306290, 5350, 373, 11, 86, "Section"],
Cell[306666, 5363, 325, 8, 88, "Text"],
Cell[306994, 5373, 739, 20, 64, "Input"],
Cell[307736, 5395, 670, 20, 61, "Input"],
Cell[308409, 5417, 1430, 46, 74, "Input"],
Cell[309842, 5465, 18, 0, 30, "Spacer"],
Cell[309863, 5467, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],
Cell[CellGroupData[{
Cell[309964, 5473, 394, 12, 86, "Section"],
Cell[310361, 5487, 163, 3, 63, "Text"],
Cell[310527, 5492, 995, 24, 78, "Input"],
Cell[311525, 5518, 243, 6, 59, "MathCaption"],
Cell[311771, 5526, 903, 22, 114, "Input"],
Cell[312677, 5550, 1327, 32, 138, "Input"],
Cell[314007, 5584, 18, 0, 30, "Spacer"],
Cell[314028, 5586, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[314117, 5591, 338, 11, 53, "Subsection"],
Cell[314458, 5604, 178, 4, 63, "Text"],
Cell[314639, 5610, 1780, 44, 297, "Input"],
Cell[316422, 5656, 1740, 44, 297, "Input"],
Cell[318165, 5702, 2204, 54, 246, "Input"],
Cell[320372, 5758, 3146, 79, 275, "Input"],
Cell[323521, 5839, 2014, 55, 117, "Input"],
Cell[325538, 5896, 18, 0, 30, "Spacer"],
Cell[325559, 5898, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],
Cell[CellGroupData[{
Cell[325660, 5904, 335, 11, 75, "Subsection"],
Cell[325998, 5917, 178, 4, 63, "Text"],
Cell[326179, 5923, 372, 12, 73, "Input"],
Cell[326554, 5937, 720, 23, 53, "Input"],
Cell[327277, 5962, 707, 23, 73, "Input"],
Cell[327987, 5987, 18, 0, 30, "Spacer"],
Cell[328008, 5989, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],
Cell[CellGroupData[{
Cell[328109, 5995, 385, 12, 75, "Subsection"],
Cell[328497, 6009, 170, 4, 63, "Text"],
Cell[328670, 6015, 495, 14, 60, "MathCaption"],
Cell[329168, 6031, 1267, 39, 109, "Input"],
Cell[330438, 6072, 18, 0, 30, "Spacer"],
Cell[330459, 6074, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[330572, 6081, 339, 11, 86, "Section"],
Cell[330914, 6094, 249, 5, 63, "Text"],
Cell[331166, 6101, 223, 5, 53, "Input"],
Cell[331392, 6108, 18, 0, 30, "Spacer"],
Cell[331413, 6110, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[331502, 6115, 450, 13, 53, "Subsection"],
Cell[331955, 6130, 309, 8, 64, "Text"],
Cell[332267, 6140, 514, 11, 78, "Input"],
Cell[332784, 6153, 1326, 39, 102, "Input"],
Cell[334113, 6194, 1764, 51, 150, "Input"],
Cell[335880, 6247, 1713, 48, 117, "Input"],
Cell[337596, 6297, 18, 0, 30, "Spacer"],
Cell[337617, 6299, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[337730, 6306, 300, 10, 86, "Section"],
Cell[338033, 6318, 161, 3, 63, "Text"],
Cell[338197, 6323, 1009, 30, 102, "Input"],
Cell[339209, 6355, 1176, 30, 126, "Input"],
Cell[340388, 6387, 1226, 27, 126, "Input"],
Cell[341617, 6416, 18, 0, 30, "Spacer"],
Cell[341638, 6418, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"],
Cell[CellGroupData[{
Cell[341727, 6423, 427, 13, 53, "Subsection"],
Cell[342157, 6438, 240, 8, 53, "Input"],
Cell[342400, 6448, 824, 21, 150, "Input"],
Cell[343227, 6471, 1768, 42, 246, "Input"],
Cell[344998, 6515, 18, 0, 30, "Spacer"],
Cell[345019, 6517, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],
Cell[CellGroupData[{
Cell[345120, 6523, 444, 13, 75, "Subsection"],
Cell[345567, 6538, 253, 5, 88, "Text"],
Cell[345823, 6545, 371, 11, 53, "Input"],
Cell[346197, 6558, 1238, 28, 222, "Input"],
Cell[347438, 6588, 662, 20, 60, "MathCaption"],
Cell[348103, 6610, 2915, 63, 438, "Input"],
Cell[351021, 6675, 18, 0, 30, "Spacer"],
Cell[351042, 6677, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],
Cell[CellGroupData[{
Cell[351143, 6683, 476, 13, 75, "Subsection"],
Cell[351622, 6698, 154, 3, 63, "Text"],
Cell[351779, 6703, 398, 8, 53, "Input"],
Cell[352180, 6713, 785, 19, 78, "Input"],
Cell[352968, 6734, 292, 6, 59, "MathCaption"],
Cell[353263, 6742, 150, 4, 53, "Input"],
Cell[353416, 6748, 1058, 23, 78, "Input"],
Cell[354477, 6773, 190, 4, 59, "MathCaption"],
Cell[354670, 6779, 2895, 64, 342, "Input"],
Cell[357568, 6845, 242, 5, 59, "MathCaption"],
Cell[357813, 6852, 1564, 37, 246, "Input"],
Cell[359380, 6891, 18, 0, 30, "Spacer"],
Cell[359401, 6893, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[359514, 6900, 266, 9, 86, "Section"],
Cell[359783, 6911, 319, 9, 64, "Text"],
Cell[360105, 6922, 1836, 42, 222, "Input"],
Cell[361944, 6966, 125, 1, 59, "MathCaption"],
Cell[362072, 6969, 1177, 25, 78, "Input"],
Cell[363252, 6996, 157, 3, 59, "MathCaption"],
Cell[363412, 7001, 1426, 37, 222, "Input"],
Cell[364841, 7040, 18, 0, 30, "Spacer"]
}, Open  ]],
Cell[CellGroupData[{
Cell[364896, 7045, 206, 6, 86, "Section"],
Cell[365105, 7053, 186, 4, 63, "Text"],
Cell[365294, 7059, 697, 22, 53, "Input"],
Cell[365994, 7083, 1519, 32, 198, "Input"],
Cell[367516, 7117, 203, 4, 59, "MathCaption"],
Cell[367722, 7123, 422, 14, 102, "Input"],
Cell[368147, 7139, 768, 14, 102, "Input"],
Cell[368918, 7155, 487, 15, 102, "Input"],
Cell[369408, 7172, 728, 14, 102, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[370173, 7191, 233, 7, 86, "Section"],
Cell[370409, 7200, 142, 3, 39, "BulletedList"],
Cell[370554, 7205, 72, 0, 39, "BulletedList"],
Cell[370629, 7207, 77, 0, 39, "BulletedList"],
Cell[370709, 7209, 82, 1, 39, "BulletedList"],
Cell[370794, 7212, 267, 5, 61, "BulletedList"],
Cell[371064, 7219, 18, 0, 30, "Spacer"],
Cell[371085, 7221, 64, 1, 5, "SlideShowNavigationBar",
 CellTags->"SlideShowHeader"]
}, Open  ]],
Cell[CellGroupData[{
Cell[371186, 7227, 228, 9, 86, "Section"],
Cell[371417, 7238, 28344, 711, 1983, "Input",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[399786, 7953, 145, 2, 78, "Subsection"],
Cell[399934, 7957, 5653, 159, 729, "Input",
 InitializationCell->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[405624, 8121, 105, 1, 78, "Subsection"],
Cell[405732, 8124, 560, 14, 113, "Input",
 InitializationCell->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[406329, 8143, 28, 0, 78, "Subsection"],
Cell[406360, 8145, 117, 4, 56, "Input",
 InitializationCell->True]
}, Open  ]]
}, Closed]]
}
]
*)

(* End of internal cache information *)
